2016-09-07  John W. Eaton  <jwe@octave.org>

	maint: Bump version number for 4.2.0-rc1.

	* configure.ac: Bump version to 4.2.0-rc1.

	* libgui/module.mk: Bump library version for 4.2.0 release.
	* libinterp/module.mk: Bump library version for 4.2.0 release.
	* liboctave/module.mk: Bump library version for 4.2.0 release.

	Files: configure.ac libgui/module.mk libinterp/module.mk
	liboctave/module.mk

2016-09-07  Mike Miller  <mtmiller@octave.org>

	Reword input prompts in %!demo blocks for consistency

	* linkaxes.m: Reword input prompt to match wording in demo.m.
	* linkprop.m: Likewise.

	Files: scripts/plot/util/linkaxes.m scripts/plot/util/linkprop.m

	Fix %!demo blocks for ode23 and ode45

	* ode23.m: Do not open a new figure in %!demo block.
	* ode45.m: Likewise.  Fix syntax error.

	Files: scripts/ode/ode23.m scripts/ode/ode45.m

2016-09-07  Rik  <rik@octave.org>

	CITATION: update for 4.2.0 and use @manual in Bibtex (bug #47058).

	* CITATION: update for 4.2.0 and use @manual in Bibtex (bug #47058).

	Files: CITATION

2016-09-06  Mike Miller  <mtmiller@octave.org>

	* findobj.m: Fix failing test after default color change in cset 638625a0186f.

	Files: scripts/plot/util/findobj.m

	Update to latest line plot color order for Matlab compatibility (bug #48465)

	* graphics.cc (default_colororder): Return new default line plot color scheme.
	Colors are compatible with Matlab R2014b and later versions.
	* lines.m: Update doc string to reflect new default color order.
	* NEWS: Mention new default line plot color order.

	Files: NEWS libinterp/corefcn/graphics.cc scripts/image/lines.m

	Fix noise signal generation in audioplayer doc string and demos (bug #49011)

	* @audioplayer/audioplayer.m: Fix noise signal generation in doc string
	and %!demo blocks.

	Files: scripts/audio/@audioplayer/audioplayer.m

	* data.cc (Fatan2): Fix typo "quadrats" → "quadrants".

	Files: libinterp/corefcn/data.cc

2016-09-06  John W. Eaton  <jwe@octave.org>

	* null-assign.tst: Update subsasgn test (bug #48867)

	Files: test/null-assign.tst

2016-09-05  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	Use F77_INT* rather than int*.

	* liboctave/numeric/lo-lapack-proto.h (sggsvd/cggsvd): use F77_INT* rather than
	int*.  This resolves compile time issues, when octave_idx_type is long int.

	Files: liboctave/numeric/lo-lapack-proto.h

2016-09-04  Carnë Draug  <carandraug@octave.org>

	gsvd: move new class into the octave::math namespace.

	Files: libinterp/corefcn/gsvd.cc liboctave/numeric/gsvd.cc
	liboctave/numeric/gsvd.h

	gsvd<T>: add class template support for FloatMatrix and FloatComplexMatrix.

	* liboctave/numeric/gsvd.h: template class more so that it works with
	FloatMatrix and ComplexFloatMatrix.
	* liboctave/numeric/gsvd.cc: add methods FloatMatrix and FloatComplexMatrix.
	* liboctave/numeric/lo-lapack-proto.h: declare interface to LAPACK's
	CGGSVD and SGGSVD.

	Files: liboctave/numeric/gsvd.cc liboctave/numeric/gsvd.h liboctave/numeric
	/lo-lapack-proto.h

	gsvd: change order of output arguments for Matlab compatibility (bug #48807)

	* libinterp/corefcn/gsvd.cc: return [U,V,X,C,S] instead of [U,V,C,S,X] for
	Matlab compatibility.  Fill returned octave_value_list only as needed.  Make
	a template function to reduce code duplication.  Adjust order of arguments
	in the tests.

	Files: libinterp/corefcn/gsvd.cc

2016-09-03  José Luis García Pallero  <jgpallero@gmail.com>

	es_ES.ts: Update spanish translation of GUI

	Files: libgui/languages/es_ES.ts

2016-09-02  Daniel J Sebald  <daniel.sebald@ieee.org>

	Use 'linetype' line style qualifier for gnuplot versions prior to 4.6 (bug #48982)

	* __gnuplot_draw_axes__.m (gnuplot_linetype): Clear up confusion about what
	  'linetype' refers to with regard to gnuplot syntax by renaming to
	  gnuplot_linestyletype().  Do not condition on __gnuplot_has_feature__()
	  for 'linetype' since that refers to a different use of the word.
	  (__gnuplot_draw_axes__):  Replace call to gnuplot_linetype() with call
	  to gnuplot_linestyletype().
	  (do_linestyle_command): Ditto.

	Files: scripts/plot/util/private/__gnuplot_draw_axes__.m

2016-09-02  Rik  <rik@octave.org>

	Allow mixed scalar/array inputs to cart2pol, cart2sph, pol2cart, sph2cart (bug #48950).

	* cart2pol.m: Use common_size() to simplify input validation and bring
	inputs, including scalars, to a common size.  Don't concatenate z values
	into output if z is empty.  Update BIST tests.

	* cart2sph.m: Use common_size() to simplify input validation and bring
	inputs, including scalars, to a common size.  Add new BIST test.

	* pol2cart.m: Use common_size() to simplify input validation and bring
	inputs, including scalars, to a common size.  Don't concatenate z values
	into output if z is empty.  Update BIST tests.

	* sph2cart.m: Use common_size() to simplify input validation and bring
	inputs, including scalars, to a common size.  Add new BIST test.

	Files: scripts/general/cart2pol.m scripts/general/cart2sph.m
	scripts/general/pol2cart.m scripts/general/sph2cart.m

	doc: Correct docstring for '.**' operator (bug #48973)

	* op-kw-docs: Change docstring for element-by-element power
	operator to be '.**', not '.*' which is multiplication.

	Files: libinterp/op-kw-docs

	Properly display help for operators (bug #48975).

	* op-kw-docs: Escape any operators with a backslash so they are presented
	correctly when changed from Texinfo to "plain text".

	* help.m: Call undo_string_escapes on input so that names of certain operators
	like the left division operator '\' are represented correctly.

	* which.m: Call undo_string_escapes on input so that names of certain operators
	like the left division operator '\' are represented correctly.

	Files: libinterp/op-kw-docs scripts/help/help.m scripts/help/which.m

	doc: Add more @seealso links to numel, size, size_equal.

	* data.cc (Fsize_equal): Clarify docstring about calling with no argument.
	Add @seealso link to common_size.
	* data.cc (Fsize): Add @seealso link to size_equal, common_size.
	* data.cc (Fnumel): Add @seealso link to length, ndims.

	Files: libinterp/corefcn/data.cc

	common_size.m: Overhaul function.

	* common_size.m: Correct docstring so that variables in @deftypefn match names
	in the body of the docstring.  Add @seealso links.  Use same names in function
	as in docstring.  Rename 'nscal' variable to 'array' for clarity.  Rename
	'match' variable to 'sz_eq' variable for clarity.  Add BIST test for case
	where common_size fails (err == 1).

	Files: scripts/general/common_size.m

	Don't use 'X' as gnuplot_binary name in BIST tests.

	* gnuplot_binary.in.m: Use '__foobar__' as name of binary in BIST tests.

	Files: scripts/plot/util/gnuplot_binary.in.m

2016-09-02  Andreas Weber  <andy.weber.aw@gmail.com>

	files-dock-widget.cc: Backout cset 764b18b46d0f

	Files: libgui/src/files-dock-widget.cc

	files-dock-widget.cc: Remove unused code in c'tor

	Files: libgui/src/files-dock-widget.cc

2016-08-29  Sander van Rijn  <svr003@gmail.com>

	Dutch Translation update

	Files: libgui/languages/nl_NL.ts

2016-09-02  Markus Mützel  <markus.muetzel@gmx.de>

	de_DE.ts: Update german translation of GUI for 4.2 release

	Reviewed, slightly modified and pushed by Andreas Weber

	Files: libgui/languages/de_DE.ts

2016-09-02  Andreas Weber  <andy.weber.aw@gmail.com>

	file-editor-tab.cc: Fix typo canel -> cancel

	Files: libgui/src/m-editor/file-editor-tab.cc

2016-09-01  John W. Eaton  <jwe@octave.org>

	Backed out changeset 08aa03dfb00e

	This changeset can cause trouble like this:

	>> gnuplot_binary("/usr/bin/gnuplot")
	error: '__gnuplot_has_feature__' undefined near line 49 column 5
	error: called from
	    gnuplot_binary at line 49 column 5

	if Octave is running in a build tree that is separate from the source
	tree.  The problem happens because gnuplot_binary.m is generated and
	so is stored in the build tree.  But the private functions like
	__gnuplot_has_feature__ are in the source tree.  Since the private
	directory where __gnuplot_has_feature__ is located is not a
	subdirectory of the directory where gnuplot_binary is located, Octave
	doesn't find it.

	I also noticed another problem due to this changeset.  The test executes

	  gnuplot_binary ("X")

	and that now ends up calling __gnuplot_version__ which attempts to
	execute the command "X --version".  On many systems, "X" is the X11
	server.  So then I see errors about the X server failing to start
	properly and Octave hangs.

	It also seems bad that "gnuplot_binary (new_prog)" will now call
	gnuplot_binary recursively.  It currently works because the persistent
	value that stores the program name is set before calling
	__gnuplot_version__, but that seems a bit fragile.

	I'm also wondering how important it is to be able to change the
	gnuplot binary during a single Octave session.  Is this something that
	comes up frequently?

	Files: scripts/plot/util/gnuplot_binary.in.m
	scripts/plot/util/private/__gnuplot_has_feature__.m
	scripts/plot/util/private/__gnuplot_version__.m

2016-08-31  Avinoam  <Avinoam>

	Fix a bug in view ()

	*__gnuplot_draw_axes__.m: sets the correct rot_x, rot_z when abs(el)>90

	Files: scripts/plot/util/private/__gnuplot_draw_axes__.m

2016-08-06  Daniel J Sebald  <daniel.sebald@ieee.org>

	Rework color scaling for gnuplot toolkit (bug #48664)

	* __gnuplot_draw_axes__.m: Remove 'cdatadirect' variable and operate directly
	on individual object property 'cdatamapping'.  Remove 'truecolor' variable.
	If axes cautoscale is set, do a first pass to get the 'clim' min and max of
	'cdata' for all objects having 'scale' for 'cdatamapping' property.  If the
	number of rows in the color map is not two, do a second pass to check for any
	image data that is logical.  If logical image found, set axis parent color map
	to black/white, axis 'clim' to [0 1] and 'climmode' to 'manual'.  Set 'cmap'
	and 'cmap_sz' variables before the axes children loop.  If "image", "patch" or
	"surface" object has 'cdatamapping' property set to scale, linearly scale
	color data according to 'clim' using fix--not round--with range clamping.  The
	one exception is "image" with logical 'cdata' in which case 1 is added to the
	data (equivalent of 'clim' of [0 1]).  Simplify the logic for setting gnuplot
	cbrange to [1,cmap_sz] or [1,cmap_sz+row(addedcmap)] for extended color maps.

	Files: scripts/plot/util/private/__gnuplot_draw_axes__.m

2016-09-01  Rik  <rik@octave.org>

	Allow switching gnuplot_binary value during a session.

	* gnuplot_binary.in.m: Call __gnuplot_has_feature__ ("__reset__") after
	updating name of new gnuplot binary.
	* __gnuplot_has_feature__.m: If feature is "__reset__" then re-calculate
	gnuplot_version and list of available features.

	* __gnuplot_version__.m: Accept new input do_reset.  If input is logically
	true then re-calculate cached gnuplot version __version__.

	Files: scripts/plot/util/gnuplot_binary.in.m
	scripts/plot/util/private/__gnuplot_has_feature__.m
	scripts/plot/util/private/__gnuplot_version__.m

	maint: Use '{ }' for empty function bodies in C++.

	* Backend.cc, BaseControl.cc, ButtonControl.cc, ButtonGroup.cc,
	CheckBoxControl.cc, Container.cc, ContextMenu.cc, EditControl.cc, Figure.cc,
	FigureWindow.cc, GLCanvas.cc, ListBoxControl.cc, Logger.cc, Menu.cc,
	MouseModeActionGroup.cc, Object.cc, Panel.cc, PopupMenuControl.cc,
	PushButtonControl.cc, PushTool.cc, RadioButtonControl.cc, SliderControl.cc,
	TextControl.cc, ToggleButtonControl.cc, ToggleTool.cc, ToolBar.cc,
	ToolBarButton.cc, marker.cc, octave-dock-widget.h, octave-qt-link.cc,
	shortcut-manager.cc, shortcut-manager.h, Cell.cc, jit-ir.cc, jit-ir.h,
	jit-typeinfo.cc, oct-prcstrm.cc, octave-link.cc, profiler.cc, pt-jit.cc,
	sysdep.cc, __init_gnuplot__.cc, ov-fcn-handle.cc, ov.cc, pt-check.cc,
	CColVector.cc, CMatrix.cc, CSparse.cc, dMatrix.cc, fCColVector.cc, fCMatrix.cc,
	fMatrix.cc, aepbalance.h, oct-norm.cc, byte-swap.h, cmd-hist.cc, oct-sort.cc:
	Use '{ }' for empty function bodies in C++.

	Files: libgui/graphics/Backend.cc libgui/graphics/BaseControl.cc
	libgui/graphics/ButtonControl.cc libgui/graphics/ButtonGroup.cc
	libgui/graphics/CheckBoxControl.cc libgui/graphics/Container.cc
	libgui/graphics/ContextMenu.cc libgui/graphics/EditControl.cc
	libgui/graphics/Figure.cc libgui/graphics/FigureWindow.cc
	libgui/graphics/GLCanvas.cc libgui/graphics/ListBoxControl.cc
	libgui/graphics/Logger.cc libgui/graphics/Menu.cc
	libgui/graphics/MouseModeActionGroup.cc libgui/graphics/Object.cc
	libgui/graphics/Panel.cc libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PushButtonControl.cc libgui/graphics/PushTool.cc
	libgui/graphics/RadioButtonControl.cc
	libgui/graphics/SliderControl.cc libgui/graphics/TextControl.cc
	libgui/graphics/ToggleButtonControl.cc libgui/graphics/ToggleTool.cc
	libgui/graphics/ToolBar.cc libgui/graphics/ToolBarButton.cc
	libgui/src/m-editor/marker.cc libgui/src/octave-dock-widget.h
	libgui/src/octave-qt-link.cc libgui/src/shortcut-manager.cc
	libgui/src/shortcut-manager.h libinterp/corefcn/Cell.cc
	libinterp/corefcn/jit-ir.cc libinterp/corefcn/jit-ir.h
	libinterp/corefcn/jit-typeinfo.cc libinterp/corefcn/oct-prcstrm.cc
	libinterp/corefcn/octave-link.cc libinterp/corefcn/profiler.cc
	libinterp/corefcn/pt-jit.cc libinterp/corefcn/sysdep.cc
	libinterp/dldfcn/__init_gnuplot__.cc libinterp/octave-value/ov-fcn-
	handle.cc libinterp/octave-value/ov.cc libinterp/parse-tree/pt-
	check.cc liboctave/array/CColVector.cc liboctave/array/CMatrix.cc
	liboctave/array/CSparse.cc liboctave/array/dMatrix.cc
	liboctave/array/fCColVector.cc liboctave/array/fCMatrix.cc
	liboctave/array/fMatrix.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/oct-norm.cc liboctave/util/byte-swap.h
	liboctave/util/cmd-hist.cc liboctave/util/oct-sort.cc

2016-09-01  John W. Eaton  <jwe@octave.org>

	eliminate octave_int -> float, double type conversion operators

	* oct-inttypes.h (octave_int<T>::operator float (void) const,
	(octave_int<T>::operator double (void) const): Delete.

	Files: liboctave/util/oct-inttypes.h

2016-08-31  Rik  <rik@octave.org>

	Add Joakim Andén to list of contributors.

	* contributors.in: add Joakim Andén to list.

	Files: doc/interpreter/contributors.in

2016-08-22  Joakim Andén  <janden@math.princeton.edu>

	union.m: output proper indices for 'rows' inputs (bug #48857).


	* union.m: Number of elements is numel (a) for ordinary cases, but rows (a)
	when "rows" argument is given.  Add BIST tests.

	Files: scripts/set/union.m

2016-08-31  Rik  <rik@octave.org>

	maint: Remove ';' at end of namespace declaration.

	* Backend.h, BaseControl.cc, BaseControl.h, ButtonControl.h, ButtonGroup.h,
	Canvas.cc, Canvas.h, CheckBoxControl.h, Container.cc, Container.h,
	ContextMenu.cc, ContextMenu.h, EditControl.cc, EditControl.h, Figure.cc,
	Figure.h, FigureWindow.cc, FigureWindow.h, GLCanvas.cc, GLCanvas.h, KeyMap.cc,
	KeyMap.h, ListBoxControl.cc, ListBoxControl.h, Logger.cc, Logger.h, Menu.cc,
	Menu.h, MenuContainer.h, Object.cc, Object.h, Panel.h, PopupMenuControl.cc,
	PopupMenuControl.h, PushButtonControl.cc, PushButtonControl.h, PushTool.h,
	QtHandlesUtils.cc, QtHandlesUtils.h, RadioButtonControl.h, SliderControl.cc,
	SliderControl.h, TextControl.cc, TextControl.h, TextEdit.cc, TextEdit.h,
	ToggleButtonControl.h, ToggleTool.h, ToolBar.cc, ToolBar.h, ToolBarButton.cc,
	__init_qt__.cc, __init_qt__.h, octave-gui.cc, build-env.h, build-env.in.cc,
	jit-util.h:
	Remove ';' at end of namespace declaration.

	Files: libgui/graphics/Backend.h libgui/graphics/BaseControl.cc
	libgui/graphics/BaseControl.h libgui/graphics/ButtonControl.h
	libgui/graphics/ButtonGroup.h libgui/graphics/Canvas.cc
	libgui/graphics/Canvas.h libgui/graphics/CheckBoxControl.h
	libgui/graphics/Container.cc libgui/graphics/Container.h
	libgui/graphics/ContextMenu.cc libgui/graphics/ContextMenu.h
	libgui/graphics/EditControl.cc libgui/graphics/EditControl.h
	libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libgui/graphics/FigureWindow.cc libgui/graphics/FigureWindow.h
	libgui/graphics/GLCanvas.cc libgui/graphics/GLCanvas.h
	libgui/graphics/KeyMap.cc libgui/graphics/KeyMap.h
	libgui/graphics/ListBoxControl.cc libgui/graphics/ListBoxControl.h
	libgui/graphics/Logger.cc libgui/graphics/Logger.h
	libgui/graphics/Menu.cc libgui/graphics/Menu.h
	libgui/graphics/MenuContainer.h libgui/graphics/Object.cc
	libgui/graphics/Object.h libgui/graphics/Panel.h
	libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PopupMenuControl.h
	libgui/graphics/PushButtonControl.cc
	libgui/graphics/PushButtonControl.h libgui/graphics/PushTool.h
	libgui/graphics/QtHandlesUtils.cc libgui/graphics/QtHandlesUtils.h
	libgui/graphics/RadioButtonControl.h
	libgui/graphics/SliderControl.cc libgui/graphics/SliderControl.h
	libgui/graphics/TextControl.cc libgui/graphics/TextControl.h
	libgui/graphics/TextEdit.cc libgui/graphics/TextEdit.h
	libgui/graphics/ToggleButtonControl.h libgui/graphics/ToggleTool.h
	libgui/graphics/ToolBar.cc libgui/graphics/ToolBar.h
	libgui/graphics/ToolBarButton.cc libgui/graphics/__init_qt__.cc
	libgui/graphics/__init_qt__.h libgui/src/octave-gui.cc libinterp
	/build-env.h libinterp/build-env.in.cc libinterp/corefcn/jit-util.h

	maint: Style check C++ code in src/ directory.

	* display-available.h, main-cli.cc, main-gui.cc, main.in.cc, mkoctfile.in.cc,
	octave-config.in.cc, shared-fcns.h:
	Style check C++ code in src/ directory.

	Files: src/display-available.h src/main-cli.cc src/main-gui.cc
	src/main.in.cc src/mkoctfile.in.cc src/octave-config.in.cc src
	/shared-fcns.h

	maint: Style check C++ code in libgui/

	* Backend.cc, Backend.h, BaseControl.cc, BaseControl.h, ButtonControl.cc,
	ButtonControl.h, ButtonGroup.cc, ButtonGroup.h, Canvas.cc, Canvas.h,
	CheckBoxControl.cc, CheckBoxControl.h, Container.cc, Container.h,
	ContextMenu.cc, ContextMenu.h, EditControl.cc, EditControl.h, Figure.cc,
	Figure.h, FigureWindow.cc, FigureWindow.h, GLCanvas.cc, GLCanvas.h,
	GenericEventNotify.h, KeyMap.cc, KeyMap.h, ListBoxControl.cc, ListBoxControl.h,
	Logger.cc, Logger.h, Menu.cc, Menu.h, MenuContainer.h, MouseModeActionGroup.cc,
	MouseModeActionGroup.h, Object.cc, Object.h, ObjectFactory.cc, ObjectFactory.h,
	ObjectProxy.cc, ObjectProxy.h, Panel.cc, Panel.h, PopupMenuControl.cc,
	PopupMenuControl.h, PushButtonControl.cc, PushButtonControl.h, PushTool.cc,
	PushTool.h, QtHandlesUtils.cc, QtHandlesUtils.h, RadioButtonControl.cc,
	RadioButtonControl.h, SliderControl.cc, SliderControl.h, TextControl.cc,
	TextControl.h, TextEdit.cc, TextEdit.h, ToggleButtonControl.cc,
	ToggleButtonControl.h, ToggleTool.cc, ToggleTool.h, ToolBar.cc, ToolBar.h,
	ToolBarButton.cc, ToolBarButton.h, __init_qt__.cc, __init_qt__.h,
	annotation-dialog.cc, annotation-dialog.h, gl-select.cc, gl-select.h,
	color-picker.cc, color-picker.h, dialog.h, documentation-dock-widget.cc,
	documentation-dock-widget.h, files-dock-widget.cc, files-dock-widget.h,
	find-files-dialog.h, find-files-model.cc, find-files-model.h,
	history-dock-widget.cc, history-dock-widget.h, liboctgui-build-info.h,
	liboctgui-build-info.in.cc, file-editor-interface.h, file-editor-tab.cc,
	file-editor-tab.h, file-editor.cc, file-editor.h, find-dialog.cc,
	find-dialog.h, marker.cc, marker.h, octave-qscintilla.cc, octave-qscintilla.h,
	octave-txt-lexer.cc, octave-txt-lexer.h, main-window.cc, main-window.h,
	octave-cmd.cc, octave-cmd.h, octave-dock-widget.cc, octave-dock-widget.h,
	octave-gui.cc, octave-gui.h, octave-interpreter.cc, octave-interpreter.h,
	octave-qt-link.cc, octave-qt-link.h, parser.cc, parser.h, webinfo.cc,
	webinfo.h, resource-manager.cc, resource-manager.h, settings-dialog.cc,
	settings-dialog.h, shortcut-manager.cc, shortcut-manager.h,
	terminal-dock-widget.h, thread-manager.cc, thread-manager.h, welcome-wizard.cc,
	welcome-wizard.h, workspace-model.cc, workspace-model.h, workspace-view.cc,
	workspace-view.h:
	Style check C++ code in libgui/

	Files: libgui/graphics/Backend.cc libgui/graphics/Backend.h
	libgui/graphics/BaseControl.cc libgui/graphics/BaseControl.h
	libgui/graphics/ButtonControl.cc libgui/graphics/ButtonControl.h
	libgui/graphics/ButtonGroup.cc libgui/graphics/ButtonGroup.h
	libgui/graphics/Canvas.cc libgui/graphics/Canvas.h
	libgui/graphics/CheckBoxControl.cc libgui/graphics/CheckBoxControl.h
	libgui/graphics/Container.cc libgui/graphics/Container.h
	libgui/graphics/ContextMenu.cc libgui/graphics/ContextMenu.h
	libgui/graphics/EditControl.cc libgui/graphics/EditControl.h
	libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libgui/graphics/FigureWindow.cc libgui/graphics/FigureWindow.h
	libgui/graphics/GLCanvas.cc libgui/graphics/GLCanvas.h
	libgui/graphics/GenericEventNotify.h libgui/graphics/KeyMap.cc
	libgui/graphics/KeyMap.h libgui/graphics/ListBoxControl.cc
	libgui/graphics/ListBoxControl.h libgui/graphics/Logger.cc
	libgui/graphics/Logger.h libgui/graphics/Menu.cc
	libgui/graphics/Menu.h libgui/graphics/MenuContainer.h
	libgui/graphics/MouseModeActionGroup.cc
	libgui/graphics/MouseModeActionGroup.h libgui/graphics/Object.cc
	libgui/graphics/Object.h libgui/graphics/ObjectFactory.cc
	libgui/graphics/ObjectFactory.h libgui/graphics/ObjectProxy.cc
	libgui/graphics/ObjectProxy.h libgui/graphics/Panel.cc
	libgui/graphics/Panel.h libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PopupMenuControl.h
	libgui/graphics/PushButtonControl.cc
	libgui/graphics/PushButtonControl.h libgui/graphics/PushTool.cc
	libgui/graphics/PushTool.h libgui/graphics/QtHandlesUtils.cc
	libgui/graphics/QtHandlesUtils.h
	libgui/graphics/RadioButtonControl.cc
	libgui/graphics/RadioButtonControl.h
	libgui/graphics/SliderControl.cc libgui/graphics/SliderControl.h
	libgui/graphics/TextControl.cc libgui/graphics/TextControl.h
	libgui/graphics/TextEdit.cc libgui/graphics/TextEdit.h
	libgui/graphics/ToggleButtonControl.cc
	libgui/graphics/ToggleButtonControl.h libgui/graphics/ToggleTool.cc
	libgui/graphics/ToggleTool.h libgui/graphics/ToolBar.cc
	libgui/graphics/ToolBar.h libgui/graphics/ToolBarButton.cc
	libgui/graphics/ToolBarButton.h libgui/graphics/__init_qt__.cc
	libgui/graphics/__init_qt__.h libgui/graphics/annotation-dialog.cc
	libgui/graphics/annotation-dialog.h libgui/graphics/gl-select.cc
	libgui/graphics/gl-select.h libgui/src/color-picker.cc libgui/src
	/color-picker.h libgui/src/dialog.h libgui/src/documentation-dock-
	widget.cc libgui/src/documentation-dock-widget.h libgui/src/files-
	dock-widget.cc libgui/src/files-dock-widget.h libgui/src/find-files-
	dialog.h libgui/src/find-files-model.cc libgui/src/find-files-
	model.h libgui/src/history-dock-widget.cc libgui/src/history-dock-
	widget.h libgui/src/liboctgui-build-info.h libgui/src/liboctgui-
	build-info.in.cc libgui/src/m-editor/file-editor-interface.h
	libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor-tab.h libgui/src/m-editor/file-editor.cc libgui/src/m-editor
	/file-editor.h libgui/src/m-editor/find-dialog.cc
	libgui/src/m-editor/find-dialog.h libgui/src/m-editor/marker.cc
	libgui/src/m-editor/marker.h libgui/src/m-editor/octave-
	qscintilla.cc libgui/src/m-editor/octave-qscintilla.h
	libgui/src/m-editor/octave-txt-lexer.cc libgui/src/m-editor/octave-
	txt-lexer.h libgui/src/main-window.cc libgui/src/main-window.h
	libgui/src/octave-cmd.cc libgui/src/octave-cmd.h libgui/src/octave-
	dock-widget.cc libgui/src/octave-dock-widget.h libgui/src/octave-
	gui.cc libgui/src/octave-gui.h libgui/src/octave-interpreter.cc
	libgui/src/octave-interpreter.h libgui/src/octave-qt-link.cc
	libgui/src/octave-qt-link.h libgui/src/qtinfo/parser.cc
	libgui/src/qtinfo/parser.h libgui/src/qtinfo/webinfo.cc
	libgui/src/qtinfo/webinfo.h libgui/src/resource-manager.cc
	libgui/src/resource-manager.h libgui/src/settings-dialog.cc
	libgui/src/settings-dialog.h libgui/src/shortcut-manager.cc
	libgui/src/shortcut-manager.h libgui/src/terminal-dock-widget.h
	libgui/src/thread-manager.cc libgui/src/thread-manager.h libgui/src
	/welcome-wizard.cc libgui/src/welcome-wizard.h libgui/src/workspace-
	model.cc libgui/src/workspace-model.h libgui/src/workspace-view.cc
	libgui/src/workspace-view.h

2016-08-31  John W. Eaton  <jwe@octave.org>

	fix definition of F77_RETURN for gfortran

	* f77-fcn.h (F77_RETURN) [F77_USES_GFORTRAN_CALLING_CONVENTION]:
	Fix definition to match F77_RET_T == void.

	Files: liboctave/cruft/misc/f77-fcn.h

2016-08-30  Rik  <rik@octave.org>

	plot.m: Add documentation for 'y' = yellow (bug #48956).

	* plot.m: Add documentation for 'y' = yellow.

	Files: scripts/plot/draw/plot.m

2016-08-30  Markus Mützel  <markus.muetzel@gmx.de>

	Do not change grid for semilog plots on second call of "grid on" (bug #48533)

	* grid.m: Do not change grid for semilogx or semilogy plots on second
	call of "grid on".  Add test for semilog plots.  Add demo with only minor
	grid lines (no major grid).

	Files: scripts/plot/appearance/grid.m

2016-08-30  Rik  <rik@octave.org>

	maint: Style check C++ code in libinterp/.

	* build-env.h, build-env.in.cc, builtins.h, Cell.cc, Cell.h, __contourc__.cc,
	__dispatch__.cc, __dsearchn__.cc, __ilu__.cc, __lin_interpn__.cc, __luinc__.cc,
	__magick_read__.cc, __pchip_deriv__.cc, __qp__.cc, balance.cc,
	base-text-renderer.h, besselj.cc, bitfcns.cc, bsxfun.cc, c-file-ptr-stream.cc,
	c-file-ptr-stream.h, call-stack.cc, call-stack.h, cdisplay.c, cdisplay.h,
	cellfun.cc, coct-hdf5-types.c, comment-list.cc, comment-list.h, conv2.cc,
	daspk.cc, dasrt.cc, dassl.cc, data.cc, data.h, debug.cc, debug.h, defaults.cc,
	defaults.in.h, defun-dld.h, defun-int.h, defun.h, det.cc, dirfns.cc, dirfns.h,
	display.cc, display.h, dlmread.cc, dynamic-ld.cc, dynamic-ld.h, eig.cc,
	error.cc, error.h, errwarn.h, event-queue.cc, event-queue.h, fft.cc, fft2.cc,
	fftn.cc, file-io.cc, file-io.h, filter.cc, find.cc, ft-text-renderer.cc,
	ft-text-renderer.h, gammainc.cc, gcd.cc, getgrent.cc, getpwent.cc, givens.cc,
	gl-render.cc, gl-render.h, gl2ps-print.cc, gl2ps-print.h, graphics.cc,
	graphics.in.h, gripes.h, gsvd.cc, hash.cc, help.cc, help.h, hess.cc,
	hex2num.cc, hook-fcn.cc, hook-fcn.h, input.cc, input.h, interpreter.cc,
	interpreter.h, inv.cc, jit-ir.cc, jit-ir.h, jit-typeinfo.cc, jit-typeinfo.h,
	jit-util.cc, jit-util.h, kron.cc, load-path.cc, load-path.h, load-save.cc,
	load-save.h, lookup.cc, ls-ascii-helper.cc, ls-ascii-helper.h, ls-hdf5.cc,
	ls-hdf5.h, ls-mat-ascii.cc, ls-mat-ascii.h, ls-mat4.cc, ls-mat4.h, ls-mat5.h,
	ls-oct-binary.cc, ls-oct-binary.h, ls-oct-text.cc, ls-oct-text.h, ls-utils.cc,
	ls-utils.h, lsode.cc, lu.cc, matrix_type.cc, max.cc, mex.cc, mex.h, mexproto.h,
	mgorth.cc, mxarray.in.h, nproc.cc, oct-errno.h, oct-errno.in.cc, oct-fstrm.cc,
	oct-fstrm.h, oct-handle.h, oct-hdf5-types.cc, oct-hdf5-types.h, oct-hdf5.h,
	oct-hist.cc, oct-hist.h, oct-iostrm.cc, oct-iostrm.h, oct-lvalue.cc,
	oct-lvalue.h, oct-map.h, oct-obj.h, oct-opengl.h, oct-prcstrm.cc,
	oct-prcstrm.h, oct-procbuf.cc, oct-procbuf.h, oct-stdstrm.h, oct-stream.cc,
	oct-stream.h, oct-strstrm.cc, oct-strstrm.h, oct.h, octave-default-image.h,
	octave-link.h, octave-preserve-stream-state.h, ordschur.cc, pager.cc, pager.h,
	pinv.cc, pr-output.cc, pr-output.h, procstream.cc, procstream.h, profiler.h,
	psi.cc, pt-jit.cc, pt-jit.h, quad.cc, quadcc.cc, qz.cc, rand.cc, rcond.cc,
	regexp.cc, schur.cc, sighandlers.cc, sighandlers.h, sparse-xdiv.cc,
	sparse-xdiv.h, sparse-xpow.cc, sparse-xpow.h, sparse.cc, spparms.cc, sqrtm.cc,
	str2double.cc, strfind.cc, strfns.cc, sub2ind.cc, svd.cc, sylvester.cc,
	symtab.cc, symtab.h, syscalls.cc, sysdep.cc, sysdep.h, text-renderer.cc,
	text-renderer.h, time.cc, toplev.cc, toplev.h, tril.cc, tsearch.cc, txt-eng.cc,
	txt-eng.h, typecast.cc, urlwrite.cc, utils.cc, utils.h, variables.cc,
	variables.h, workspace-element.h, xdiv.cc, xdiv.h, xnorm.cc, xnorm.h, xpow.cc,
	xpow.h, zfstream.cc, zfstream.h, deprecated-config.h, __delaunayn__.cc,
	__eigs__.cc, __fltk_uigetfile__.cc, __glpk__.cc, __init_fltk__.cc,
	__init_gnuplot__.cc, __osmesa_print__.cc, __voronoi__.cc, amd.cc,
	audiodevinfo.cc, audioread.cc, ccolamd.cc, chol.cc, colamd.cc, convhulln.cc,
	dmperm.cc, fftw.cc, gzip.cc, oct-qhull.h, qr.cc, symbfact.cc, symrcm.cc,
	liboctinterp-build-info.h, liboctinterp-build-info.in.cc, ov-base-diag.h,
	ov-base-int.cc, ov-base-int.h, ov-base-mat.cc, ov-base-mat.h, ov-base-scalar.h,
	ov-base-sparse.cc, ov-base-sparse.h, ov-base.cc, ov-base.h, ov-bool-mat.cc,
	ov-bool-mat.h, ov-bool-sparse.cc, ov-bool-sparse.h, ov-bool.cc, ov-bool.h,
	ov-builtin.cc, ov-builtin.h, ov-cell.cc, ov-cell.h, ov-ch-mat.cc, ov-ch-mat.h,
	ov-class.cc, ov-class.h, ov-classdef.cc, ov-classdef.h, ov-colon.cc,
	ov-colon.h, ov-complex.cc, ov-complex.h, ov-cs-list.h, ov-cx-diag.cc,
	ov-cx-diag.h, ov-cx-mat.cc, ov-cx-mat.h, ov-cx-sparse.cc, ov-cx-sparse.h,
	ov-dld-fcn.cc, ov-dld-fcn.h, ov-fcn-handle.cc, ov-fcn-handle.h,
	ov-fcn-inline.cc, ov-fcn-inline.h, ov-fcn.cc, ov-fcn.h, ov-float.cc,
	ov-float.h, ov-flt-complex.cc, ov-flt-complex.h, ov-flt-cx-diag.cc,
	ov-flt-cx-diag.h, ov-flt-cx-mat.cc, ov-flt-cx-mat.h, ov-flt-re-diag.cc,
	ov-flt-re-diag.h, ov-flt-re-mat.cc, ov-flt-re-mat.h, ov-int-traits.h,
	ov-int16.cc, ov-int16.h, ov-int32.cc, ov-int32.h, ov-int64.cc, ov-int64.h,
	ov-int8.cc, ov-int8.h, ov-intx.h, ov-java.cc, ov-java.h, ov-lazy-idx.cc,
	ov-lazy-idx.h, ov-mex-fcn.cc, ov-mex-fcn.h, ov-null-mat.cc, ov-null-mat.h,
	ov-oncleanup.cc, ov-oncleanup.h, ov-perm.cc, ov-perm.h, ov-range.cc,
	ov-range.h, ov-re-diag.cc, ov-re-diag.h, ov-re-mat.cc, ov-re-mat.h,
	ov-re-sparse.cc, ov-re-sparse.h, ov-scalar.cc, ov-scalar.h, ov-str-mat.cc,
	ov-str-mat.h, ov-struct.cc, ov-struct.h, ov-typeinfo.cc, ov-typeinfo.h,
	ov-uint16.cc, ov-uint16.h, ov-uint32.cc, ov-uint32.h, ov-uint64.cc,
	ov-uint64.h, ov-uint8.cc, ov-uint8.h, ov-usr-fcn.cc, ov-usr-fcn.h, ov.h,
	ovl.cc, ovl.h, octave.cc, octave.h, op-b-b.cc, op-b-bm.cc, op-b-sbm.cc,
	op-bm-b.cc, op-bm-bm.cc, op-bm-sbm.cc, op-cdm-cdm.cc, op-cell.cc, op-chm.cc,
	op-class.cc, op-cm-cm.cc, op-cm-cs.cc, op-cm-m.cc, op-cm-pm.cc, op-cm-s.cc,
	op-cm-scm.cc, op-cm-sm.cc, op-cs-cm.cc, op-cs-cs.cc, op-cs-m.cc, op-cs-s.cc,
	op-cs-scm.cc, op-cs-sm.cc, op-dm-dm.cc, op-dm-scm.cc, op-dm-sm.cc,
	op-dm-template.cc, op-dms-template.cc, op-fcdm-fcdm.cc, op-fcm-fcm.cc,
	op-fcm-fcs.cc, op-fcm-fm.cc, op-fcm-fs.cc, op-fcm-pm.cc, op-fcn.cc,
	op-fcs-fcm.cc, op-fcs-fcs.cc, op-fcs-fm.cc, op-fcs-fs.cc, op-fdm-fdm.cc,
	op-fm-fcm.cc, op-fm-fcs.cc, op-fm-fm.cc, op-fm-fs.cc, op-fm-pm.cc,
	op-fs-fcm.cc, op-fs-fcs.cc, op-fs-fm.cc, op-fs-fs.cc, op-i16-i16.cc,
	op-i32-i32.cc, op-i64-i64.cc, op-i8-i8.cc, op-int-concat.cc, op-int.h,
	op-m-cm.cc, op-m-cs.cc, op-m-m.cc, op-m-pm.cc, op-m-s.cc, op-m-scm.cc,
	op-m-sm.cc, op-pm-cm.cc, op-pm-fcm.cc, op-pm-fm.cc, op-pm-m.cc, op-pm-pm.cc,
	op-pm-scm.cc, op-pm-sm.cc, op-pm-template.cc, op-range.cc, op-s-cm.cc,
	op-s-cs.cc, op-s-m.cc, op-s-s.cc, op-s-scm.cc, op-s-sm.cc, op-sbm-b.cc,
	op-sbm-bm.cc, op-sbm-sbm.cc, op-scm-cm.cc, op-scm-cs.cc, op-scm-m.cc,
	op-scm-s.cc, op-scm-scm.cc, op-scm-sm.cc, op-sm-cm.cc, op-sm-cs.cc, op-sm-m.cc,
	op-sm-s.cc, op-sm-scm.cc, op-sm-sm.cc, op-str-m.cc, op-str-s.cc, op-str-str.cc,
	op-struct.cc, op-ui16-ui16.cc, op-ui32-ui32.cc, op-ui64-ui64.cc, op-ui8-ui8.cc,
	ops.h, options-usage.h, lex.h, parse.h, pt-all.h, pt-arg-list.cc,
	pt-arg-list.h, pt-array-list.h, pt-assign.cc, pt-assign.h, pt-binop.cc,
	pt-binop.h, pt-bp.cc, pt-bp.h, pt-cbinop.cc, pt-cbinop.h, pt-cell.cc,
	pt-cell.h, pt-check.cc, pt-check.h, pt-classdef.cc, pt-classdef.h, pt-cmd.cc,
	pt-cmd.h, pt-colon.cc, pt-colon.h, pt-const.cc, pt-const.h, pt-decl.cc,
	pt-decl.h, pt-eval.cc, pt-eval.h, pt-except.cc, pt-except.h, pt-exp.cc,
	pt-exp.h, pt-fcn-handle.cc, pt-fcn-handle.h, pt-funcall.cc, pt-funcall.h,
	pt-id.cc, pt-id.h, pt-idx.cc, pt-idx.h, pt-jump.cc, pt-jump.h, pt-loop.cc,
	pt-loop.h, pt-mat.cc, pt-mat.h, pt-misc.cc, pt-misc.h, pt-pr-code.cc,
	pt-pr-code.h, pt-select.cc, pt-select.h, pt-stmt.cc, pt-stmt.h, pt-unop.cc,
	pt-unop.h, pt-walk.h, pt.cc, pt.h, token.cc, token.h, Array-jit.cc,
	Array-tc.cc, version.cc, version.in.h:
	Style check C++ code in libinterp/

	Files: libinterp/build-env.h libinterp/build-env.in.cc libinterp/builtins.h
	libinterp/corefcn/Cell.cc libinterp/corefcn/Cell.h
	libinterp/corefcn/__contourc__.cc libinterp/corefcn/__dispatch__.cc
	libinterp/corefcn/__dsearchn__.cc libinterp/corefcn/__ilu__.cc
	libinterp/corefcn/__lin_interpn__.cc libinterp/corefcn/__luinc__.cc
	libinterp/corefcn/__magick_read__.cc
	libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/balance.cc libinterp/corefcn/base-text-renderer.h
	libinterp/corefcn/besselj.cc libinterp/corefcn/bitfcns.cc
	libinterp/corefcn/bsxfun.cc libinterp/corefcn/c-file-ptr-stream.cc
	libinterp/corefcn/c-file-ptr-stream.h libinterp/corefcn/call-
	stack.cc libinterp/corefcn/call-stack.h libinterp/corefcn/cdisplay.c
	libinterp/corefcn/cdisplay.h libinterp/corefcn/cellfun.cc
	libinterp/corefcn/coct-hdf5-types.c libinterp/corefcn/comment-
	list.cc libinterp/corefcn/comment-list.h libinterp/corefcn/conv2.cc
	libinterp/corefcn/daspk.cc libinterp/corefcn/dasrt.cc
	libinterp/corefcn/dassl.cc libinterp/corefcn/data.cc
	libinterp/corefcn/data.h libinterp/corefcn/debug.cc
	libinterp/corefcn/debug.h libinterp/corefcn/defaults.cc
	libinterp/corefcn/defaults.in.h libinterp/corefcn/defun-dld.h
	libinterp/corefcn/defun-int.h libinterp/corefcn/defun.h
	libinterp/corefcn/det.cc libinterp/corefcn/dirfns.cc
	libinterp/corefcn/dirfns.h libinterp/corefcn/display.cc
	libinterp/corefcn/display.h libinterp/corefcn/dlmread.cc
	libinterp/corefcn/dynamic-ld.cc libinterp/corefcn/dynamic-ld.h
	libinterp/corefcn/eig.cc libinterp/corefcn/error.cc
	libinterp/corefcn/error.h libinterp/corefcn/errwarn.h
	libinterp/corefcn/event-queue.cc libinterp/corefcn/event-queue.h
	libinterp/corefcn/fft.cc libinterp/corefcn/fft2.cc
	libinterp/corefcn/fftn.cc libinterp/corefcn/file-io.cc
	libinterp/corefcn/file-io.h libinterp/corefcn/filter.cc
	libinterp/corefcn/find.cc libinterp/corefcn/ft-text-renderer.cc
	libinterp/corefcn/ft-text-renderer.h libinterp/corefcn/gammainc.cc
	libinterp/corefcn/gcd.cc libinterp/corefcn/getgrent.cc
	libinterp/corefcn/getpwent.cc libinterp/corefcn/givens.cc
	libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h
	libinterp/corefcn/gl2ps-print.cc libinterp/corefcn/gl2ps-print.h
	libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h
	libinterp/corefcn/gripes.h libinterp/corefcn/gsvd.cc
	libinterp/corefcn/hash.cc libinterp/corefcn/help.cc
	libinterp/corefcn/help.h libinterp/corefcn/hess.cc
	libinterp/corefcn/hex2num.cc libinterp/corefcn/hook-fcn.cc
	libinterp/corefcn/hook-fcn.h libinterp/corefcn/input.cc
	libinterp/corefcn/input.h libinterp/corefcn/interpreter.cc
	libinterp/corefcn/interpreter.h libinterp/corefcn/inv.cc
	libinterp/corefcn/jit-ir.cc libinterp/corefcn/jit-ir.h
	libinterp/corefcn/jit-typeinfo.cc libinterp/corefcn/jit-typeinfo.h
	libinterp/corefcn/jit-util.cc libinterp/corefcn/jit-util.h
	libinterp/corefcn/kron.cc libinterp/corefcn/load-path.cc
	libinterp/corefcn/load-path.h libinterp/corefcn/load-save.cc
	libinterp/corefcn/load-save.h libinterp/corefcn/lookup.cc
	libinterp/corefcn/ls-ascii-helper.cc libinterp/corefcn/ls-ascii-
	helper.h libinterp/corefcn/ls-hdf5.cc libinterp/corefcn/ls-hdf5.h
	libinterp/corefcn/ls-mat-ascii.cc libinterp/corefcn/ls-mat-ascii.h
	libinterp/corefcn/ls-mat4.cc libinterp/corefcn/ls-mat4.h
	libinterp/corefcn/ls-mat5.h libinterp/corefcn/ls-oct-binary.cc
	libinterp/corefcn/ls-oct-binary.h libinterp/corefcn/ls-oct-text.cc
	libinterp/corefcn/ls-oct-text.h libinterp/corefcn/ls-utils.cc
	libinterp/corefcn/ls-utils.h libinterp/corefcn/lsode.cc
	libinterp/corefcn/lu.cc libinterp/corefcn/matrix_type.cc
	libinterp/corefcn/max.cc libinterp/corefcn/mex.cc
	libinterp/corefcn/mex.h libinterp/corefcn/mexproto.h
	libinterp/corefcn/mgorth.cc libinterp/corefcn/mxarray.in.h
	libinterp/corefcn/nproc.cc libinterp/corefcn/oct-errno.h
	libinterp/corefcn/oct-errno.in.cc libinterp/corefcn/oct-fstrm.cc
	libinterp/corefcn/oct-fstrm.h libinterp/corefcn/oct-handle.h
	libinterp/corefcn/oct-hdf5-types.cc libinterp/corefcn/oct-
	hdf5-types.h libinterp/corefcn/oct-hdf5.h libinterp/corefcn/oct-
	hist.cc libinterp/corefcn/oct-hist.h libinterp/corefcn/oct-iostrm.cc
	libinterp/corefcn/oct-iostrm.h libinterp/corefcn/oct-lvalue.cc
	libinterp/corefcn/oct-lvalue.h libinterp/corefcn/oct-map.h
	libinterp/corefcn/oct-obj.h libinterp/corefcn/oct-opengl.h
	libinterp/corefcn/oct-prcstrm.cc libinterp/corefcn/oct-prcstrm.h
	libinterp/corefcn/oct-procbuf.cc libinterp/corefcn/oct-procbuf.h
	libinterp/corefcn/oct-stdstrm.h libinterp/corefcn/oct-stream.cc
	libinterp/corefcn/oct-stream.h libinterp/corefcn/oct-strstrm.cc
	libinterp/corefcn/oct-strstrm.h libinterp/corefcn/oct.h
	libinterp/corefcn/octave-default-image.h libinterp/corefcn/octave-
	link.h libinterp/corefcn/octave-preserve-stream-state.h
	libinterp/corefcn/ordschur.cc libinterp/corefcn/pager.cc
	libinterp/corefcn/pager.h libinterp/corefcn/pinv.cc
	libinterp/corefcn/pr-output.cc libinterp/corefcn/pr-output.h
	libinterp/corefcn/procstream.cc libinterp/corefcn/procstream.h
	libinterp/corefcn/profiler.h libinterp/corefcn/psi.cc
	libinterp/corefcn/pt-jit.cc libinterp/corefcn/pt-jit.h
	libinterp/corefcn/quad.cc libinterp/corefcn/quadcc.cc
	libinterp/corefcn/qz.cc libinterp/corefcn/rand.cc
	libinterp/corefcn/rcond.cc libinterp/corefcn/regexp.cc
	libinterp/corefcn/schur.cc libinterp/corefcn/sighandlers.cc
	libinterp/corefcn/sighandlers.h libinterp/corefcn/sparse-xdiv.cc
	libinterp/corefcn/sparse-xdiv.h libinterp/corefcn/sparse-xpow.cc
	libinterp/corefcn/sparse-xpow.h libinterp/corefcn/sparse.cc
	libinterp/corefcn/spparms.cc libinterp/corefcn/sqrtm.cc
	libinterp/corefcn/str2double.cc libinterp/corefcn/strfind.cc
	libinterp/corefcn/strfns.cc libinterp/corefcn/sub2ind.cc
	libinterp/corefcn/svd.cc libinterp/corefcn/sylvester.cc
	libinterp/corefcn/symtab.cc libinterp/corefcn/symtab.h
	libinterp/corefcn/syscalls.cc libinterp/corefcn/sysdep.cc
	libinterp/corefcn/sysdep.h libinterp/corefcn/text-renderer.cc
	libinterp/corefcn/text-renderer.h libinterp/corefcn/time.cc
	libinterp/corefcn/toplev.cc libinterp/corefcn/toplev.h
	libinterp/corefcn/tril.cc libinterp/corefcn/tsearch.cc
	libinterp/corefcn/txt-eng.cc libinterp/corefcn/txt-eng.h
	libinterp/corefcn/typecast.cc libinterp/corefcn/urlwrite.cc
	libinterp/corefcn/utils.cc libinterp/corefcn/utils.h
	libinterp/corefcn/variables.cc libinterp/corefcn/variables.h
	libinterp/corefcn/workspace-element.h libinterp/corefcn/xdiv.cc
	libinterp/corefcn/xdiv.h libinterp/corefcn/xnorm.cc
	libinterp/corefcn/xnorm.h libinterp/corefcn/xpow.cc
	libinterp/corefcn/xpow.h libinterp/corefcn/zfstream.cc
	libinterp/corefcn/zfstream.h libinterp/deprecated-config.h
	libinterp/dldfcn/__delaunayn__.cc libinterp/dldfcn/__eigs__.cc
	libinterp/dldfcn/__fltk_uigetfile__.cc libinterp/dldfcn/__glpk__.cc
	libinterp/dldfcn/__init_fltk__.cc
	libinterp/dldfcn/__init_gnuplot__.cc
	libinterp/dldfcn/__osmesa_print__.cc libinterp/dldfcn/__voronoi__.cc
	libinterp/dldfcn/amd.cc libinterp/dldfcn/audiodevinfo.cc
	libinterp/dldfcn/audioread.cc libinterp/dldfcn/ccolamd.cc
	libinterp/dldfcn/chol.cc libinterp/dldfcn/colamd.cc
	libinterp/dldfcn/convhulln.cc libinterp/dldfcn/dmperm.cc
	libinterp/dldfcn/fftw.cc libinterp/dldfcn/gzip.cc libinterp/dldfcn
	/oct-qhull.h libinterp/dldfcn/qr.cc libinterp/dldfcn/symbfact.cc
	libinterp/dldfcn/symrcm.cc libinterp/liboctinterp-build-info.h
	libinterp/liboctinterp-build-info.in.cc libinterp/octave-value/ov-
	base-diag.h libinterp/octave-value/ov-base-int.cc libinterp/octave-
	value/ov-base-int.h libinterp/octave-value/ov-base-mat.cc libinterp
	/octave-value/ov-base-mat.h libinterp/octave-value/ov-base-scalar.h
	libinterp/octave-value/ov-base-sparse.cc libinterp/octave-value/ov-
	base-sparse.h libinterp/octave-value/ov-base.cc libinterp/octave-
	value/ov-base.h libinterp/octave-value/ov-bool-mat.cc libinterp
	/octave-value/ov-bool-mat.h libinterp/octave-value/ov-bool-sparse.cc
	libinterp/octave-value/ov-bool-sparse.h libinterp/octave-value/ov-
	bool.cc libinterp/octave-value/ov-bool.h libinterp/octave-value/ov-
	builtin.cc libinterp/octave-value/ov-builtin.h libinterp/octave-
	value/ov-cell.cc libinterp/octave-value/ov-cell.h libinterp/octave-
	value/ov-ch-mat.cc libinterp/octave-value/ov-ch-mat.h libinterp
	/octave-value/ov-class.cc libinterp/octave-value/ov-class.h
	libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	classdef.h libinterp/octave-value/ov-colon.cc libinterp/octave-value
	/ov-colon.h libinterp/octave-value/ov-complex.cc libinterp/octave-
	value/ov-complex.h libinterp/octave-value/ov-cs-list.h libinterp
	/octave-value/ov-cx-diag.cc libinterp/octave-value/ov-cx-diag.h
	libinterp/octave-value/ov-cx-mat.cc libinterp/octave-value/ov-cx-
	mat.h libinterp/octave-value/ov-cx-sparse.cc libinterp/octave-value
	/ov-cx-sparse.h libinterp/octave-value/ov-dld-fcn.cc libinterp
	/octave-value/ov-dld-fcn.h libinterp/octave-value/ov-fcn-handle.cc
	libinterp/octave-value/ov-fcn-handle.h libinterp/octave-value/ov-
	fcn-inline.cc libinterp/octave-value/ov-fcn-inline.h libinterp
	/octave-value/ov-fcn.cc libinterp/octave-value/ov-fcn.h libinterp
	/octave-value/ov-float.cc libinterp/octave-value/ov-float.h
	libinterp/octave-value/ov-flt-complex.cc libinterp/octave-value/ov-
	flt-complex.h libinterp/octave-value/ov-flt-cx-diag.cc libinterp
	/octave-value/ov-flt-cx-diag.h libinterp/octave-value/ov-flt-cx-
	mat.cc libinterp/octave-value/ov-flt-cx-mat.h libinterp/octave-value
	/ov-flt-re-diag.cc libinterp/octave-value/ov-flt-re-diag.h libinterp
	/octave-value/ov-flt-re-mat.cc libinterp/octave-value/ov-flt-re-
	mat.h libinterp/octave-value/ov-int-traits.h libinterp/octave-value
	/ov-int16.cc libinterp/octave-value/ov-int16.h libinterp/octave-
	value/ov-int32.cc libinterp/octave-value/ov-int32.h libinterp
	/octave-value/ov-int64.cc libinterp/octave-value/ov-int64.h
	libinterp/octave-value/ov-int8.cc libinterp/octave-value/ov-int8.h
	libinterp/octave-value/ov-intx.h libinterp/octave-value/ov-java.cc
	libinterp/octave-value/ov-java.h libinterp/octave-value/ov-lazy-
	idx.cc libinterp/octave-value/ov-lazy-idx.h libinterp/octave-value
	/ov-mex-fcn.cc libinterp/octave-value/ov-mex-fcn.h libinterp/octave-
	value/ov-null-mat.cc libinterp/octave-value/ov-null-mat.h libinterp
	/octave-value/ov-oncleanup.cc libinterp/octave-value/ov-oncleanup.h
	libinterp/octave-value/ov-perm.cc libinterp/octave-value/ov-perm.h
	libinterp/octave-value/ov-range.cc libinterp/octave-value/ov-range.h
	libinterp/octave-value/ov-re-diag.cc libinterp/octave-value/ov-re-
	diag.h libinterp/octave-value/ov-re-mat.cc libinterp/octave-value
	/ov-re-mat.h libinterp/octave-value/ov-re-sparse.cc libinterp
	/octave-value/ov-re-sparse.h libinterp/octave-value/ov-scalar.cc
	libinterp/octave-value/ov-scalar.h libinterp/octave-value/ov-str-
	mat.cc libinterp/octave-value/ov-str-mat.h libinterp/octave-value
	/ov-struct.cc libinterp/octave-value/ov-struct.h libinterp/octave-
	value/ov-typeinfo.cc libinterp/octave-value/ov-typeinfo.h libinterp
	/octave-value/ov-uint16.cc libinterp/octave-value/ov-uint16.h
	libinterp/octave-value/ov-uint32.cc libinterp/octave-value/ov-
	uint32.h libinterp/octave-value/ov-uint64.cc libinterp/octave-value
	/ov-uint64.h libinterp/octave-value/ov-uint8.cc libinterp/octave-
	value/ov-uint8.h libinterp/octave-value/ov-usr-fcn.cc libinterp
	/octave-value/ov-usr-fcn.h libinterp/octave-value/ov.h libinterp
	/octave-value/ovl.cc libinterp/octave-value/ovl.h
	libinterp/octave.cc libinterp/octave.h libinterp/operators/op-b-b.cc
	libinterp/operators/op-b-bm.cc libinterp/operators/op-b-sbm.cc
	libinterp/operators/op-bm-b.cc libinterp/operators/op-bm-bm.cc
	libinterp/operators/op-bm-sbm.cc libinterp/operators/op-cdm-cdm.cc
	libinterp/operators/op-cell.cc libinterp/operators/op-chm.cc
	libinterp/operators/op-class.cc libinterp/operators/op-cm-cm.cc
	libinterp/operators/op-cm-cs.cc libinterp/operators/op-cm-m.cc
	libinterp/operators/op-cm-pm.cc libinterp/operators/op-cm-s.cc
	libinterp/operators/op-cm-scm.cc libinterp/operators/op-cm-sm.cc
	libinterp/operators/op-cs-cm.cc libinterp/operators/op-cs-cs.cc
	libinterp/operators/op-cs-m.cc libinterp/operators/op-cs-s.cc
	libinterp/operators/op-cs-scm.cc libinterp/operators/op-cs-sm.cc
	libinterp/operators/op-dm-dm.cc libinterp/operators/op-dm-scm.cc
	libinterp/operators/op-dm-sm.cc libinterp/operators/op-dm-
	template.cc libinterp/operators/op-dms-template.cc
	libinterp/operators/op-fcdm-fcdm.cc libinterp/operators/op-fcm-
	fcm.cc libinterp/operators/op-fcm-fcs.cc libinterp/operators/op-fcm-
	fm.cc libinterp/operators/op-fcm-fs.cc libinterp/operators/op-fcm-
	pm.cc libinterp/operators/op-fcn.cc libinterp/operators/op-fcs-
	fcm.cc libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fcs-
	fm.cc libinterp/operators/op-fcs-fs.cc libinterp/operators/op-fdm-
	fdm.cc libinterp/operators/op-fm-fcm.cc libinterp/operators/op-fm-
	fcs.cc libinterp/operators/op-fm-fm.cc libinterp/operators/op-fm-
	fs.cc libinterp/operators/op-fm-pm.cc libinterp/operators/op-fs-
	fcm.cc libinterp/operators/op-fs-fcs.cc libinterp/operators/op-fs-
	fm.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-i16-i16.cc libinterp/operators/op-i32-i32.cc
	libinterp/operators/op-i64-i64.cc libinterp/operators/op-i8-i8.cc
	libinterp/operators/op-int-concat.cc libinterp/operators/op-int.h
	libinterp/operators/op-m-cm.cc libinterp/operators/op-m-cs.cc
	libinterp/operators/op-m-m.cc libinterp/operators/op-m-pm.cc
	libinterp/operators/op-m-s.cc libinterp/operators/op-m-scm.cc
	libinterp/operators/op-m-sm.cc libinterp/operators/op-pm-cm.cc
	libinterp/operators/op-pm-fcm.cc libinterp/operators/op-pm-fm.cc
	libinterp/operators/op-pm-m.cc libinterp/operators/op-pm-pm.cc
	libinterp/operators/op-pm-scm.cc libinterp/operators/op-pm-sm.cc
	libinterp/operators/op-pm-template.cc libinterp/operators/op-
	range.cc libinterp/operators/op-s-cm.cc
	libinterp/operators/op-s-cs.cc libinterp/operators/op-s-m.cc
	libinterp/operators/op-s-s.cc libinterp/operators/op-s-scm.cc
	libinterp/operators/op-s-sm.cc libinterp/operators/op-sbm-b.cc
	libinterp/operators/op-sbm-bm.cc libinterp/operators/op-sbm-sbm.cc
	libinterp/operators/op-scm-cm.cc libinterp/operators/op-scm-cs.cc
	libinterp/operators/op-scm-m.cc libinterp/operators/op-scm-s.cc
	libinterp/operators/op-scm-scm.cc libinterp/operators/op-scm-sm.cc
	libinterp/operators/op-sm-cm.cc libinterp/operators/op-sm-cs.cc
	libinterp/operators/op-sm-m.cc libinterp/operators/op-sm-s.cc
	libinterp/operators/op-sm-scm.cc libinterp/operators/op-sm-sm.cc
	libinterp/operators/op-str-m.cc libinterp/operators/op-str-s.cc
	libinterp/operators/op-str-str.cc libinterp/operators/op-struct.cc
	libinterp/operators/op-ui16-ui16.cc libinterp/operators/op-
	ui32-ui32.cc libinterp/operators/op-ui64-ui64.cc libinterp/operators
	/op-ui8-ui8.cc libinterp/operators/ops.h libinterp/options-usage.h
	libinterp/parse-tree/lex.h libinterp/parse-tree/parse.h libinterp
	/parse-tree/pt-all.h libinterp/parse-tree/pt-arg-list.cc libinterp
	/parse-tree/pt-arg-list.h libinterp/parse-tree/pt-array-list.h
	libinterp/parse-tree/pt-assign.cc libinterp/parse-tree/pt-assign.h
	libinterp/parse-tree/pt-binop.cc libinterp/parse-tree/pt-binop.h
	libinterp/parse-tree/pt-bp.cc libinterp/parse-tree/pt-bp.h libinterp
	/parse-tree/pt-cbinop.cc libinterp/parse-tree/pt-cbinop.h libinterp
	/parse-tree/pt-cell.cc libinterp/parse-tree/pt-cell.h libinterp
	/parse-tree/pt-check.cc libinterp/parse-tree/pt-check.h libinterp
	/parse-tree/pt-classdef.cc libinterp/parse-tree/pt-classdef.h
	libinterp/parse-tree/pt-cmd.cc libinterp/parse-tree/pt-cmd.h
	libinterp/parse-tree/pt-colon.cc libinterp/parse-tree/pt-colon.h
	libinterp/parse-tree/pt-const.cc libinterp/parse-tree/pt-const.h
	libinterp/parse-tree/pt-decl.cc libinterp/parse-tree/pt-decl.h
	libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	libinterp/parse-tree/pt-except.cc libinterp/parse-tree/pt-except.h
	libinterp/parse-tree/pt-exp.cc libinterp/parse-tree/pt-exp.h
	libinterp/parse-tree/pt-fcn-handle.cc libinterp/parse-tree/pt-fcn-
	handle.h libinterp/parse-tree/pt-funcall.cc libinterp/parse-tree/pt-
	funcall.h libinterp/parse-tree/pt-id.cc libinterp/parse-tree/pt-id.h
	libinterp/parse-tree/pt-idx.cc libinterp/parse-tree/pt-idx.h
	libinterp/parse-tree/pt-jump.cc libinterp/parse-tree/pt-jump.h
	libinterp/parse-tree/pt-loop.cc libinterp/parse-tree/pt-loop.h
	libinterp/parse-tree/pt-mat.cc libinterp/parse-tree/pt-mat.h
	libinterp/parse-tree/pt-misc.cc libinterp/parse-tree/pt-misc.h
	libinterp/parse-tree/pt-pr-code.cc libinterp/parse-tree/pt-pr-code.h
	libinterp/parse-tree/pt-select.cc libinterp/parse-tree/pt-select.h
	libinterp/parse-tree/pt-stmt.cc libinterp/parse-tree/pt-stmt.h
	libinterp/parse-tree/pt-unop.cc libinterp/parse-tree/pt-unop.h
	libinterp/parse-tree/pt-walk.h libinterp/parse-tree/pt.cc libinterp
	/parse-tree/pt.h libinterp/parse-tree/token.cc libinterp/parse-
	tree/token.h libinterp/template-inst/Array-jit.cc libinterp
	/template-inst/Array-tc.cc libinterp/version.cc
	libinterp/version.in.h

2016-08-29  Mike Miller  <mtmiller@octave.org>

	Update gnulib subrepo to latest changes, fix build error with GCC 7

	* .hgsubstate: Update gnulib subrepo to latest changes.

	Files: .hgsubstate

2016-08-29  Markus Mützel  <markus.muetzel@gmx.de>

	isonormals.m: Matlab compatibility in demos (bug #48873).

	isonormals.m: Make demo compatible with Matlab.

	Files: scripts/plot/draw/isonormals.m

	light.m: Demonstrate Matlab incompatibilities in demo block (bug #48873).

	light.m: Change demo for Matlab compatibility.  Add additional demo for
	"BackFaceLighting".

	Files: scripts/plot/draw/light.m

2016-08-29  Rik  <rik@octave.org>

	rose.m: Fix plotting that was off by 180 degrees (bug #48889).

	* rose.m: Correctly normalize input theta to range [0, 2*pi].
	Add check for bin sizes >= pi.  Report a warning if these are found.
	Add input validation BIST tests.

	Files: scripts/plot/draw/rose.m

	maint: Style check C++ code in liboctave/

	* Array-C.cc, Array-b.cc, Array-ch.cc, Array-d.cc, Array-f.cc, Array-fC.cc,
	Array-i.cc, Array-idx-vec.cc, Array-s.cc, Array-str.cc, Array-util.cc,
	Array-util.h, Array-voidp.cc, Array.cc, Array.h, CColVector.cc, CColVector.h,
	CDiagMatrix.cc, CDiagMatrix.h, CMatrix.cc, CMatrix.h, CNDArray.cc, CNDArray.h,
	CRowVector.cc, CRowVector.h, CSparse.cc, CSparse.h, DiagArray2.cc,
	DiagArray2.h, MArray-C.cc, MArray-d.cc, MArray-f.cc, MArray-fC.cc, MArray-i.cc,
	MArray-s.cc, MArray.cc, MArray.h, MDiagArray2.cc, MDiagArray2.h, MSparse-C.cc,
	MSparse-d.cc, MSparse.cc, MSparse.h, Matrix.h, MatrixType.cc, MatrixType.h,
	PermMatrix.cc, PermMatrix.h, Range.cc, Range.h, Sparse-C.cc, Sparse-b.cc,
	Sparse-d.cc, Sparse.cc, Sparse.h, boolMatrix.cc, boolMatrix.h, boolNDArray.cc,
	boolNDArray.h, boolSparse.cc, boolSparse.h, chMatrix.cc, chMatrix.h,
	chNDArray.cc, chNDArray.h, dColVector.cc, dColVector.h, dDiagMatrix.cc,
	dDiagMatrix.h, dMatrix.cc, dMatrix.h, dNDArray.cc, dNDArray.h, dRowVector.cc,
	dRowVector.h, dSparse.cc, dSparse.h, dim-vector.cc, dim-vector.h,
	fCColVector.cc, fCColVector.h, fCDiagMatrix.cc, fCDiagMatrix.h, fCMatrix.cc,
	fCMatrix.h, fCNDArray.cc, fCNDArray.h, fCRowVector.cc, fCRowVector.h,
	fColVector.cc, fColVector.h, fDiagMatrix.cc, fDiagMatrix.h, fMatrix.cc,
	fMatrix.h, fNDArray.cc, fNDArray.h, fRowVector.cc, fRowVector.h, idx-vector.cc,
	idx-vector.h, int16NDArray.cc, int16NDArray.h, int32NDArray.cc, int32NDArray.h,
	int64NDArray.cc, int64NDArray.h, int8NDArray.cc, int8NDArray.h, intNDArray.cc,
	intNDArray.h, uint16NDArray.cc, uint16NDArray.h, uint32NDArray.cc,
	uint32NDArray.h, uint64NDArray.h, uint8NDArray.h, blaswrap.c, cquit.c,
	f77-extern.cc, f77-fcn.c, f77-fcn.h, lo-error.c, lo-error.h, quit.cc, quit.h,
	liboctave-build-info.h, liboctave-build-info.in.cc, CollocWt.cc, CollocWt.h,
	DAE.h, DAEFunc.h, DAERT.h, DAERTFunc.h, DASPK.cc, DASPK.h, DASRT.cc, DASRT.h,
	DASSL.cc, DASSL.h, DET.h, EIG.cc, EIG.h, LSODE.cc, LSODE.h, ODE.h, ODEFunc.h,
	ODES.cc, ODES.h, ODESFunc.h, Quad.cc, Quad.h, aepbalance.cc, aepbalance.h,
	base-dae.h, base-de.h, base-min.h, bsxfun-decl.h, bsxfun-defs.cc, bsxfun.h,
	chol.cc, chol.h, eigs-base.cc, eigs-base.h, fEIG.cc, fEIG.h, gepbalance.cc,
	gepbalance.h, gsvd.cc, gsvd.h, hess.cc, hess.h, lo-amos-proto.h,
	lo-arpack-proto.h, lo-blas-proto.h, lo-fftpack-proto.h, lo-lapack-proto.h,
	lo-mappers.cc, lo-mappers.h, lo-qrupdate-proto.h, lo-ranlib-proto.h,
	lo-slatec-proto.h, lo-specfun.cc, lo-specfun.h, lu.cc, lu.h, oct-convn.cc,
	oct-fftw.cc, oct-fftw.h, oct-norm.h, oct-rand.cc, oct-rand.h, oct-spparms.cc,
	oct-spparms.h, qr.cc, qr.h, qrp.cc, qrp.h, randgamma.cc, randgamma.h,
	randmtzig.cc, randmtzig.h, randpoisson.cc, randpoisson.h, schur.cc, schur.h,
	sparse-chol.cc, sparse-chol.h, sparse-dmsolve.cc, sparse-dmsolve.h,
	sparse-lu.cc, sparse-lu.h, sparse-qr.cc, sparse-qr.h, svd.cc, svd.h,
	Sparse-diag-op-defs.h, Sparse-op-decls.h, Sparse-op-defs.h,
	Sparse-perm-op-defs.h, mx-base.h, mx-defs.h, mx-ext.h, mx-inlines.cc,
	mx-op-decl.h, mx-op-defs.h, child-list.cc, child-list.h, dir-ops.cc, dir-ops.h,
	file-ops.cc, file-ops.h, file-stat.cc, file-stat.h, lo-sysdep.cc, lo-sysdep.h,
	mach-info.cc, mach-info.h, oct-env.cc, oct-env.h, oct-group.cc, oct-group.h,
	oct-passwd.cc, oct-passwd.h, oct-syscalls.cc, oct-time.cc, oct-time.h,
	oct-uname.cc, oct-uname.h, action-container.h, base-list.h, byte-swap.h,
	caseless-str.h, cmd-edit.cc, cmd-edit.h, cmd-hist.cc, cmd-hist.h, data-conv.cc,
	data-conv.h, f2c-main.c, functor.h, glob-match.cc, glob-match.h, kpse.cc,
	kpse.h, lo-array-errwarn.cc, lo-array-errwarn.h, lo-array-gripes.cc,
	lo-array-gripes.h, lo-cutils.c, lo-cutils.h, lo-hash.cc, lo-hash.h, lo-ieee.cc,
	lo-ieee.h, lo-macros.h, lo-math.h, lo-regexp.cc, lo-regexp.h, lo-traits.h,
	lo-utils.cc, lo-utils.h, oct-alloc.h, oct-base64.cc, oct-binmap.h, oct-cmplx.h,
	oct-glob.cc, oct-glob.h, oct-inttypes-fwd.h, oct-inttypes.cc, oct-inttypes.h,
	oct-locbuf.cc, oct-mutex.cc, oct-mutex.h, oct-refcount.h, oct-rl-edit.c,
	oct-rl-edit.h, oct-rl-hist.c, oct-rl-hist.h, oct-shlib.cc, oct-shlib.h,
	oct-sort.cc, oct-sort.h, oct-sparse.h, oct-string.cc, oct-string.h,
	pathsearch.cc, pathsearch.h, singleton-cleanup.cc, singleton-cleanup.h,
	sparse-sort.cc, sparse-sort.h, sparse-util.cc, sparse-util.h, str-vec.cc,
	str-vec.h, sun-utils.h, unwind-prot.cc, unwind-prot.h, url-transfer.cc,
	url-transfer.h, areadlink-wrapper.c, areadlink-wrapper.h,
	async-system-wrapper.c, async-system-wrapper.h, base64-wrappers.c,
	base64-wrappers.h, canonicalize-file-name-wrapper.c,
	canonicalize-file-name-wrapper.h, dirent-wrappers.c, dirent-wrappers.h,
	fcntl-wrappers.c, fcntl-wrappers.h, filepos-wrappers.c, filepos-wrappers.h,
	fpucw-wrappers.c, fpucw-wrappers.h, gen-tempname-wrapper.c,
	gen-tempname-wrapper.h, getopt-wrapper.c, glob-wrappers.c, hash-wrappers.c,
	hash-wrappers.h, math-wrappers.c, math-wrappers.h, mkostemp-wrapper.c,
	mkostemp-wrapper.h, nanosleep-wrapper.c, nanosleep-wrapper.h, nproc-wrapper.c,
	nproc-wrapper.h, octave-popen2.c, octave-popen2.h, putenv-wrapper.c,
	putenv-wrapper.h, set-program-name-wrapper.c, set-program-name-wrapper.h,
	signal-wrappers.c, signal-wrappers.h, stat-wrappers.c, stat-wrappers.h,
	strdup-wrapper.c, strdup-wrapper.h, strftime-wrapper.c, strftime-wrapper.h,
	strmode-wrapper.c, strmode-wrapper.h, strptime-wrapper.c, strptime-wrapper.h,
	time-wrappers.c, time-wrappers.h, tmpfile-wrapper.c, tmpfile-wrapper.h,
	uname-wrapper.c, uname-wrapper.h, unistd-wrappers.c, unistd-wrappers.h,
	unsetenv-wrapper.c, unsetenv-wrapper.h, vasprintf-wrapper.c,
	vasprintf-wrapper.h, wait-for-input.c, wait-for-input.h, wait-wrappers.c,
	wait-wrappers.h:
	Wrap long lines < 80 characters.  Update incorrect indentation.

	Files: liboctave/array/Array-C.cc liboctave/array/Array-b.cc
	liboctave/array/Array-ch.cc liboctave/array/Array-d.cc
	liboctave/array/Array-f.cc liboctave/array/Array-fC.cc
	liboctave/array/Array-i.cc liboctave/array/Array-idx-vec.cc
	liboctave/array/Array-s.cc liboctave/array/Array-str.cc
	liboctave/array/Array-util.cc liboctave/array/Array-util.h
	liboctave/array/Array-voidp.cc liboctave/array/Array.cc
	liboctave/array/Array.h liboctave/array/CColVector.cc
	liboctave/array/CColVector.h liboctave/array/CDiagMatrix.cc
	liboctave/array/CDiagMatrix.h liboctave/array/CMatrix.cc
	liboctave/array/CMatrix.h liboctave/array/CNDArray.cc
	liboctave/array/CNDArray.h liboctave/array/CRowVector.cc
	liboctave/array/CRowVector.h liboctave/array/CSparse.cc
	liboctave/array/CSparse.h liboctave/array/DiagArray2.cc
	liboctave/array/DiagArray2.h liboctave/array/MArray-C.cc
	liboctave/array/MArray-d.cc liboctave/array/MArray-f.cc
	liboctave/array/MArray-fC.cc liboctave/array/MArray-i.cc
	liboctave/array/MArray-s.cc liboctave/array/MArray.cc
	liboctave/array/MArray.h liboctave/array/MDiagArray2.cc
	liboctave/array/MDiagArray2.h liboctave/array/MSparse-C.cc
	liboctave/array/MSparse-d.cc liboctave/array/MSparse.cc
	liboctave/array/MSparse.h liboctave/array/Matrix.h
	liboctave/array/MatrixType.cc liboctave/array/MatrixType.h
	liboctave/array/PermMatrix.cc liboctave/array/PermMatrix.h
	liboctave/array/Range.cc liboctave/array/Range.h
	liboctave/array/Sparse-C.cc liboctave/array/Sparse-b.cc
	liboctave/array/Sparse-d.cc liboctave/array/Sparse.cc
	liboctave/array/Sparse.h liboctave/array/boolMatrix.cc
	liboctave/array/boolMatrix.h liboctave/array/boolNDArray.cc
	liboctave/array/boolNDArray.h liboctave/array/boolSparse.cc
	liboctave/array/boolSparse.h liboctave/array/chMatrix.cc
	liboctave/array/chMatrix.h liboctave/array/chNDArray.cc
	liboctave/array/chNDArray.h liboctave/array/dColVector.cc
	liboctave/array/dColVector.h liboctave/array/dDiagMatrix.cc
	liboctave/array/dDiagMatrix.h liboctave/array/dMatrix.cc
	liboctave/array/dMatrix.h liboctave/array/dNDArray.cc
	liboctave/array/dNDArray.h liboctave/array/dRowVector.cc
	liboctave/array/dRowVector.h liboctave/array/dSparse.cc
	liboctave/array/dSparse.h liboctave/array/dim-vector.cc
	liboctave/array/dim-vector.h liboctave/array/fCColVector.cc
	liboctave/array/fCColVector.h liboctave/array/fCDiagMatrix.cc
	liboctave/array/fCDiagMatrix.h liboctave/array/fCMatrix.cc
	liboctave/array/fCMatrix.h liboctave/array/fCNDArray.cc
	liboctave/array/fCNDArray.h liboctave/array/fCRowVector.cc
	liboctave/array/fCRowVector.h liboctave/array/fColVector.cc
	liboctave/array/fColVector.h liboctave/array/fDiagMatrix.cc
	liboctave/array/fDiagMatrix.h liboctave/array/fMatrix.cc
	liboctave/array/fMatrix.h liboctave/array/fNDArray.cc
	liboctave/array/fNDArray.h liboctave/array/fRowVector.cc
	liboctave/array/fRowVector.h liboctave/array/idx-vector.cc
	liboctave/array/idx-vector.h liboctave/array/int16NDArray.cc
	liboctave/array/int16NDArray.h liboctave/array/int32NDArray.cc
	liboctave/array/int32NDArray.h liboctave/array/int64NDArray.cc
	liboctave/array/int64NDArray.h liboctave/array/int8NDArray.cc
	liboctave/array/int8NDArray.h liboctave/array/intNDArray.cc
	liboctave/array/intNDArray.h liboctave/array/uint16NDArray.cc
	liboctave/array/uint16NDArray.h liboctave/array/uint32NDArray.cc
	liboctave/array/uint32NDArray.h liboctave/array/uint64NDArray.h
	liboctave/array/uint8NDArray.h liboctave/cruft/misc/blaswrap.c
	liboctave/cruft/misc/cquit.c liboctave/cruft/misc/f77-extern.cc
	liboctave/cruft/misc/f77-fcn.c liboctave/cruft/misc/f77-fcn.h
	liboctave/cruft/misc/lo-error.c liboctave/cruft/misc/lo-error.h
	liboctave/cruft/misc/quit.cc liboctave/cruft/misc/quit.h liboctave
	/liboctave-build-info.h liboctave/liboctave-build-info.in.cc
	liboctave/numeric/CollocWt.cc liboctave/numeric/CollocWt.h
	liboctave/numeric/DAE.h liboctave/numeric/DAEFunc.h
	liboctave/numeric/DAERT.h liboctave/numeric/DAERTFunc.h
	liboctave/numeric/DASPK.cc liboctave/numeric/DASPK.h
	liboctave/numeric/DASRT.cc liboctave/numeric/DASRT.h
	liboctave/numeric/DASSL.cc liboctave/numeric/DASSL.h
	liboctave/numeric/DET.h liboctave/numeric/EIG.cc
	liboctave/numeric/EIG.h liboctave/numeric/LSODE.cc
	liboctave/numeric/LSODE.h liboctave/numeric/ODE.h
	liboctave/numeric/ODEFunc.h liboctave/numeric/ODES.cc
	liboctave/numeric/ODES.h liboctave/numeric/ODESFunc.h
	liboctave/numeric/Quad.cc liboctave/numeric/Quad.h
	liboctave/numeric/aepbalance.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/base-dae.h liboctave/numeric/base-de.h
	liboctave/numeric/base-min.h liboctave/numeric/bsxfun-decl.h
	liboctave/numeric/bsxfun-defs.cc liboctave/numeric/bsxfun.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h liboctave/numeric
	/eigs-base.cc liboctave/numeric/eigs-base.h
	liboctave/numeric/fEIG.cc liboctave/numeric/fEIG.h
	liboctave/numeric/gepbalance.cc liboctave/numeric/gepbalance.h
	liboctave/numeric/gsvd.cc liboctave/numeric/gsvd.h
	liboctave/numeric/hess.cc liboctave/numeric/hess.h liboctave/numeric
	/lo-amos-proto.h liboctave/numeric/lo-arpack-proto.h
	liboctave/numeric/lo-blas-proto.h liboctave/numeric/lo-fftpack-
	proto.h liboctave/numeric/lo-lapack-proto.h liboctave/numeric/lo-
	mappers.cc liboctave/numeric/lo-mappers.h liboctave/numeric/lo-
	qrupdate-proto.h liboctave/numeric/lo-ranlib-proto.h
	liboctave/numeric/lo-slatec-proto.h liboctave/numeric/lo-specfun.cc
	liboctave/numeric/lo-specfun.h liboctave/numeric/lu.cc
	liboctave/numeric/lu.h liboctave/numeric/oct-convn.cc
	liboctave/numeric/oct-fftw.cc liboctave/numeric/oct-fftw.h
	liboctave/numeric/oct-norm.h liboctave/numeric/oct-rand.cc
	liboctave/numeric/oct-rand.h liboctave/numeric/oct-spparms.cc
	liboctave/numeric/oct-spparms.h liboctave/numeric/qr.cc
	liboctave/numeric/qr.h liboctave/numeric/qrp.cc
	liboctave/numeric/qrp.h liboctave/numeric/randgamma.cc
	liboctave/numeric/randgamma.h liboctave/numeric/randmtzig.cc
	liboctave/numeric/randmtzig.h liboctave/numeric/randpoisson.cc
	liboctave/numeric/randpoisson.h liboctave/numeric/schur.cc
	liboctave/numeric/schur.h liboctave/numeric/sparse-chol.cc
	liboctave/numeric/sparse-chol.h liboctave/numeric/sparse-dmsolve.cc
	liboctave/numeric/sparse-dmsolve.h liboctave/numeric/sparse-lu.cc
	liboctave/numeric/sparse-lu.h liboctave/numeric/sparse-qr.cc
	liboctave/numeric/sparse-qr.h liboctave/numeric/svd.cc
	liboctave/numeric/svd.h liboctave/operators/Sparse-diag-op-defs.h
	liboctave/operators/Sparse-op-decls.h liboctave/operators/Sparse-op-
	defs.h liboctave/operators/Sparse-perm-op-defs.h liboctave/operators
	/mx-base.h liboctave/operators/mx-defs.h liboctave/operators/mx-
	ext.h liboctave/operators/mx-inlines.cc liboctave/operators/mx-op-
	decl.h liboctave/operators/mx-op-defs.h liboctave/system/child-
	list.cc liboctave/system/child-list.h liboctave/system/dir-ops.cc
	liboctave/system/dir-ops.h liboctave/system/file-ops.cc
	liboctave/system/file-ops.h liboctave/system/file-stat.cc
	liboctave/system/file-stat.h liboctave/system/lo-sysdep.cc
	liboctave/system/lo-sysdep.h liboctave/system/mach-info.cc
	liboctave/system/mach-info.h liboctave/system/oct-env.cc
	liboctave/system/oct-env.h liboctave/system/oct-group.cc
	liboctave/system/oct-group.h liboctave/system/oct-passwd.cc
	liboctave/system/oct-passwd.h liboctave/system/oct-syscalls.cc
	liboctave/system/oct-time.cc liboctave/system/oct-time.h
	liboctave/system/oct-uname.cc liboctave/system/oct-uname.h
	liboctave/util/action-container.h liboctave/util/base-list.h
	liboctave/util/byte-swap.h liboctave/util/caseless-str.h
	liboctave/util/cmd-edit.cc liboctave/util/cmd-edit.h liboctave/util
	/cmd-hist.cc liboctave/util/cmd-hist.h liboctave/util/data-conv.cc
	liboctave/util/data-conv.h liboctave/util/f2c-main.c
	liboctave/util/functor.h liboctave/util/glob-match.cc liboctave/util
	/glob-match.h liboctave/util/kpse.cc liboctave/util/kpse.h
	liboctave/util/lo-array-errwarn.cc liboctave/util/lo-array-errwarn.h
	liboctave/util/lo-array-gripes.cc liboctave/util/lo-array-gripes.h
	liboctave/util/lo-cutils.c liboctave/util/lo-cutils.h liboctave/util
	/lo-hash.cc liboctave/util/lo-hash.h liboctave/util/lo-ieee.cc
	liboctave/util/lo-ieee.h liboctave/util/lo-macros.h liboctave/util
	/lo-math.h liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h
	liboctave/util/lo-traits.h liboctave/util/lo-utils.cc liboctave/util
	/lo-utils.h liboctave/util/oct-alloc.h liboctave/util/oct-base64.cc
	liboctave/util/oct-binmap.h liboctave/util/oct-cmplx.h
	liboctave/util/oct-glob.cc liboctave/util/oct-glob.h liboctave/util
	/oct-inttypes-fwd.h liboctave/util/oct-inttypes.cc liboctave/util
	/oct-inttypes.h liboctave/util/oct-locbuf.cc liboctave/util/oct-
	mutex.cc liboctave/util/oct-mutex.h liboctave/util/oct-refcount.h
	liboctave/util/oct-rl-edit.c liboctave/util/oct-rl-edit.h
	liboctave/util/oct-rl-hist.c liboctave/util/oct-rl-hist.h
	liboctave/util/oct-shlib.cc liboctave/util/oct-shlib.h
	liboctave/util/oct-sort.cc liboctave/util/oct-sort.h liboctave/util
	/oct-sparse.h liboctave/util/oct-string.cc liboctave/util/oct-
	string.h liboctave/util/pathsearch.cc liboctave/util/pathsearch.h
	liboctave/util/singleton-cleanup.cc liboctave/util/singleton-
	cleanup.h liboctave/util/sparse-sort.cc liboctave/util/sparse-sort.h
	liboctave/util/sparse-util.cc liboctave/util/sparse-util.h
	liboctave/util/str-vec.cc liboctave/util/str-vec.h liboctave/util
	/sun-utils.h liboctave/util/unwind-prot.cc liboctave/util/unwind-
	prot.h liboctave/util/url-transfer.cc liboctave/util/url-transfer.h
	liboctave/wrappers/areadlink-wrapper.c liboctave/wrappers/areadlink-
	wrapper.h liboctave/wrappers/async-system-wrapper.c
	liboctave/wrappers/async-system-wrapper.h
	liboctave/wrappers/base64-wrappers.c
	liboctave/wrappers/base64-wrappers.h liboctave/wrappers
	/canonicalize-file-name-wrapper.c liboctave/wrappers/canonicalize-
	file-name-wrapper.h liboctave/wrappers/dirent-wrappers.c
	liboctave/wrappers/dirent-wrappers.h liboctave/wrappers/fcntl-
	wrappers.c liboctave/wrappers/fcntl-wrappers.h liboctave/wrappers
	/filepos-wrappers.c liboctave/wrappers/filepos-wrappers.h
	liboctave/wrappers/fpucw-wrappers.c liboctave/wrappers/fpucw-
	wrappers.h liboctave/wrappers/gen-tempname-wrapper.c
	liboctave/wrappers/gen-tempname-wrapper.h liboctave/wrappers/getopt-
	wrapper.c liboctave/wrappers/glob-wrappers.c liboctave/wrappers
	/hash-wrappers.c liboctave/wrappers/hash-wrappers.h
	liboctave/wrappers/math-wrappers.c liboctave/wrappers/math-
	wrappers.h liboctave/wrappers/mkostemp-wrapper.c liboctave/wrappers
	/mkostemp-wrapper.h liboctave/wrappers/nanosleep-wrapper.c
	liboctave/wrappers/nanosleep-wrapper.h liboctave/wrappers/nproc-
	wrapper.c liboctave/wrappers/nproc-wrapper.h liboctave/wrappers
	/octave-popen2.c liboctave/wrappers/octave-popen2.h
	liboctave/wrappers/putenv-wrapper.c liboctave/wrappers/putenv-
	wrapper.h liboctave/wrappers/set-program-name-wrapper.c
	liboctave/wrappers/set-program-name-wrapper.h liboctave/wrappers
	/signal-wrappers.c liboctave/wrappers/signal-wrappers.h
	liboctave/wrappers/stat-wrappers.c liboctave/wrappers/stat-
	wrappers.h liboctave/wrappers/strdup-wrapper.c liboctave/wrappers
	/strdup-wrapper.h liboctave/wrappers/strftime-wrapper.c
	liboctave/wrappers/strftime-wrapper.h liboctave/wrappers/strmode-
	wrapper.c liboctave/wrappers/strmode-wrapper.h liboctave/wrappers
	/strptime-wrapper.c liboctave/wrappers/strptime-wrapper.h
	liboctave/wrappers/time-wrappers.c liboctave/wrappers/time-
	wrappers.h liboctave/wrappers/tmpfile-wrapper.c liboctave/wrappers
	/tmpfile-wrapper.h liboctave/wrappers/uname-wrapper.c
	liboctave/wrappers/uname-wrapper.h liboctave/wrappers/unistd-
	wrappers.c liboctave/wrappers/unistd-wrappers.h liboctave/wrappers
	/unsetenv-wrapper.c liboctave/wrappers/unsetenv-wrapper.h
	liboctave/wrappers/vasprintf-wrapper.c liboctave/wrappers/vasprintf-
	wrapper.h liboctave/wrappers/wait-for-input.c liboctave/wrappers
	/wait-for-input.h liboctave/wrappers/wait-wrappers.c
	liboctave/wrappers/wait-wrappers.h

2016-08-29  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Update Basque translation for 4.2 release

	* eu_ES.ts: complete unfinished translations.

	Files: libgui/languages/eu_ES.ts

2016-08-29  Andreas Weber  <andy.weber.aw@gmail.com>

	de_DE.ts: Update german translation of GUI

	Files: libgui/languages/de_DE.ts

2016-08-29  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Allow translation of all the annotation dialog strings (bug #48940)

	* annotation-dialog.cc (annotation_dialog::get_gui_props): return the actual
	  english version of the combo box text.
	* annotation-dialog.cc (annotation_dialog::get_gui_props): wrap code to 80 col.
	* fr_FR.ts: translate combo box strings

	Files: libgui/graphics/annotation-dialog.cc libgui/languages/fr_FR.ts

2016-08-28  John W. Eaton  <jwe@octave.org>

	check for pthread and openmp libs before shared lib support (bug #48786)

	* configure.ac: Move checks for pthread and openmp libraries before
	checks for shared library support.

	Files: configure.ac

2016-08-26  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Update French translation for 4.2 release

	* fr_FR.ts: add missing translations
	* fr_FR.ts: spell check all translations
	* fr_FR.ts: consistent spelling of "bogue/déboguage..." (bug...) which have no
	  stable spelling in french ("débugger, débuguer ...")

	Files: libgui/languages/fr_FR.ts

2016-08-26  Rik  <rik@octave.org>

	Make linestyles compatible at larger linewidths (bug #48884).

	* gl-render.h (set_linestyle): Change prototype to have a linewidth input.
	* gl-render.h (render_grid): Change prototype to have a linewidth input.

	* gl-render.cc (render_grid): Change function to have linewidth input.
	Call set_linestyle with additional linewidth input.
	* gl-render.cc (draw_axes_boxes, draw_axes_x_grid, draw_axes_y_grid,
	                draw_axes_z_grid, draw_line, draw_surface, draw_patch):
	Get linewidth from axes properties.
	Call set_linestyle with additional linewidth input.
	* gl-render.cc (set_linestyle): Use linewdith as repetition factor in
	glLineStipple.  Update binary stipple patterns to get better visual results.

	* gl2ps-print.cc (set_linestyle): Change function to have linewidth input.

	Files: libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h
	libinterp/corefcn/gl2ps-print.cc

2016-08-26  John W. Eaton  <jwe@octave.org>

	* cmd-hist.cc (command_history::do_process_histcontrol):
	Don't warn if history control is not available.

	Files: liboctave/util/cmd-hist.cc

2016-08-26  Mike Miller  <mtmiller@octave.org>

	Add variadic template arguments to allow clang to resolve constructor

	* str-vec.h (string_vector (const String_Container&)): Add optional template
	arguments to allow clang to resolve constructor, when String_Container is a
	class template with more than one template argument.

	Files: liboctave/util/str-vec.h

2016-08-26  John W. Eaton  <jwe@octave.org>

	fix build with minimal dependencies

	* lo-fftpack-proto.h: Fix multiple inclusion guard.
	* qr.cc: Use namespace qualifiers for qrupdate replacement functions.
	* gl-render.cc: Fix placement of #if FEATURE tests and namespaces.

	Files: libinterp/corefcn/gl-render.cc liboctave/numeric/lo-fftpack-proto.h
	liboctave/numeric/qr.cc

2016-08-25  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Clip double RGB data before passing to gl2psDrawPixels (bug #48873).

	* gl2ps-print.cc (gl2ps_renderer::draw_pixels): clip data between 0 and 1.

	* imshow.m: Correct title of demo #8.

	Files: libinterp/corefcn/gl2ps-print.cc scripts/image/imshow.m

2016-08-26  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix inconsistent on-screen/printout patch and surface edges (bug #48873).

	* gl-render.cc (opengl_renderer::draw_surface): Don't draw lines at all if
	linestyle is "none".
	* gl-render.cc (opengl_renderer::draw_patch): Ditto.

	Files: libinterp/corefcn/gl-render.cc

2016-08-25  John W. Eaton  <jwe@octave.org>

	allow subsasgn (x, idx, zeros(0,0)) to remove elements (bug #48867)

	* ov.cc: If RHS argument is a double 0x0 object, convert it to an
	octave_null_matrix object in call to octave_value::subsasgn.
	New test.

	Files: libinterp/octave-value/ov.cc

	avoid using "expected failure" to describe known bugs

	* __run_test_suite__.m: Avoid using term "expected failure" in
	summary.  Point to log file for bug report info for known bugs.
	* build-sparse-tests.sh, io.tst: Use "known bug" intead of "expected
	failure".

	Files: scripts/testfun/__run_test_suite__.m test/build-sparse-tests.sh
	test/io.tst

	fix doc build

	* octave.texi: Don't include tips.tex or contrib.texi.
	Delete detailed menu entries for those nodes.

	Files: doc/interpreter/octave.texi

2014-03-16  Julien Bect  <julien.bect@supelec.fr>

	doc: add note about PKG_ADD/PKG_DEL to addpath and rmpath (bug #41885)

	* load-path.cc (Faddpath): Add documentation to explain that PKG_ADD
	is run if it exists.
	(Frmpath): Add documentation to explain that PKG_DEL is run if it exists.

	Files: libinterp/corefcn/load-path.cc

2016-08-25  Markus Mützel  <markus.muetzel@gmx.de>

	Correct if-statement in material.m (patch #9013).

	* material.m: Correct if-statement.

	Files: scripts/plot/appearance/material.m

2016-08-25  Rik  <rik@octave.org>

	Fix changed fingerprint in BIST test (bug #48842).

	* __osmesa_print__.cc: Change fingerprint in 2nd BIST test to match current
	results.

	Files: libinterp/dldfcn/__osmesa_print__.cc

2016-08-25  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	minor improvements for publish.

	* scripts/general/publish.m: support calls from relative and absolute paths.
	More Matlab compatiblity regarding header and section formatting.

	* scripts/general/private/__publish_html_output__.m: Make more of MathJax,
	removed useless statement.

	* scripts/general/private/__publish_latex_output__.m: More escaping of LaTeX
	special chars to be more compatible to Matlab.

	Files: scripts/general/private/__publish_html_output__.m
	scripts/general/private/__publish_latex_output__.m
	scripts/general/publish.m

2016-08-17  Carnë Draug  <carandraug@octave.org>

	doc: remove "Contributing guidelines" and "Tips and standards" from the manual.

	* doc/interpreter/contrib.txi, doc/interpreter/tips.txi: remove sections
	"Contributing guidelines" and "Tips and standards" which are outside of
	the scope of a language manual.  The Octave website is a better fit for
	this subject and most of this content has been merged in the Octave wiki
	(most of it was already duplicated).
	* doc/interpreter/external.txi: remove reference to removed section about
	tips on writing good documentation.
	* doc/interpreter/install.txi: replace link to removed section of the
	manual with reference to the files in source that have instructions for
	building.
	* doc/interpreter/preface.txi: replace link to removed section of the manual
	with link to octave.org for instructions on how to get involved.
	* etc/HACKING: replace references to the removed sections of the manual
	with link to the main page on the wiki with contribution guidelines.
	* /doc/interpreter/module.mk: remove files from build system.

	Files: doc/interpreter/contrib.txi doc/interpreter/external.txi
	doc/interpreter/install.txi doc/interpreter/module.mk
	doc/interpreter/preface.txi doc/interpreter/tips.txi etc/HACKING

2016-08-25  John D  <John D>

	For win64 signal handling, use context Rip value

	* libinterp/corefcn/sighandlers.cc
	  (do_jump_to_enclosing_context): use threadContext.Rip when win64

	Files: libinterp/corefcn/sighandlers.cc

2016-08-25  John W. Eaton  <jwe@octave.org>

	style fixes

	* oct-refcount.h: Style fixes.  Rename macros.
	* dim-vector.h: Update for renamed macros.

	Files: liboctave/array/dim-vector.h liboctave/util/oct-refcount.h

	use octave_refcount class for reference counts

	* input.h (octave_base_reader::count): Use octave_refcount object.
	* thread-manager.h (octave_base_thread_manager::count): Likewise.

	Files: libgui/src/thread-manager.h libinterp/corefcn/input.h

2016-08-24  John W. Eaton  <jwe@octave.org>

	* test.m: Fix doubled "!!!!!" marker in failure messages.

	Files: scripts/testfun/test.m

	* ov.h (octave_value::is_zero_by_zero): Also check ndims.

	Files: libinterp/octave-value/ov.h

	* bug-38236.tst, classes.tst: Tag some known failures with bug IDs.

	Files: test/bug-38236/bug-38236.tst test/classes/classes.tst

	allow %!test blocks to be tagged with messages or bug ids

	* test.m: Handle <MESSAGE> option for assert, fail, test, testif, and
	xtest blocks.
	* doc/interpreter/testfun.txi: Update docs.

	Files: doc/interpreter/testfun.txi scripts/testfun/test.m

2016-08-24  Carnë Draug  <carandraug@octave.org>

	Do the #include where they are needed.

	* liboctave/util/str-vec.h: doesn't really need <set>, remove include.
	* libinterp/corefcn/load-path.h: does not <set> so add it.

	Files: libinterp/corefcn/load-path.h liboctave/util/str-vec.h

2016-08-03  Carnë Draug  <carandraug@octave.org>

	ov-classdef.cc: use string_vector constructor for string containers.

	Files: libinterp/octave-value/ov-classdef.cc

2016-08-24  Rik  <rik@octave.org>

	Fix calculation of ticks when tick separation is very small (bug #48350).

	* graphics.cc: Use type double for lo (i1) and hi (i2) limits.
	Cast i1 and i2 to int when used in for loops.  Move declaration
	of tmp variable to narrowest scope.

	Files: libinterp/corefcn/graphics.cc

2016-08-14  Carnë Draug  <carandraug@octave.org>

	utils.h: deprecated out of date arg_is_empty function.

	* libinterp/corefcn/utils.h, libinterp/corefcn/utils.cc: this function
	"documentation" no longer matches its behaviour.  It's still used in Octave
	by checking a returned int, but the function now returns a bool and does
	the same as octave_value.is_empty ().  Deprecate in favout of it.
	*  det.cc, hess.cc, inv.cc, lu.cc, pinv.cc, sylvester.cc, chol.cc,
	qz.cc: replace use of empty_arg with octave_value::is_empty.
	* qr.cc: different becase it was only checking '< 0' which was always
	false.  Simply remove check and go through the normal code path, even if
	it was empty.  Add tests.

	Files: libinterp/corefcn/det.cc libinterp/corefcn/hess.cc
	libinterp/corefcn/inv.cc libinterp/corefcn/lu.cc
	libinterp/corefcn/pinv.cc libinterp/corefcn/qz.cc
	libinterp/corefcn/sylvester.cc libinterp/corefcn/utils.cc
	libinterp/corefcn/utils.h libinterp/dldfcn/chol.cc
	libinterp/dldfcn/qr.cc

2016-08-23  Rik  <rik@octave.org>

	Add 'color' to gnuplot term string for gnuplot >= 4.6 (bug #48832).

	* __gnuplot_has_feature__.m: Add 'color' to gnuplot term string for
	gnuplot >= 4.6.

	Files: scripts/plot/util/private/__gnuplot_has_feature__.m

2016-08-22  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix calculation of window height in Qt, FLTK (bug #48833, bug #48522).

	* Figure.cc (Figure): Delete "+ 1" from top offset calculation
	when menubar is present.
	* Figure.cc (update): Delete "+ 1" from top offset calculation
	when menubar is present.  Delete "+ 1" from bottom offset calculation
	when statusbar is present.
	* Figure.cc (showMenuBar): Delete "+ 1" from dy calculation of menubar height.

	* __init_fltk__.cc (plot_window): Remove extra +1/-1 fudge factors from
	calculation of window size, status bar size.
	* __init_fltk__.cc (update_toolbar_position): Remove extra +1/-1 fudge factors
	from calculation of status bar resize.

	Files: libgui/graphics/Figure.cc libinterp/dldfcn/__init_fltk__.cc

2016-08-23  Rik  <rik@octave.org>

	Fix display of scaled images in OpenGL toolkits (bug #48879).

	* gl-render.cc (draw_image): Adjust spacing and wrap long lines,
	for readability.

	* graphics.cc (convert_cdata_2): Use 'fix' rather than 'round'
	when scaling data to climits.

	* imagesc.m: Add %!demo to test display.

	Files: libinterp/corefcn/gl-render.cc libinterp/corefcn/graphics.cc
	scripts/image/imagesc.m

	colorbar.m: Fix typo of double quote for transpose operator.

	* colorbar.m: Fix typo of double quote for transpose operator.

	Files: scripts/plot/draw/colorbar.m

	Use ishold () rather than ishold (hax) for performance.

	* area.m, colorbar.m, contour.m, contourf.m, loglog.m, loglogerr.m, polar.m,
	__bar__.m, quiver3.m, scatter3.m, semilogx.m, semilogxerr.m, semilogy.m,
	semilogyerr.m, surf.m, surfl.m:
	Use ishold () rather than ishold (hax) for performance.

	Files: scripts/plot/draw/area.m scripts/plot/draw/colorbar.m
	scripts/plot/draw/contour.m scripts/plot/draw/contourf.m
	scripts/plot/draw/loglog.m scripts/plot/draw/loglogerr.m
	scripts/plot/draw/polar.m scripts/plot/draw/private/__bar__.m
	scripts/plot/draw/quiver3.m scripts/plot/draw/scatter3.m
	scripts/plot/draw/semilogx.m scripts/plot/draw/semilogxerr.m
	scripts/plot/draw/semilogy.m scripts/plot/draw/semilogyerr.m
	scripts/plot/draw/surf.m scripts/plot/draw/surfl.m

	Make graphic functions visually compatible w/Matlab.

	* image.m: Turn "box" on.

	* legend.m: Use '#' in BIST titles.

	* area.m: Turn "box" on.  Fix transpose operator that was accidentally
	changed to `"'.

	* colorbar.m: Turn "box" on.  Remove logscale colorbar BIST demo
	since it doesn't work for Octave or Matlab.

	* contour.m: Turn "box" on.

	* fill.m: Turn "box" on.

	* isosurface.m: Use cell array of strings in annotation box of %!demo
	to get multi-line strings.  Remove newline.

	* light.m: Use cell array of strings in annotation box of %!demo
	to get multi-line strings.

	* loglog.m: Turn "box" on.

	* loglogerr.m: Turn "box" on.

	* __bar__.m: Turn "box" on.

	* __quiver__.m: Rename 'h' to 'hax' for clarity.

	* quiver.m: Turn "box" on.

	* semilogx.m: Turn "box" on.

	* semilogy.m: Turn "box" on.

	* shrinkfaces.m: Call 'axis auto' to update plot limits before
	calling 'axis equal'.  This is a kludge that should be fixed in axis.

	* stairs.m: Turn "box" on.

	Files: scripts/image/image.m scripts/plot/appearance/legend.m
	scripts/plot/draw/area.m scripts/plot/draw/colorbar.m
	scripts/plot/draw/contour.m scripts/plot/draw/fill.m
	scripts/plot/draw/isosurface.m scripts/plot/draw/light.m
	scripts/plot/draw/loglog.m scripts/plot/draw/loglogerr.m
	scripts/plot/draw/private/__bar__.m
	scripts/plot/draw/private/__quiver__.m scripts/plot/draw/quiver.m
	scripts/plot/draw/semilogx.m scripts/plot/draw/semilogy.m
	scripts/plot/draw/shrinkfaces.m scripts/plot/draw/stairs.m

2016-08-23  Carnë Draug  <carandraug@octave.org>

	Remove temporary directories and files used by BIST.

	* textread.m: reenable BIST (lines were commented) which allows reaching
	code that removes temporary files.
	* gzip.cc, unpack.m: remove directories after BIST.
	* zip.m: remove zip files, generated by zip(), after BIST.
	* savepath.m: remove temporary file at the end of test.  Also, do not
	just check for octaverc on P_tmpdir and remove it, actually make a whole
	new directory for testing purposes.

	Files: libinterp/dldfcn/gzip.cc scripts/io/textread.m
	scripts/miscellaneous/unpack.m scripts/miscellaneous/zip.m
	scripts/path/savepath.m

	maint: fix copyright line that was botched by cset 929a1500907e

	Files: scripts/gui/private/__file_filter__.m

2016-08-22  Rik  <rik@octave.org>

	Implement "boxstyle" graphics property.

	* NEWS: Announce new feature.

	* gl-render.cc (draw_axes_boxes): Get graphics property "boxstyle" and
	check setting before drawing front planes in a 3-D view.

	* box.m: Add %!demo blocks for testing.

	Files: NEWS libinterp/corefcn/gl-render.cc scripts/plot/appearance/box.m

	Draw tick marks in appropriate axes color (OpenGL renderers).

	* gl-render.cc (draw_axes_x_grid, draw_axes_y_grid, draw_axes_z_grid):
	Move drawing of minor grid and major grid to the beginning of function.
	Next, set color based on axes property and then add tick marks and text.

	Files: libinterp/corefcn/gl-render.cc

2016-08-22  Tatsuro Matsuoka  <tmacchant@yahoo.co.jp>

	* ja_JP.ts: new japanese trnaslation by Tatsuro

	Files: libgui/languages/ja_JP.ts

2016-08-22  Torsten  <ttl@justmail.de>

	* es_ES.ts: new spanish translation by Valentin

	Files: libgui/languages/es_ES.ts

2016-08-19  Philip Nienhuis  <prnienhuis@users.sf.net>

	uigetfile.m: fix type and allow path names as input arg (bug #48828)
	* uigetfile.m: add stanza about path name / directory name in texinfo header
	* private/__file_filter__.m: fix typo; check for empty retval before indexing it

	Files: scripts/gui/private/__file_filter__.m scripts/gui/uigetfile.m

2016-08-22  Rik  <rik@octave.org>

	Make sure all lines associated with axes respect axes linewidth property.

	* gl-render.cc (draw_axes_boxes): Remove call to set_linewidth.
	* gl-render.cc (draw_axes): Call set_linewidth before drawing
	axes, grid, and ticks.
	* gl-render.cc: Call set_linewidth (0.5f) since function expects
	a float input.

	Files: libinterp/corefcn/gl-render.cc

2016-08-22  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Avoid grid overlaying axes box (bug #48842)

	* gl-render.cc (opengl_renderer::draw_axes): draw axes plane first and then
	  grid, ticks and box.

	Files: libinterp/corefcn/gl-render.cc

2016-08-22  Andreas Weber  <andy.weber.aw@gmail.com>

	grid.m: More consistent behavior for "on" and "off" (bug #48533).

	* grid.m: For linear axes, "on" and "off" apply only to the grid mentioned
	("" * = major, "minor" = minor).

	Files: scripts/plot/appearance/grid.m

2016-08-22  Markus Muetzel  <markus.muetzel@gmx.de>

	Set "facelighting" and "edgelighting" for mesh plots (bug #48507).

	* mesh.m, meshc.m: Set "facelighting" to "none" and "edgelighting" to
	"flat".

	Files: scripts/plot/draw/mesh.m scripts/plot/draw/meshc.m
	scripts/plot/draw/trimesh.m

2016-07-18  Markus Muetzel  <markus.muetzel@gmx.de>

	Set "edgecolor" instead of "facecolor" for mesh plots (bug #48392).

	* shading.m: Set "edgecolor" instead of "facecolor" for mesh plots.
	Add tests and more demos.

	Files: scripts/plot/appearance/shading.m

2016-08-18  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	clabel.m: Fix computation of label rotation (bug #48814).

	* __clabel__.m: use absolute coordinates to compute the label rotation angle.

	Files: scripts/plot/appearance/__clabel__.m

2016-08-21  Rik  <rik@octave.org>

	build: Change known failures to xtest so that 'make check' produces a clean run.

	* gzip.cc: Change two BIST tests to xtests.

	Files: libinterp/dldfcn/gzip.cc

	Change DefaultAxesBox property to "off".

	* NEWS: Announce change.  Wrap lines to 72 characters.

	* graphics.cc (axes::properties::set_defaults): Change default "box" to "off".

	* graphics.in.h (axes properties): Change default "box" to "off".

	* contour3.m, isosurface.m, plot.m, private/__ezplot__.m, quiver3.m, ribbon.m,
	scatter3.m, slice.m, surface.m, tetramesh.m, trimesh.m, trisurf.m: Remove
	code to force 'box' to 'off'.

	Files: NEWS libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h
	scripts/plot/draw/contour3.m scripts/plot/draw/isosurface.m
	scripts/plot/draw/plot.m scripts/plot/draw/private/__ezplot__.m
	scripts/plot/draw/quiver3.m scripts/plot/draw/ribbon.m
	scripts/plot/draw/scatter3.m scripts/plot/draw/slice.m
	scripts/plot/draw/surface.m scripts/plot/draw/tetramesh.m
	scripts/plot/draw/trimesh.m scripts/plot/draw/trisurf.m

	grid.m: Change titles in %!demo blocks for clarity.

	* grid.m: Change titles in %!demo blocks for clarity.

	Files: scripts/plot/appearance/grid.m

2016-08-04  Markus Mützel  <markus.muetzel@gmx.de>

	Do not call GL functions before window is open. (bug #48669)

	* gl-render.cc (opengl_renderer): Move call of get_maxlights() from
	constructor to draw_axes_children.

	Files: libinterp/corefcn/gl-render.cc

2016-08-20  Markus Mützel  <markus.muetzel@gmx.de>

	gl-render.cc: Draw minor grid lines at major ticks if major grid is off (bug #48528)

	* gl-render.cc (draw_axes_[xyz]_grid): Draw minor grid lines at major
	ticks if major grid is off.

	review and push by Andreas Weber <andy.weber.aw@gmail.com>

	Files: libinterp/corefcn/gl-render.cc scripts/plot/appearance/grid.m

	gl-render.cc/.h: (minor)gridcolor and (minor)gridalpha for OpenGL toolkits (bug #48429)

	* gl-render.cc (render_grid): Implement support of gridcolor, gridalpha,
	  minorgridcolor and minorgridalpha.
	* gl-render.cc (draw_axes_x_grid, draw_axes_y_grid, draw_axes_z_grid):
	  Use gridcolor, gridalpha, minorgridcolor and minorgridalpha properties.
	* gl-render.h (render_grid): Change declaration.

	review and push by Andreas Weber <andy.weber.aw@gmail.com>

	Files: libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h

2016-08-20  Andreas Weber  <andy.weber.aw@gmail.com>

	ObjectProxy.cc: Prevent calling slotUpdate on uninitialized object (#48519)

	Files: libgui/graphics/ObjectProxy.cc

2016-08-19  John W. Eaton  <jwe@octave.org>

	fix ordering of fortran compiler check in configure script (bug #48815)

	* configure.ac: Check for Fortran compiler before dynamic linking
	configuration.

	Files: configure.ac

2016-08-19  Torsten  <ttl@justmail.de>

	libgui/languages/*.ts: update of language files for version 4.2

	Files: libgui/languages/be_BY.ts libgui/languages/de_DE.ts
	libgui/languages/en_US.ts libgui/languages/es_ES.ts
	libgui/languages/eu_ES.ts libgui/languages/fr_FR.ts
	libgui/languages/it_IT.ts libgui/languages/ja_JP.ts
	libgui/languages/nl_NL.ts libgui/languages/pt_BR.ts
	libgui/languages/pt_PT.ts libgui/languages/ru_RU.ts
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts

2016-08-18  Rik  <rik@octave.org>

	rgbplot.m: Don't use Octave-only plot() syntax.

	* rgbplot.m: Call plot (x,y,'color', ...) rather than plot (y, 'color', ...)
	Use double quotes instead of single quotes.

	Files: scripts/image/rgbplot.m

	doc: Update Copyright and release date for manual.

	* octave.texi: Update copyright and release date.
	Update @detailmenu.

	* basics.txi, bugs.txi, external.txi, func.txi:
	Use capitalization in node names consistent with
	the rest of manual.

	Files: doc/interpreter/basics.txi doc/interpreter/bugs.txi
	doc/interpreter/external.txi doc/interpreter/func.txi
	doc/interpreter/octave.texi

	doc: Clean up tools used to check Texinfo documentation.

	* README: Update instructions

	* add_to_aspell_dict: Indent using 2 spaces.  Use lower case for "aspell".

	* mk_undocumented_list: Add header explaining file.  Indent using 2 spaces.
	Add comments explaining more of code.  Add a newline to last line of any
	output.  Remove deprecated functions from the exceptions list.

	* spellcheck: Indent using 2 spaces.   Use lower case for "aspell".

	Files: doc/interpreter/doccheck/README
	doc/interpreter/doccheck/add_to_aspell_dict
	doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/doccheck/spellcheck

	Add missing functions to Octave manual.

	* debug.txi: Add DOCSTRING entry for profexport.

	* gui.txi: Add DOCSTRING entry for prefdir.

	Files: doc/interpreter/debug.txi doc/interpreter/gui.txi

2016-08-18  Carnë Draug  <carandraug@octave.org>

	maint: rename xzip.cc to gzip.cc so Octave does think there's a xzip function.

	* libinterp/dldfcn/xzip.cc: move to gzip.cc.  Octave expects oct files to at
	the very least, have a function named like the file.
	* libinterp/dldfcn/gzip.cc: moved from xzip.cc.  Use the name of the most
	recognizable function inside it.
	* libinterp/dldfcn/module-files: change filename.

	Files: libinterp/dldfcn/gzip.cc libinterp/dldfcn/module-files
	libinterp/dldfcn/xzip.cc

2016-08-18  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos.m: Make rgbplot Matlab compatible

	Files: scripts/testfun/private/dump_demos.m

2016-08-18  Rik  <rik@octave.org>

	Update __list_functions__ internal function.

	* help.cc (__list_functions__): Add a DOCSTRING.  Declare variables only in the
	scope they are required.  Re-format comment lines.

	Files: libinterp/corefcn/help.cc

2016-08-18  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	Fix crash when choosing an inappropriate terminal in drawnow (bug #48782)

	* libinterp/corefcn/gl2ps-print.cc (gl2ps_renderer::draw): use a default value
	for terminal and warn the user, if the terminal choosen by drawnow is
	inappropriate.

	Files: libinterp/corefcn/gl2ps-print.cc

2016-08-17  Rik  <rik@octave.org>

	NEWS: Update list of functions added in 4.2.

	* NEWS: Update list of functions added in 4.2.

	Files: NEWS

	doc: Insert correct location of m-file into @c comment in .texi files.

	* mkdoc.pl: Don't prepend a second 'scripts/' directory before m-file name
	which already includes it.

	Files: scripts/mkdoc.pl

2016-08-17  John W. Eaton  <jwe@octave.org>

	move base_list and regexp classes to octave namespace

	* base-list.h (class octave_base_list): Move class to octave
	namespace and rename to base_list.

	* lo-regexp.cc, lo-regexp.h (class regexp): Move class to octave
	namespace.  Move global functions to static functions in regexp
	class.

	* comment-list.h, regexp.cc, symtab.h, txt-eng.h, variables.cc,
	pt-arg-list.cc, pt-arg-list.h, pt-array-list.h, pt-classdef.h,
	pt-decl.h, pt-mat.cc, pt-misc.h, pt-select.h, pt-stmt.h, child-list.h:
	Update for namespace changes.

	Files: libinterp/corefcn/comment-list.h libinterp/corefcn/regexp.cc
	libinterp/corefcn/symtab.h libinterp/corefcn/txt-eng.h
	libinterp/corefcn/variables.cc libinterp/parse-tree/pt-arg-list.cc
	libinterp/parse-tree/pt-arg-list.h libinterp/parse-tree/pt-array-
	list.h libinterp/parse-tree/pt-classdef.h libinterp/parse-tree/pt-
	decl.h libinterp/parse-tree/pt-mat.cc libinterp/parse-tree/pt-misc.h
	libinterp/parse-tree/pt-select.h libinterp/parse-tree/pt-stmt.h
	liboctave/system/child-list.h liboctave/util/base-list.h
	liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h

2016-08-17  Rik  <rik@octave.org>

	Fix minor issues revealed from dump_plots.

	* errorbar.m: Remove extra newline in code.

	* ezplot3.m: Add information on "animate" option to docstring.

	* fill.m: In demo #3, explicitly expand column vector of cdata to a matrix
	to make Matlab happy.

	Files: scripts/plot/draw/errorbar.m scripts/plot/draw/ezplot3.m
	scripts/plot/draw/fill.m

2016-08-17  John W. Eaton  <jwe@octave.org>

	maint: Indent namespaces in more files.

	Files: libinterp/corefcn/base-text-renderer.h libinterp/corefcn/ft-text-
	renderer.cc libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-
	render.h libinterp/corefcn/gl2ps-print.cc libinterp/corefcn/text-
	renderer.cc libinterp/corefcn/text-renderer.h libinterp/octave-value
	/ov-java.cc

2016-08-17  Rik  <rik@octave.org>

	doc: Spellcheck documentation ahead of 4.2 release.

	* aspell-octave.en.pws: Add new words to Octave dictionary.

	* func.txi, xzip.cc, publish.m, normest1.m, version.m, light.m:
	Spellcheck documentation ahead of 4.2 release.

	Files: doc/interpreter/doccheck/aspell-octave.en.pws
	doc/interpreter/func.txi libinterp/dldfcn/xzip.cc
	scripts/general/publish.m scripts/linear-algebra/normest1.m
	scripts/miscellaneous/version.m scripts/plot/draw/light.m

2016-08-17  John W. Eaton  <jwe@octave.org>

	maint: Indent namespaces in liboctave/numeric files.

	Files: liboctave/numeric/aepbalance.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h
	liboctave/numeric/gepbalance.cc liboctave/numeric/gepbalance.h
	liboctave/numeric/hess.cc liboctave/numeric/hess.h
	liboctave/numeric/lu.cc liboctave/numeric/lu.h
	liboctave/numeric/qr.cc liboctave/numeric/qr.h
	liboctave/numeric/qrp.cc liboctave/numeric/qrp.h
	liboctave/numeric/schur.cc liboctave/numeric/schur.h
	liboctave/numeric/sparse-chol.cc liboctave/numeric/sparse-chol.h
	liboctave/numeric/sparse-lu.cc liboctave/numeric/sparse-lu.h
	liboctave/numeric/sparse-qr.cc liboctave/numeric/sparse-qr.h
	liboctave/numeric/svd.cc liboctave/numeric/svd.h

	maint: Update contributors.in from hg logs.

	Files: doc/interpreter/contributors.in

	move more classes inside octave namespace

	* ov-complex.cc, quit.h, lo-array-errwarn.h, lo-array-errwarn.cc,
	lo-array-gripes.cc: Move classes inside octave namespace.

	* NEWS, file-editor-tab.cc, Cell.cc, __qp__.cc, cellfun.cc, daspk.cc,
	dasrt.cc, dassl.cc, data.cc, error.cc, error.h, errwarn.cc, errwarn.h,
	file-io.cc, gcd.cc, graphics.cc, graphics.in.h, gripes.cc, gripes.h,
	input.cc, interpreter.cc, interpreter.h, inv.cc, jit-typeinfo.cc,
	load-path.cc, ls-mat-ascii.cc, ls-mat5.cc, lsode.cc, mex.cc,
	oct-handle.h, oct-map.cc, oct-stream.cc, quad.cc, rand.cc,
	sparse-xdiv.cc, sparse-xpow.cc, sparse.cc, sub2ind.cc, toplev.cc,
	utils.cc, variables.cc, xdiv.cc, xpow.cc, __eigs__.cc,
	__init_gnuplot__.cc, ov-base-diag.cc, ov-base-mat.cc,
	ov-base-scalar.cc, ov-base-sparse.cc, ov-base.cc, ov-class.cc,
	ov-classdef.cc, ov-complex.h, ov-complex.cc, ov-cx-mat.cc,
	ov-cx-sparse.cc, ov-fcn-handle.cc, ov-float.cc, ov-float.h,
	ov-flt-complex.h, ov-flt-cx-mat.cc, ov-flt-re-mat.cc, ov-java.cc,
	ov-oncleanup.cc, ov-perm.cc, ov-range.cc, ov-re-diag.cc, ov-re-mat.cc,
	ov-re-sparse.cc, ov-scalar.cc, ov-scalar.h, ov-str-mat.cc, ov.cc,
	op-cs-cs.cc, op-fcs-fcs.cc, op-fs-fs.cc, op-int.h, op-s-s.cc, ops.h,
	oct-parse.in.yy, pt-assign.cc, pt-eval.cc, pt-idx.cc, pt.cc,
	Array-util.cc, Array.cc, CColVector.cc, CDiagMatrix.cc, CMatrix.cc,
	CNDArray.cc, CRowVector.cc, CSparse.cc, DiagArray2.cc, MDiagArray2.cc,
	MSparse.cc, PermMatrix.cc, Range.cc, Sparse.cc, dColVector.cc,
	dDiagMatrix.cc, dMatrix.cc, dNDArray.cc, dRowVector.cc, dSparse.cc,
	fCColVector.cc, fCDiagMatrix.cc, fCMatrix.cc, fCNDArray.cc,
	fCRowVector.cc, fColVector.cc, fDiagMatrix.cc, fMatrix.cc,
	fNDArray.cc, fRowVector.cc, idx-vector.cc, quit.cc, quit.h,
	gepbalance.cc, Sparse-diag-op-defs.h, Sparse-op-defs.h,
	Sparse-perm-op-defs.h, mx-inlines.cc, mx-op-defs.h, cmd-edit.cc,
	lo-array-errwarn.cc, lo-array-errwarn.h, lo-array-gripes.cc,
	lo-array-gripes.h, oct-binmap.h: Update to use namespace.

	Files: NEWS libgui/src/m-editor/file-editor-tab.cc
	libinterp/corefcn/Cell.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/cellfun.cc libinterp/corefcn/daspk.cc
	libinterp/corefcn/dasrt.cc libinterp/corefcn/dassl.cc
	libinterp/corefcn/data.cc libinterp/corefcn/error.cc
	libinterp/corefcn/error.h libinterp/corefcn/errwarn.cc
	libinterp/corefcn/errwarn.h libinterp/corefcn/file-io.cc
	libinterp/corefcn/gcd.cc libinterp/corefcn/graphics.cc
	libinterp/corefcn/graphics.in.h libinterp/corefcn/gripes.cc
	libinterp/corefcn/gripes.h libinterp/corefcn/input.cc
	libinterp/corefcn/interpreter.cc libinterp/corefcn/interpreter.h
	libinterp/corefcn/inv.cc libinterp/corefcn/jit-typeinfo.cc
	libinterp/corefcn/load-path.cc libinterp/corefcn/ls-mat-ascii.cc
	libinterp/corefcn/ls-mat5.cc libinterp/corefcn/lsode.cc
	libinterp/corefcn/mex.cc libinterp/corefcn/oct-handle.h
	libinterp/corefcn/oct-map.cc libinterp/corefcn/oct-stream.cc
	libinterp/corefcn/quad.cc libinterp/corefcn/rand.cc
	libinterp/corefcn/sparse-xdiv.cc libinterp/corefcn/sparse-xpow.cc
	libinterp/corefcn/sparse.cc libinterp/corefcn/sub2ind.cc
	libinterp/corefcn/toplev.cc libinterp/corefcn/utils.cc
	libinterp/corefcn/variables.cc libinterp/corefcn/xdiv.cc
	libinterp/corefcn/xpow.cc libinterp/dldfcn/__eigs__.cc
	libinterp/dldfcn/__init_gnuplot__.cc libinterp/octave-value/ov-base-
	diag.cc libinterp/octave-value/ov-base-mat.cc libinterp/octave-value
	/ov-base-scalar.cc libinterp/octave-value/ov-base-sparse.cc
	libinterp/octave-value/ov-base.cc libinterp/octave-value/ov-class.cc
	libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	complex.cc libinterp/octave-value/ov-complex.h libinterp/octave-
	value/ov-cx-mat.cc libinterp/octave-value/ov-cx-sparse.cc libinterp
	/octave-value/ov-fcn-handle.cc libinterp/octave-value/ov-float.cc
	libinterp/octave-value/ov-float.h libinterp/octave-value/ov-flt-
	complex.h libinterp/octave-value/ov-flt-cx-mat.cc libinterp/octave-
	value/ov-flt-re-mat.cc libinterp/octave-value/ov-java.cc libinterp
	/octave-value/ov-oncleanup.cc libinterp/octave-value/ov-perm.cc
	libinterp/octave-value/ov-range.cc libinterp/octave-value/ov-re-
	diag.cc libinterp/octave-value/ov-re-mat.cc libinterp/octave-value
	/ov-re-sparse.cc libinterp/octave-value/ov-scalar.cc libinterp
	/octave-value/ov-scalar.h libinterp/octave-value/ov-str-mat.cc
	libinterp/octave-value/ov.cc libinterp/operators/op-cs-cs.cc
	libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-int.h libinterp/operators/op-s-s.cc
	libinterp/operators/ops.h libinterp/parse-tree/oct-parse.in.yy
	libinterp/parse-tree/pt-assign.cc libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-idx.cc libinterp/parse-tree/pt.cc
	liboctave/array/Array-util.cc liboctave/array/Array.cc
	liboctave/array/CColVector.cc liboctave/array/CDiagMatrix.cc
	liboctave/array/CMatrix.cc liboctave/array/CNDArray.cc
	liboctave/array/CRowVector.cc liboctave/array/CSparse.cc
	liboctave/array/DiagArray2.cc liboctave/array/MDiagArray2.cc
	liboctave/array/MSparse.cc liboctave/array/PermMatrix.cc
	liboctave/array/Range.cc liboctave/array/Sparse.cc
	liboctave/array/dColVector.cc liboctave/array/dDiagMatrix.cc
	liboctave/array/dMatrix.cc liboctave/array/dNDArray.cc
	liboctave/array/dRowVector.cc liboctave/array/dSparse.cc
	liboctave/array/fCColVector.cc liboctave/array/fCDiagMatrix.cc
	liboctave/array/fCMatrix.cc liboctave/array/fCNDArray.cc
	liboctave/array/fCRowVector.cc liboctave/array/fColVector.cc
	liboctave/array/fDiagMatrix.cc liboctave/array/fMatrix.cc
	liboctave/array/fNDArray.cc liboctave/array/fRowVector.cc
	liboctave/array/idx-vector.cc liboctave/cruft/misc/quit.cc
	liboctave/cruft/misc/quit.h liboctave/numeric/gepbalance.cc
	liboctave/operators/Sparse-diag-op-defs.h liboctave/operators
	/Sparse-op-defs.h liboctave/operators/Sparse-perm-op-defs.h
	liboctave/operators/mx-inlines.cc liboctave/operators/mx-op-defs.h
	liboctave/util/cmd-edit.cc liboctave/util/lo-array-errwarn.cc
	liboctave/util/lo-array-errwarn.h liboctave/util/lo-array-gripes.cc
	liboctave/util/lo-array-gripes.h liboctave/util/oct-binmap.h

	move more new classes inside octave namespace

	* base-text-renderer.h, ft-text-renderer.cc, ft-text-renderer.h,
	gl-render.cc, gl-render.h, gl2ps-print.cc, gl2ps-print.h,
	oct-stream.cc, text-renderer.cc, text-renderer.h, ov-java.cc, xzip.cc:
	Move classes inside octave namespace.

	* GLCanvas.cc, gl-select.cc, gl-select.h, graphics.cc, graphics.in.h,
	__init_fltk__.cc, __osmesa_print__.cc: Update.

	Files: libgui/graphics/GLCanvas.cc libgui/graphics/gl-select.cc
	libgui/graphics/gl-select.h libinterp/corefcn/base-text-renderer.h
	libinterp/corefcn/ft-text-renderer.cc libinterp/corefcn/ft-text-
	renderer.h libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-
	render.h libinterp/corefcn/gl2ps-print.cc libinterp/corefcn/gl2ps-
	print.h libinterp/corefcn/graphics.cc
	libinterp/corefcn/graphics.in.h libinterp/corefcn/oct-stream.cc
	libinterp/corefcn/text-renderer.cc libinterp/corefcn/text-renderer.h
	libinterp/dldfcn/__init_fltk__.cc
	libinterp/dldfcn/__osmesa_print__.cc libinterp/dldfcn/xzip.cc
	libinterp/octave-value/ov-java.cc

2016-08-17  Andreas Weber  <andy.weber.aw@gmail.com>

	Fix race condition when printing with Qt toolkit (#48519 and #44463)

	ObjectProxy.cc: Use connect (..., Qt::BlockingQueuedConnection)
	graphics.cc: Remove sleep

	Files: libgui/graphics/ObjectProxy.cc libinterp/corefcn/graphics.cc

2016-08-17  John W. Eaton  <jwe@octave.org>

	maint: Strip trailing whitespace from source files.

	Files: libinterp/corefcn/gsvd.cc libinterp/octave-value/ov-classdef.cc
	scripts/plot/appearance/material.m test/build-conv-tests.sh

	maint: Update copyright notices for 2016.

	Files: Makefile.am README bootstrap bootstrap.conf build-aux/mk-builtins.sh
	build-aux/mk-f77-def.in.sh build-aux/mk-opts.pl configure.ac
	doc/interpreter/arith.txi doc/interpreter/audio.txi
	doc/interpreter/basics.txi doc/interpreter/container.txi
	doc/interpreter/contrib.txi doc/interpreter/cp-idx.txi
	doc/interpreter/data.txi doc/interpreter/debug.txi
	doc/interpreter/diagperm.txi doc/interpreter/diffeq.txi
	doc/interpreter/emacs.txi doc/interpreter/errors.txi
	doc/interpreter/eval.txi doc/interpreter/expr.txi doc/interpreter
	/fn-idx.txi doc/interpreter/func.txi doc/interpreter/genpropdoc.m
	doc/interpreter/geometry.txi doc/interpreter/geometryimages.m
	doc/interpreter/grammar.txi doc/interpreter/image.txi
	doc/interpreter/install.txi doc/interpreter/interp.txi
	doc/interpreter/interpimages.m doc/interpreter/intro.txi
	doc/interpreter/io.txi doc/interpreter/linalg.txi
	doc/interpreter/macros.texi doc/interpreter/matrix.txi
	doc/interpreter/mkoctfile.1 doc/interpreter/nonlin.txi
	doc/interpreter/numbers.txi doc/interpreter/obsolete.txi
	doc/interpreter/octave-cli.1 doc/interpreter/octave-config.1
	doc/interpreter/octave.1 doc/interpreter/oop.txi doc/interpreter/op-
	idx.txi doc/interpreter/optim.txi doc/interpreter/package.txi
	doc/interpreter/plot.txi doc/interpreter/plotimages.m
	doc/interpreter/poly.txi doc/interpreter/preface.txi
	doc/interpreter/quad.txi doc/interpreter/set.txi
	doc/interpreter/signal.txi doc/interpreter/sparse.txi
	doc/interpreter/sparseimages.m doc/interpreter/splineimages.m
	doc/interpreter/stats.txi doc/interpreter/stmt.txi
	doc/interpreter/strings.txi doc/interpreter/system.txi
	doc/interpreter/testfun.txi doc/interpreter/tips.txi
	doc/interpreter/var.txi doc/interpreter/vectorize.txi
	doc/liboctave/array.texi doc/liboctave/bugs.texi doc/liboctave/cp-
	idx.texi doc/liboctave/dae.texi doc/liboctave/diffeq.texi
	doc/liboctave/error.texi doc/liboctave/factor.texi doc/liboctave/fn-
	idx.texi doc/liboctave/gpl.texi doc/liboctave/install.texi
	doc/liboctave/intro.texi doc/liboctave/liboctave.texi
	doc/liboctave/matvec.texi doc/liboctave/nleqn.texi
	doc/liboctave/nlfunc.texi doc/liboctave/ode.texi
	doc/liboctave/optim.texi doc/liboctave/preface.texi
	doc/liboctave/quad.texi doc/liboctave/range.texi
	doc/refcard/refcard-a4.tex doc/refcard/refcard-legal.tex doc/refcard
	/refcard-letter.tex doc/refcard/refcard.tex etc/HACKING
	etc/icons/octave.appdata.xml.in libgui/graphics/Backend.cc
	libgui/graphics/Backend.h libgui/graphics/BaseControl.cc
	libgui/graphics/BaseControl.h libgui/graphics/ButtonControl.cc
	libgui/graphics/ButtonControl.h libgui/graphics/Canvas.cc
	libgui/graphics/Canvas.h libgui/graphics/CheckBoxControl.cc
	libgui/graphics/CheckBoxControl.h libgui/graphics/Container.cc
	libgui/graphics/Container.h libgui/graphics/ContextMenu.cc
	libgui/graphics/ContextMenu.h libgui/graphics/EditControl.cc
	libgui/graphics/EditControl.h libgui/graphics/Figure.cc
	libgui/graphics/Figure.h libgui/graphics/FigureWindow.cc
	libgui/graphics/FigureWindow.h libgui/graphics/GLCanvas.cc
	libgui/graphics/GLCanvas.h libgui/graphics/GenericEventNotify.h
	libgui/graphics/KeyMap.cc libgui/graphics/KeyMap.h
	libgui/graphics/ListBoxControl.cc libgui/graphics/ListBoxControl.h
	libgui/graphics/Logger.cc libgui/graphics/Logger.h
	libgui/graphics/Menu.cc libgui/graphics/Menu.h
	libgui/graphics/MenuContainer.h
	libgui/graphics/MouseModeActionGroup.cc
	libgui/graphics/MouseModeActionGroup.h libgui/graphics/Object.cc
	libgui/graphics/Object.h libgui/graphics/ObjectFactory.cc
	libgui/graphics/ObjectFactory.h libgui/graphics/ObjectProxy.cc
	libgui/graphics/ObjectProxy.h libgui/graphics/Panel.cc
	libgui/graphics/Panel.h libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PopupMenuControl.h
	libgui/graphics/PushButtonControl.cc
	libgui/graphics/PushButtonControl.h libgui/graphics/PushTool.cc
	libgui/graphics/PushTool.h libgui/graphics/QtHandlesUtils.cc
	libgui/graphics/QtHandlesUtils.h
	libgui/graphics/RadioButtonControl.cc
	libgui/graphics/RadioButtonControl.h
	libgui/graphics/SliderControl.cc libgui/graphics/SliderControl.h
	libgui/graphics/TextControl.cc libgui/graphics/TextControl.h
	libgui/graphics/TextEdit.cc libgui/graphics/TextEdit.h
	libgui/graphics/ToggleButtonControl.cc
	libgui/graphics/ToggleButtonControl.h libgui/graphics/ToggleTool.cc
	libgui/graphics/ToggleTool.h libgui/graphics/ToolBar.cc
	libgui/graphics/ToolBar.h libgui/graphics/ToolBarButton.cc
	libgui/graphics/ToolBarButton.h libgui/graphics/__init_qt__.cc
	libgui/graphics/__init_qt__.h libgui/graphics/annotation-dialog.cc
	libgui/graphics/annotation-dialog.h libgui/graphics/gl-select.cc
	libgui/graphics/gl-select.h
	libgui/qterminal/libqterminal/QTerminal.cc
	libgui/qterminal/libqterminal/QTerminal.h
	libgui/qterminal/libqterminal/unix/QUnixTerminalImpl.cpp
	libgui/qterminal/libqterminal/unix/QUnixTerminalImpl.h
	libgui/qterminal/libqterminal/unix/TerminalModel.cpp
	libgui/qterminal/libqterminal/unix/TerminalModel.h
	libgui/qterminal/libqterminal/unix/TerminalView.cpp
	libgui/qterminal/libqterminal/unix/TerminalView.h
	libgui/qterminal/libqterminal/win32/QTerminalColors.cpp
	libgui/qterminal/libqterminal/win32/QTerminalColors.h
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.cpp
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.h libgui/src
	/color-picker.cc libgui/src/color-picker.h libgui/src/dialog.cc
	libgui/src/dialog.h libgui/src/documentation-dock-widget.cc
	libgui/src/documentation-dock-widget.h libgui/src/files-dock-
	widget.cc libgui/src/files-dock-widget.h libgui/src/find-files-
	dialog.cc libgui/src/find-files-dialog.h libgui/src/find-files-
	model.cc libgui/src/find-files-model.h libgui/src/history-dock-
	widget.cc libgui/src/history-dock-widget.h libgui/src/m-editor/file-
	editor-interface.h libgui/src/m-editor/file-editor-tab.cc
	libgui/src/m-editor/file-editor-tab.h libgui/src/m-editor/file-
	editor.cc libgui/src/m-editor/file-editor.h libgui/src/m-editor
	/find-dialog.cc libgui/src/m-editor/find-dialog.h
	libgui/src/m-editor/marker.cc libgui/src/m-editor/marker.h
	libgui/src/m-editor/octave-qscintilla.cc libgui/src/m-editor/octave-
	qscintilla.h libgui/src/m-editor/octave-txt-lexer.cc
	libgui/src/m-editor/octave-txt-lexer.h libgui/src/main-window.cc
	libgui/src/main-window.h libgui/src/octave-cmd.cc libgui/src/octave-
	cmd.h libgui/src/octave-dock-widget.cc libgui/src/octave-dock-
	widget.h libgui/src/octave-gui.cc libgui/src/octave-gui.h libgui/src
	/octave-interpreter.cc libgui/src/octave-interpreter.h libgui/src
	/octave-qt-link.cc libgui/src/octave-qt-link.h
	libgui/src/qtinfo/parser.cc libgui/src/qtinfo/parser.h
	libgui/src/qtinfo/webinfo.cc libgui/src/qtinfo/webinfo.h libgui/src
	/resource-manager.cc libgui/src/resource-manager.h libgui/src
	/settings-dialog.cc libgui/src/settings-dialog.h libgui/src
	/shortcut-manager.cc libgui/src/shortcut-manager.h libgui/src
	/terminal-dock-widget.cc libgui/src/terminal-dock-widget.h
	libgui/src/thread-manager.cc libgui/src/thread-manager.h libgui/src
	/welcome-wizard.cc libgui/src/welcome-wizard.h libgui/src/workspace-
	model.cc libgui/src/workspace-model.h libgui/src/workspace-view.cc
	libgui/src/workspace-view.h libinterp/build-env.h libinterp/build-
	env.in.cc libinterp/builtins.h libinterp/corefcn/Cell.cc
	libinterp/corefcn/Cell.h libinterp/corefcn/__contourc__.cc
	libinterp/corefcn/__dispatch__.cc libinterp/corefcn/__dsearchn__.cc
	libinterp/corefcn/__ichol__.cc libinterp/corefcn/__ilu__.cc
	libinterp/corefcn/__lin_interpn__.cc libinterp/corefcn/__luinc__.cc
	libinterp/corefcn/__magick_read__.cc
	libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/balance.cc libinterp/corefcn/base-text-renderer.h
	libinterp/corefcn/besselj.cc libinterp/corefcn/betainc.cc
	libinterp/corefcn/bitfcns.cc libinterp/corefcn/bsxfun.cc
	libinterp/corefcn/c-file-ptr-stream.cc libinterp/corefcn/c-file-ptr-
	stream.h libinterp/corefcn/call-stack.cc libinterp/corefcn/call-
	stack.h libinterp/corefcn/cdisplay.c libinterp/corefcn/cdisplay.h
	libinterp/corefcn/cellfun.cc libinterp/corefcn/coct-hdf5-types.c
	libinterp/corefcn/colloc.cc libinterp/corefcn/comment-list.cc
	libinterp/corefcn/comment-list.h libinterp/corefcn/conv2.cc
	libinterp/corefcn/daspk.cc libinterp/corefcn/dasrt.cc
	libinterp/corefcn/dassl.cc libinterp/corefcn/data.cc
	libinterp/corefcn/data.h libinterp/corefcn/debug.cc
	libinterp/corefcn/debug.h libinterp/corefcn/defaults.cc
	libinterp/corefcn/defaults.in.h libinterp/corefcn/defun-dld.h
	libinterp/corefcn/defun-int.h libinterp/corefcn/defun.cc
	libinterp/corefcn/defun.h libinterp/corefcn/det.cc
	libinterp/corefcn/dirfns.cc libinterp/corefcn/dirfns.h
	libinterp/corefcn/display.cc libinterp/corefcn/display.h
	libinterp/corefcn/dlmread.cc libinterp/corefcn/dot.cc
	libinterp/corefcn/dynamic-ld.cc libinterp/corefcn/dynamic-ld.h
	libinterp/corefcn/eig.cc libinterp/corefcn/ellipj.cc
	libinterp/corefcn/error.cc libinterp/corefcn/error.h
	libinterp/corefcn/event-queue.h libinterp/corefcn/fft.cc
	libinterp/corefcn/fft2.cc libinterp/corefcn/fftn.cc
	libinterp/corefcn/file-io.cc libinterp/corefcn/file-io.h
	libinterp/corefcn/filter.cc libinterp/corefcn/find.cc
	libinterp/corefcn/ft-text-renderer.cc libinterp/corefcn/ft-text-
	renderer.h libinterp/corefcn/gammainc.cc libinterp/corefcn/gcd.cc
	libinterp/corefcn/getgrent.cc libinterp/corefcn/getpwent.cc
	libinterp/corefcn/getrusage.cc libinterp/corefcn/givens.cc
	libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h
	libinterp/corefcn/gl2ps-print.cc libinterp/corefcn/gl2ps-print.h
	libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h
	libinterp/corefcn/gripes.cc libinterp/corefcn/gripes.h
	libinterp/corefcn/gsvd.cc libinterp/corefcn/hash.cc
	libinterp/corefcn/help.cc libinterp/corefcn/help.h
	libinterp/corefcn/hess.cc libinterp/corefcn/hex2num.cc
	libinterp/corefcn/hook-fcn.cc libinterp/corefcn/hook-fcn.h
	libinterp/corefcn/input.cc libinterp/corefcn/input.h
	libinterp/corefcn/interpreter.cc libinterp/corefcn/interpreter.h
	libinterp/corefcn/inv.cc libinterp/corefcn/jit-ir.cc
	libinterp/corefcn/jit-ir.h libinterp/corefcn/jit-typeinfo.cc
	libinterp/corefcn/jit-typeinfo.h libinterp/corefcn/jit-util.cc
	libinterp/corefcn/jit-util.h libinterp/corefcn/kron.cc
	libinterp/corefcn/load-path.cc libinterp/corefcn/load-path.h
	libinterp/corefcn/load-save.cc libinterp/corefcn/load-save.h
	libinterp/corefcn/lookup.cc libinterp/corefcn/ls-ascii-helper.cc
	libinterp/corefcn/ls-ascii-helper.h libinterp/corefcn/ls-hdf5.cc
	libinterp/corefcn/ls-hdf5.h libinterp/corefcn/ls-mat-ascii.cc
	libinterp/corefcn/ls-mat-ascii.h libinterp/corefcn/ls-mat4.cc
	libinterp/corefcn/ls-mat4.h libinterp/corefcn/ls-mat5.cc
	libinterp/corefcn/ls-mat5.h libinterp/corefcn/ls-oct-binary.cc
	libinterp/corefcn/ls-oct-binary.h libinterp/corefcn/ls-oct-text.cc
	libinterp/corefcn/ls-oct-text.h libinterp/corefcn/ls-utils.cc
	libinterp/corefcn/ls-utils.h libinterp/corefcn/lsode.cc
	libinterp/corefcn/lu.cc libinterp/corefcn/mappers.cc
	libinterp/corefcn/matrix_type.cc libinterp/corefcn/max.cc
	libinterp/corefcn/mex.cc libinterp/corefcn/mex.h
	libinterp/corefcn/mexproto.h libinterp/corefcn/mgorth.cc
	libinterp/corefcn/mxarray.in.h libinterp/corefcn/nproc.cc
	libinterp/corefcn/oct-errno.h libinterp/corefcn/oct-errno.in.cc
	libinterp/corefcn/oct-fstrm.cc libinterp/corefcn/oct-fstrm.h
	libinterp/corefcn/oct-handle.h libinterp/corefcn/oct-hdf5-types.cc
	libinterp/corefcn/oct-hdf5-types.h libinterp/corefcn/oct-hdf5.h
	libinterp/corefcn/oct-hist.cc libinterp/corefcn/oct-hist.h
	libinterp/corefcn/oct-iostrm.cc libinterp/corefcn/oct-iostrm.h
	libinterp/corefcn/oct-lvalue.cc libinterp/corefcn/oct-lvalue.h
	libinterp/corefcn/oct-map.cc libinterp/corefcn/oct-map.h
	libinterp/corefcn/oct-obj.h libinterp/corefcn/oct-prcstrm.cc
	libinterp/corefcn/oct-prcstrm.h libinterp/corefcn/oct-procbuf.cc
	libinterp/corefcn/oct-procbuf.h libinterp/corefcn/oct-stdstrm.h
	libinterp/corefcn/oct-stream.cc libinterp/corefcn/oct-stream.h
	libinterp/corefcn/oct-strstrm.cc libinterp/corefcn/oct-strstrm.h
	libinterp/corefcn/oct-tex-lexer.in.ll libinterp/corefcn/oct-tex-
	parser.in.yy libinterp/corefcn/oct.h libinterp/corefcn/octave-
	default-image.h libinterp/corefcn/octave-link.cc libinterp/corefcn
	/octave-link.h libinterp/corefcn/octave-preserve-stream-state.h
	libinterp/corefcn/ordschur.cc libinterp/corefcn/pager.cc
	libinterp/corefcn/pager.h libinterp/corefcn/pinv.cc
	libinterp/corefcn/pr-output.cc libinterp/corefcn/pr-output.h
	libinterp/corefcn/procstream.cc libinterp/corefcn/procstream.h
	libinterp/corefcn/profiler.cc libinterp/corefcn/profiler.h
	libinterp/corefcn/psi.cc libinterp/corefcn/pt-jit.cc
	libinterp/corefcn/pt-jit.h libinterp/corefcn/quad.cc
	libinterp/corefcn/quadcc.cc libinterp/corefcn/qz.cc
	libinterp/corefcn/rand.cc libinterp/corefcn/rcond.cc
	libinterp/corefcn/regexp.cc libinterp/corefcn/schur.cc
	libinterp/corefcn/sighandlers.cc libinterp/corefcn/sighandlers.h
	libinterp/corefcn/sparse-xdiv.cc libinterp/corefcn/sparse-xdiv.h
	libinterp/corefcn/sparse-xpow.cc libinterp/corefcn/sparse-xpow.h
	libinterp/corefcn/sparse.cc libinterp/corefcn/spparms.cc
	libinterp/corefcn/sqrtm.cc libinterp/corefcn/str2double.cc
	libinterp/corefcn/strfind.cc libinterp/corefcn/strfns.cc
	libinterp/corefcn/svd.cc libinterp/corefcn/sylvester.cc
	libinterp/corefcn/symtab.cc libinterp/corefcn/symtab.h
	libinterp/corefcn/syscalls.cc libinterp/corefcn/sysdep.cc
	libinterp/corefcn/sysdep.h libinterp/corefcn/text-renderer.cc
	libinterp/corefcn/text-renderer.h libinterp/corefcn/time.cc
	libinterp/corefcn/toplev.cc libinterp/corefcn/toplev.h
	libinterp/corefcn/tril.cc libinterp/corefcn/tsearch.cc
	libinterp/corefcn/txt-eng.cc libinterp/corefcn/txt-eng.h
	libinterp/corefcn/typecast.cc libinterp/corefcn/urlwrite.cc
	libinterp/corefcn/utils.cc libinterp/corefcn/utils.h
	libinterp/corefcn/variables.cc libinterp/corefcn/variables.h
	libinterp/corefcn/workspace-element.h libinterp/corefcn/xdiv.cc
	libinterp/corefcn/xdiv.h libinterp/corefcn/xnorm.cc
	libinterp/corefcn/xnorm.h libinterp/corefcn/xpow.cc
	libinterp/corefcn/xpow.h libinterp/corefcn/zfstream.cc
	libinterp/corefcn/zfstream.h libinterp/dldfcn/__delaunayn__.cc
	libinterp/dldfcn/__eigs__.cc libinterp/dldfcn/__fltk_uigetfile__.cc
	libinterp/dldfcn/__glpk__.cc libinterp/dldfcn/__init_fltk__.cc
	libinterp/dldfcn/__init_gnuplot__.cc
	libinterp/dldfcn/__osmesa_print__.cc libinterp/dldfcn/__voronoi__.cc
	libinterp/dldfcn/amd.cc libinterp/dldfcn/audiodevinfo.cc
	libinterp/dldfcn/audioread.cc libinterp/dldfcn/ccolamd.cc
	libinterp/dldfcn/chol.cc libinterp/dldfcn/colamd.cc
	libinterp/dldfcn/convhulln.cc libinterp/dldfcn/dmperm.cc
	libinterp/dldfcn/fftw.cc libinterp/dldfcn/oct-qhull.h
	libinterp/dldfcn/qr.cc libinterp/dldfcn/symbfact.cc
	libinterp/dldfcn/symrcm.cc libinterp/gendoc.pl
	libinterp/genprops.awk libinterp/mk-errno-list libinterp/mk-pkg-add
	libinterp/mkops libinterp/octave-value/ov-base-diag.cc libinterp
	/octave-value/ov-base-diag.h libinterp/octave-value/ov-base-int.cc
	libinterp/octave-value/ov-base-int.h libinterp/octave-value/ov-base-
	mat.cc libinterp/octave-value/ov-base-mat.h libinterp/octave-value
	/ov-base-scalar.cc libinterp/octave-value/ov-base-scalar.h libinterp
	/octave-value/ov-base-sparse.cc libinterp/octave-value/ov-base-
	sparse.h libinterp/octave-value/ov-base.cc libinterp/octave-value
	/ov-base.h libinterp/octave-value/ov-bool-mat.cc libinterp/octave-
	value/ov-bool-mat.h libinterp/octave-value/ov-bool-sparse.cc
	libinterp/octave-value/ov-bool-sparse.h libinterp/octave-value/ov-
	bool.cc libinterp/octave-value/ov-bool.h libinterp/octave-value/ov-
	builtin.cc libinterp/octave-value/ov-builtin.h libinterp/octave-
	value/ov-cell.cc libinterp/octave-value/ov-cell.h libinterp/octave-
	value/ov-ch-mat.cc libinterp/octave-value/ov-ch-mat.h libinterp
	/octave-value/ov-class.cc libinterp/octave-value/ov-class.h
	libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	classdef.h libinterp/octave-value/ov-colon.cc libinterp/octave-value
	/ov-colon.h libinterp/octave-value/ov-complex.cc libinterp/octave-
	value/ov-complex.h libinterp/octave-value/ov-cs-list.cc libinterp
	/octave-value/ov-cs-list.h libinterp/octave-value/ov-cx-diag.cc
	libinterp/octave-value/ov-cx-diag.h libinterp/octave-value/ov-cx-
	mat.cc libinterp/octave-value/ov-cx-mat.h libinterp/octave-value/ov-
	cx-sparse.cc libinterp/octave-value/ov-cx-sparse.h libinterp/octave-
	value/ov-dld-fcn.cc libinterp/octave-value/ov-dld-fcn.h libinterp
	/octave-value/ov-fcn-handle.cc libinterp/octave-value/ov-fcn-
	handle.h libinterp/octave-value/ov-fcn-inline.cc libinterp/octave-
	value/ov-fcn-inline.h libinterp/octave-value/ov-fcn.cc libinterp
	/octave-value/ov-fcn.h libinterp/octave-value/ov-float.cc libinterp
	/octave-value/ov-float.h libinterp/octave-value/ov-flt-complex.cc
	libinterp/octave-value/ov-flt-complex.h libinterp/octave-value/ov-
	flt-cx-diag.cc libinterp/octave-value/ov-flt-cx-diag.h libinterp
	/octave-value/ov-flt-cx-mat.cc libinterp/octave-value/ov-flt-cx-
	mat.h libinterp/octave-value/ov-flt-re-diag.cc libinterp/octave-
	value/ov-flt-re-diag.h libinterp/octave-value/ov-flt-re-mat.cc
	libinterp/octave-value/ov-flt-re-mat.h libinterp/octave-value/ov-
	int-traits.h libinterp/octave-value/ov-int16.cc libinterp/octave-
	value/ov-int16.h libinterp/octave-value/ov-int32.cc libinterp
	/octave-value/ov-int32.h libinterp/octave-value/ov-int64.cc
	libinterp/octave-value/ov-int64.h libinterp/octave-value/ov-int8.cc
	libinterp/octave-value/ov-int8.h libinterp/octave-value/ov-intx.h
	libinterp/octave-value/ov-java.cc libinterp/octave-value/ov-java.h
	libinterp/octave-value/ov-lazy-idx.cc libinterp/octave-value/ov-
	lazy-idx.h libinterp/octave-value/ov-mex-fcn.cc libinterp/octave-
	value/ov-mex-fcn.h libinterp/octave-value/ov-null-mat.cc libinterp
	/octave-value/ov-null-mat.h libinterp/octave-value/ov-oncleanup.cc
	libinterp/octave-value/ov-oncleanup.h libinterp/octave-value/ov-
	perm.cc libinterp/octave-value/ov-perm.h libinterp/octave-value/ov-
	range.cc libinterp/octave-value/ov-range.h libinterp/octave-value
	/ov-re-diag.cc libinterp/octave-value/ov-re-diag.h libinterp/octave-
	value/ov-re-mat.cc libinterp/octave-value/ov-re-mat.h libinterp
	/octave-value/ov-re-sparse.cc libinterp/octave-value/ov-re-sparse.h
	libinterp/octave-value/ov-scalar.cc libinterp/octave-value/ov-
	scalar.h libinterp/octave-value/ov-str-mat.cc libinterp/octave-value
	/ov-str-mat.h libinterp/octave-value/ov-struct.cc libinterp/octave-
	value/ov-struct.h libinterp/octave-value/ov-typeinfo.cc libinterp
	/octave-value/ov-typeinfo.h libinterp/octave-value/ov-uint16.cc
	libinterp/octave-value/ov-uint16.h libinterp/octave-value/ov-
	uint32.cc libinterp/octave-value/ov-uint32.h libinterp/octave-value
	/ov-uint64.cc libinterp/octave-value/ov-uint64.h libinterp/octave-
	value/ov-uint8.cc libinterp/octave-value/ov-uint8.h libinterp
	/octave-value/ov-usr-fcn.cc libinterp/octave-value/ov-usr-fcn.h
	libinterp/octave-value/ov.cc libinterp/octave-value/ov.h libinterp
	/octave-value/ovl.cc libinterp/octave-value/ovl.h
	libinterp/octave.cc libinterp/octave.h libinterp/op-kw-docs
	libinterp/operators/op-b-b.cc libinterp/operators/op-b-bm.cc
	libinterp/operators/op-b-sbm.cc libinterp/operators/op-bm-b.cc
	libinterp/operators/op-bm-bm.cc libinterp/operators/op-bm-sbm.cc
	libinterp/operators/op-cdm-cdm.cc libinterp/operators/op-cdm-cm.cc
	libinterp/operators/op-cdm-cs.cc libinterp/operators/op-cdm-dm.cc
	libinterp/operators/op-cdm-m.cc libinterp/operators/op-cdm-s.cc
	libinterp/operators/op-cell.cc libinterp/operators/op-chm.cc
	libinterp/operators/op-class.cc libinterp/operators/op-cm-cdm.cc
	libinterp/operators/op-cm-cm.cc libinterp/operators/op-cm-cs.cc
	libinterp/operators/op-cm-dm.cc libinterp/operators/op-cm-m.cc
	libinterp/operators/op-cm-pm.cc libinterp/operators/op-cm-s.cc
	libinterp/operators/op-cm-scm.cc libinterp/operators/op-cm-sm.cc
	libinterp/operators/op-cs-cm.cc libinterp/operators/op-cs-cs.cc
	libinterp/operators/op-cs-m.cc libinterp/operators/op-cs-s.cc
	libinterp/operators/op-cs-scm.cc libinterp/operators/op-cs-sm.cc
	libinterp/operators/op-dm-cdm.cc libinterp/operators/op-dm-cm.cc
	libinterp/operators/op-dm-cs.cc libinterp/operators/op-dm-dm.cc
	libinterp/operators/op-dm-m.cc libinterp/operators/op-dm-s.cc
	libinterp/operators/op-dm-scm.cc libinterp/operators/op-dm-sm.cc
	libinterp/operators/op-dm-template.cc libinterp/operators/op-dms-
	template.cc libinterp/operators/op-fcdm-fcdm.cc libinterp/operators
	/op-fcdm-fcm.cc libinterp/operators/op-fcdm-fcs.cc
	libinterp/operators/op-fcdm-fdm.cc libinterp/operators/op-fcdm-fm.cc
	libinterp/operators/op-fcdm-fs.cc libinterp/operators/op-fcm-fcdm.cc
	libinterp/operators/op-fcm-fcm.cc libinterp/operators/op-fcm-fcs.cc
	libinterp/operators/op-fcm-fdm.cc libinterp/operators/op-fcm-fm.cc
	libinterp/operators/op-fcm-fs.cc libinterp/operators/op-fcm-pm.cc
	libinterp/operators/op-fcn.cc libinterp/operators/op-fcs-fcm.cc
	libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fcs-fm.cc
	libinterp/operators/op-fcs-fs.cc libinterp/operators/op-fdm-fcdm.cc
	libinterp/operators/op-fdm-fcm.cc libinterp/operators/op-fdm-fcs.cc
	libinterp/operators/op-fdm-fdm.cc libinterp/operators/op-fdm-fm.cc
	libinterp/operators/op-fdm-fs.cc libinterp/operators/op-fm-fcdm.cc
	libinterp/operators/op-fm-fcm.cc libinterp/operators/op-fm-fcs.cc
	libinterp/operators/op-fm-fdm.cc libinterp/operators/op-fm-fm.cc
	libinterp/operators/op-fm-fs.cc libinterp/operators/op-fm-pm.cc
	libinterp/operators/op-fs-fcm.cc libinterp/operators/op-fs-fcs.cc
	libinterp/operators/op-fs-fm.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-i16-i16.cc libinterp/operators/op-i32-i32.cc
	libinterp/operators/op-i64-i64.cc libinterp/operators/op-i8-i8.cc
	libinterp/operators/op-int-concat.cc libinterp/operators/op-int.h
	libinterp/operators/op-m-cdm.cc libinterp/operators/op-m-cm.cc
	libinterp/operators/op-m-cs.cc libinterp/operators/op-m-dm.cc
	libinterp/operators/op-m-m.cc libinterp/operators/op-m-pm.cc
	libinterp/operators/op-m-s.cc libinterp/operators/op-m-scm.cc
	libinterp/operators/op-m-sm.cc libinterp/operators/op-pm-cm.cc
	libinterp/operators/op-pm-fcm.cc libinterp/operators/op-pm-fm.cc
	libinterp/operators/op-pm-m.cc libinterp/operators/op-pm-pm.cc
	libinterp/operators/op-pm-scm.cc libinterp/operators/op-pm-sm.cc
	libinterp/operators/op-pm-template.cc libinterp/operators/op-
	range.cc libinterp/operators/op-s-cm.cc
	libinterp/operators/op-s-cs.cc libinterp/operators/op-s-m.cc
	libinterp/operators/op-s-s.cc libinterp/operators/op-s-scm.cc
	libinterp/operators/op-s-sm.cc libinterp/operators/op-sbm-b.cc
	libinterp/operators/op-sbm-bm.cc libinterp/operators/op-sbm-sbm.cc
	libinterp/operators/op-scm-cm.cc libinterp/operators/op-scm-cs.cc
	libinterp/operators/op-scm-m.cc libinterp/operators/op-scm-s.cc
	libinterp/operators/op-scm-scm.cc libinterp/operators/op-scm-sm.cc
	libinterp/operators/op-sm-cm.cc libinterp/operators/op-sm-cs.cc
	libinterp/operators/op-sm-m.cc libinterp/operators/op-sm-s.cc
	libinterp/operators/op-sm-scm.cc libinterp/operators/op-sm-sm.cc
	libinterp/operators/op-str-m.cc libinterp/operators/op-str-s.cc
	libinterp/operators/op-str-str.cc libinterp/operators/op-struct.cc
	libinterp/operators/op-ui16-ui16.cc libinterp/operators/op-
	ui32-ui32.cc libinterp/operators/op-ui64-ui64.cc libinterp/operators
	/op-ui8-ui8.cc libinterp/operators/ops.h libinterp/options-usage.h
	libinterp/parse-tree/lex.h libinterp/parse-tree/lex.ll libinterp
	/parse-tree/oct-parse.in.yy libinterp/parse-tree/octave.gperf
	libinterp/parse-tree/parse.h libinterp/parse-tree/pt-all.h libinterp
	/parse-tree/pt-arg-list.cc libinterp/parse-tree/pt-arg-list.h
	libinterp/parse-tree/pt-array-list.cc libinterp/parse-tree/pt-array-
	list.h libinterp/parse-tree/pt-assign.cc libinterp/parse-tree/pt-
	assign.h libinterp/parse-tree/pt-binop.cc libinterp/parse-tree/pt-
	binop.h libinterp/parse-tree/pt-bp.cc libinterp/parse-tree/pt-bp.h
	libinterp/parse-tree/pt-cbinop.cc libinterp/parse-tree/pt-cbinop.h
	libinterp/parse-tree/pt-cell.cc libinterp/parse-tree/pt-cell.h
	libinterp/parse-tree/pt-check.cc libinterp/parse-tree/pt-check.h
	libinterp/parse-tree/pt-classdef.cc libinterp/parse-tree/pt-
	classdef.h libinterp/parse-tree/pt-cmd.cc libinterp/parse-tree/pt-
	cmd.h libinterp/parse-tree/pt-colon.cc libinterp/parse-tree/pt-
	colon.h libinterp/parse-tree/pt-const.cc libinterp/parse-tree/pt-
	const.h libinterp/parse-tree/pt-decl.cc libinterp/parse-tree/pt-
	decl.h libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-
	eval.h libinterp/parse-tree/pt-except.cc libinterp/parse-tree/pt-
	except.h libinterp/parse-tree/pt-exp.cc libinterp/parse-tree/pt-
	exp.h libinterp/parse-tree/pt-fcn-handle.cc libinterp/parse-tree/pt-
	fcn-handle.h libinterp/parse-tree/pt-funcall.cc libinterp/parse-tree
	/pt-funcall.h libinterp/parse-tree/pt-id.cc libinterp/parse-tree/pt-
	id.h libinterp/parse-tree/pt-idx.cc libinterp/parse-tree/pt-idx.h
	libinterp/parse-tree/pt-jump.cc libinterp/parse-tree/pt-jump.h
	libinterp/parse-tree/pt-loop.cc libinterp/parse-tree/pt-loop.h
	libinterp/parse-tree/pt-mat.cc libinterp/parse-tree/pt-mat.h
	libinterp/parse-tree/pt-misc.cc libinterp/parse-tree/pt-misc.h
	libinterp/parse-tree/pt-pr-code.cc libinterp/parse-tree/pt-pr-code.h
	libinterp/parse-tree/pt-select.cc libinterp/parse-tree/pt-select.h
	libinterp/parse-tree/pt-stmt.cc libinterp/parse-tree/pt-stmt.h
	libinterp/parse-tree/pt-unop.cc libinterp/parse-tree/pt-unop.h
	libinterp/parse-tree/pt-walk.h libinterp/parse-tree/pt.cc libinterp
	/parse-tree/pt.h libinterp/parse-tree/token.cc libinterp/parse-
	tree/token.h libinterp/template-inst/Array-jit.cc libinterp
	/template-inst/Array-tc.cc libinterp/version.cc
	libinterp/version.in.h liboctave/array/Array-C.cc
	liboctave/array/Array-b.cc liboctave/array/Array-ch.cc
	liboctave/array/Array-d.cc liboctave/array/Array-f.cc
	liboctave/array/Array-fC.cc liboctave/array/Array-i.cc
	liboctave/array/Array-idx-vec.cc liboctave/array/Array-s.cc
	liboctave/array/Array-str.cc liboctave/array/Array-util.cc
	liboctave/array/Array-util.h liboctave/array/Array-voidp.cc
	liboctave/array/Array.cc liboctave/array/Array.h
	liboctave/array/CColVector.cc liboctave/array/CColVector.h
	liboctave/array/CDiagMatrix.cc liboctave/array/CDiagMatrix.h
	liboctave/array/CMatrix.cc liboctave/array/CMatrix.h
	liboctave/array/CNDArray.cc liboctave/array/CNDArray.h
	liboctave/array/CRowVector.cc liboctave/array/CRowVector.h
	liboctave/array/CSparse.cc liboctave/array/CSparse.h
	liboctave/array/DiagArray2.cc liboctave/array/DiagArray2.h
	liboctave/array/MArray-C.cc liboctave/array/MArray-d.cc
	liboctave/array/MArray-f.cc liboctave/array/MArray-fC.cc
	liboctave/array/MArray-i.cc liboctave/array/MArray-s.cc
	liboctave/array/MArray.cc liboctave/array/MArray.h
	liboctave/array/MDiagArray2.cc liboctave/array/MDiagArray2.h
	liboctave/array/MSparse-C.cc liboctave/array/MSparse-d.cc
	liboctave/array/MSparse.cc liboctave/array/MSparse.h
	liboctave/array/Matrix.h liboctave/array/MatrixType.cc
	liboctave/array/MatrixType.h liboctave/array/PermMatrix.cc
	liboctave/array/PermMatrix.h liboctave/array/Range.cc
	liboctave/array/Range.h liboctave/array/Sparse-C.cc
	liboctave/array/Sparse-b.cc liboctave/array/Sparse-d.cc
	liboctave/array/Sparse.cc liboctave/array/Sparse.h
	liboctave/array/boolMatrix.cc liboctave/array/boolMatrix.h
	liboctave/array/boolNDArray.cc liboctave/array/boolNDArray.h
	liboctave/array/boolSparse.cc liboctave/array/boolSparse.h
	liboctave/array/chMatrix.cc liboctave/array/chMatrix.h
	liboctave/array/chNDArray.cc liboctave/array/chNDArray.h
	liboctave/array/dColVector.cc liboctave/array/dColVector.h
	liboctave/array/dDiagMatrix.cc liboctave/array/dDiagMatrix.h
	liboctave/array/dMatrix.cc liboctave/array/dMatrix.h
	liboctave/array/dNDArray.cc liboctave/array/dNDArray.h
	liboctave/array/dRowVector.cc liboctave/array/dRowVector.h
	liboctave/array/dSparse.cc liboctave/array/dSparse.h liboctave/array
	/dim-vector.cc liboctave/array/dim-vector.h
	liboctave/array/fCColVector.cc liboctave/array/fCColVector.h
	liboctave/array/fCDiagMatrix.cc liboctave/array/fCDiagMatrix.h
	liboctave/array/fCMatrix.cc liboctave/array/fCMatrix.h
	liboctave/array/fCNDArray.cc liboctave/array/fCNDArray.h
	liboctave/array/fCRowVector.cc liboctave/array/fCRowVector.h
	liboctave/array/fColVector.cc liboctave/array/fColVector.h
	liboctave/array/fDiagMatrix.cc liboctave/array/fDiagMatrix.h
	liboctave/array/fMatrix.cc liboctave/array/fMatrix.h
	liboctave/array/fNDArray.cc liboctave/array/fNDArray.h
	liboctave/array/fRowVector.cc liboctave/array/fRowVector.h
	liboctave/array/idx-vector.cc liboctave/array/idx-vector.h
	liboctave/array/int16NDArray.cc liboctave/array/int16NDArray.h
	liboctave/array/int32NDArray.cc liboctave/array/int32NDArray.h
	liboctave/array/int64NDArray.cc liboctave/array/int64NDArray.h
	liboctave/array/int8NDArray.cc liboctave/array/int8NDArray.h
	liboctave/array/intNDArray.cc liboctave/array/intNDArray.h
	liboctave/array/uint16NDArray.cc liboctave/array/uint16NDArray.h
	liboctave/array/uint32NDArray.cc liboctave/array/uint32NDArray.h
	liboctave/array/uint64NDArray.cc liboctave/array/uint64NDArray.h
	liboctave/array/uint8NDArray.cc liboctave/array/uint8NDArray.h
	liboctave/cruft/blas-xtra/cconv2.f liboctave/cruft/blas-
	xtra/cdotc3.f liboctave/cruft/blas-xtra/cmatm3.f liboctave/cruft
	/blas-xtra/csconv2.f liboctave/cruft/blas-xtra/dconv2.f
	liboctave/cruft/blas-xtra/ddot3.f liboctave/cruft/blas-xtra/dmatm3.f
	liboctave/cruft/blas-xtra/sconv2.f liboctave/cruft/blas-xtra/sdot3.f
	liboctave/cruft/blas-xtra/smatm3.f liboctave/cruft/blas-
	xtra/zconv2.f liboctave/cruft/blas-xtra/zdconv2.f liboctave/cruft
	/blas-xtra/zdotc3.f liboctave/cruft/blas-xtra/zmatm3.f
	liboctave/cruft/lapack-xtra/crsf2csf.f liboctave/cruft/lapack-
	xtra/zrsf2csf.f liboctave/cruft/misc/blaswrap.c
	liboctave/cruft/misc/cquit.c liboctave/cruft/misc/f77-extern.cc
	liboctave/cruft/misc/f77-fcn.c liboctave/cruft/misc/f77-fcn.h
	liboctave/cruft/misc/lo-error.c liboctave/cruft/misc/lo-error.h
	liboctave/cruft/misc/quit.cc liboctave/cruft/misc/quit.h
	liboctave/numeric/CollocWt.cc liboctave/numeric/CollocWt.h
	liboctave/numeric/DAE.h liboctave/numeric/DAEFunc.h
	liboctave/numeric/DAERT.h liboctave/numeric/DAERTFunc.h
	liboctave/numeric/DASPK-opts.in liboctave/numeric/DASPK.cc
	liboctave/numeric/DASPK.h liboctave/numeric/DASRT-opts.in
	liboctave/numeric/DASRT.cc liboctave/numeric/DASRT.h
	liboctave/numeric/DASSL-opts.in liboctave/numeric/DASSL.cc
	liboctave/numeric/DASSL.h liboctave/numeric/DET.h
	liboctave/numeric/EIG.cc liboctave/numeric/EIG.h liboctave/numeric
	/LSODE-opts.in liboctave/numeric/LSODE.cc liboctave/numeric/LSODE.h
	liboctave/numeric/ODE.h liboctave/numeric/ODEFunc.h
	liboctave/numeric/ODES.cc liboctave/numeric/ODES.h
	liboctave/numeric/ODESFunc.h liboctave/numeric/Quad-opts.in
	liboctave/numeric/Quad.cc liboctave/numeric/Quad.h
	liboctave/numeric/aepbalance.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/base-dae.h liboctave/numeric/base-de.h
	liboctave/numeric/base-min.h liboctave/numeric/bsxfun-decl.h
	liboctave/numeric/bsxfun-defs.cc liboctave/numeric/bsxfun.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h liboctave/numeric
	/eigs-base.cc liboctave/numeric/eigs-base.h
	liboctave/numeric/fEIG.cc liboctave/numeric/fEIG.h
	liboctave/numeric/gepbalance.cc liboctave/numeric/gepbalance.h
	liboctave/numeric/gsvd.cc liboctave/numeric/gsvd.h
	liboctave/numeric/hess.cc liboctave/numeric/hess.h liboctave/numeric
	/lo-mappers.cc liboctave/numeric/lo-mappers.h liboctave/numeric/lo-
	specfun.cc liboctave/numeric/lo-specfun.h liboctave/numeric/lu.cc
	liboctave/numeric/lu.h liboctave/numeric/oct-convn.cc
	liboctave/numeric/oct-convn.h liboctave/numeric/oct-fftw.cc
	liboctave/numeric/oct-fftw.h liboctave/numeric/oct-norm.cc
	liboctave/numeric/oct-norm.h liboctave/numeric/oct-rand.cc
	liboctave/numeric/oct-rand.h liboctave/numeric/oct-spparms.cc
	liboctave/numeric/oct-spparms.h liboctave/numeric/qr.cc
	liboctave/numeric/qr.h liboctave/numeric/qrp.cc
	liboctave/numeric/qrp.h liboctave/numeric/randgamma.cc
	liboctave/numeric/randgamma.h liboctave/numeric/randmtzig.cc
	liboctave/numeric/randmtzig.h liboctave/numeric/randpoisson.cc
	liboctave/numeric/randpoisson.h liboctave/numeric/schur.cc
	liboctave/numeric/schur.h liboctave/numeric/sparse-chol.cc
	liboctave/numeric/sparse-chol.h liboctave/numeric/sparse-dmsolve.cc
	liboctave/numeric/sparse-dmsolve.h liboctave/numeric/sparse-lu.cc
	liboctave/numeric/sparse-lu.h liboctave/numeric/sparse-qr.cc
	liboctave/numeric/sparse-qr.h liboctave/numeric/svd.cc
	liboctave/numeric/svd.h liboctave/operators/Sparse-diag-op-defs.h
	liboctave/operators/Sparse-op-decls.h liboctave/operators/Sparse-op-
	defs.h liboctave/operators/Sparse-perm-op-defs.h liboctave/operators
	/mk-ops.awk liboctave/operators/mx-base.h liboctave/operators/mx-
	defs.h liboctave/operators/mx-ext.h liboctave/operators/mx-
	inlines.cc liboctave/operators/mx-op-decl.h liboctave/operators/mx-
	op-defs.h liboctave/operators/mx-ops liboctave/operators/smx-ops
	liboctave/operators/vx-ops liboctave/system/child-list.cc
	liboctave/system/child-list.h liboctave/system/dir-ops.cc
	liboctave/system/dir-ops.h liboctave/system/file-ops.cc
	liboctave/system/file-ops.h liboctave/system/file-stat.cc
	liboctave/system/file-stat.h liboctave/system/lo-sysdep.cc
	liboctave/system/lo-sysdep.h liboctave/system/mach-info.cc
	liboctave/system/mach-info.h liboctave/system/oct-env.cc
	liboctave/system/oct-env.h liboctave/system/oct-group.cc
	liboctave/system/oct-group.h liboctave/system/oct-passwd.cc
	liboctave/system/oct-passwd.h liboctave/system/oct-syscalls.cc
	liboctave/system/oct-syscalls.h liboctave/system/oct-time.cc
	liboctave/system/oct-time.h liboctave/system/oct-uname.cc
	liboctave/system/oct-uname.h liboctave/util/action-container.h
	liboctave/util/base-list.h liboctave/util/byte-swap.h liboctave/util
	/caseless-str.h liboctave/util/cmd-edit.cc liboctave/util/cmd-edit.h
	liboctave/util/cmd-hist.cc liboctave/util/cmd-hist.h liboctave/util
	/data-conv.cc liboctave/util/data-conv.h liboctave/util/f2c-main.c
	liboctave/util/functor.h liboctave/util/glob-match.cc liboctave/util
	/glob-match.h liboctave/util/kpse.cc liboctave/util/lo-array-
	gripes.cc liboctave/util/lo-array-gripes.h liboctave/util/lo-
	cutils.c liboctave/util/lo-cutils.h liboctave/util/lo-ieee.cc
	liboctave/util/lo-ieee.h liboctave/util/lo-macros.h liboctave/util
	/lo-math.h liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h
	liboctave/util/lo-traits.h liboctave/util/lo-utils.cc liboctave/util
	/lo-utils.h liboctave/util/oct-alloc.h liboctave/util/oct-base64.cc
	liboctave/util/oct-base64.h liboctave/util/oct-binmap.h
	liboctave/util/oct-cmplx.h liboctave/util/oct-glob.cc liboctave/util
	/oct-glob.h liboctave/util/oct-inttypes.cc liboctave/util/oct-
	inttypes.h liboctave/util/oct-locbuf.cc liboctave/util/oct-locbuf.h
	liboctave/util/oct-mutex.cc liboctave/util/oct-mutex.h
	liboctave/util/oct-refcount.h liboctave/util/oct-rl-edit.c
	liboctave/util/oct-rl-edit.h liboctave/util/oct-rl-hist.c
	liboctave/util/oct-rl-hist.h liboctave/util/oct-shlib.cc
	liboctave/util/oct-shlib.h liboctave/util/oct-sort.cc liboctave/util
	/oct-sort.h liboctave/util/oct-sparse.h liboctave/util/pathsearch.cc
	liboctave/util/pathsearch.h liboctave/util/singleton-cleanup.cc
	liboctave/util/sparse-sort.cc liboctave/util/sparse-sort.h
	liboctave/util/sparse-util.cc liboctave/util/sparse-util.h
	liboctave/util/str-vec.cc liboctave/util/str-vec.h liboctave/util
	/sun-utils.h liboctave/util/unwind-prot.cc liboctave/util/unwind-
	prot.h liboctave/util/url-transfer.cc liboctave/util/url-transfer.h
	m4/acinclude.m4 oct-conf-post.in.h run-octave.in
	scripts/@ftp/ascii.m scripts/@ftp/binary.m scripts/@ftp/cd.m
	scripts/@ftp/close.m scripts/@ftp/delete.m scripts/@ftp/dir.m
	scripts/@ftp/display.m scripts/@ftp/ftp.m scripts/@ftp/loadobj.m
	scripts/@ftp/mget.m scripts/@ftp/mkdir.m scripts/@ftp/mput.m
	scripts/@ftp/rename.m scripts/@ftp/rmdir.m scripts/@ftp/saveobj.m
	scripts/audio/@audioplayer/__get_properties__.m
	scripts/audio/@audioplayer/audioplayer.m
	scripts/audio/@audioplayer/display.m
	scripts/audio/@audioplayer/get.m
	scripts/audio/@audioplayer/isplaying.m
	scripts/audio/@audioplayer/pause.m scripts/audio/@audioplayer/play.m
	scripts/audio/@audioplayer/playblocking.m
	scripts/audio/@audioplayer/resume.m scripts/audio/@audioplayer/set.m
	scripts/audio/@audioplayer/stop.m
	scripts/audio/@audioplayer/subsasgn.m
	scripts/audio/@audioplayer/subsref.m
	scripts/audio/@audiorecorder/__get_properties__.m
	scripts/audio/@audiorecorder/audiorecorder.m
	scripts/audio/@audiorecorder/display.m
	scripts/audio/@audiorecorder/get.m
	scripts/audio/@audiorecorder/getaudiodata.m
	scripts/audio/@audiorecorder/getplayer.m
	scripts/audio/@audiorecorder/isrecording.m
	scripts/audio/@audiorecorder/pause.m
	scripts/audio/@audiorecorder/play.m
	scripts/audio/@audiorecorder/record.m
	scripts/audio/@audiorecorder/recordblocking.m
	scripts/audio/@audiorecorder/resume.m
	scripts/audio/@audiorecorder/set.m
	scripts/audio/@audiorecorder/stop.m
	scripts/audio/@audiorecorder/subsasgn.m
	scripts/audio/@audiorecorder/subsref.m scripts/audio/lin2mu.m
	scripts/audio/mu2lin.m scripts/audio/record.m scripts/audio/sound.m
	scripts/audio/soundsc.m scripts/deprecated/bicubic.m
	scripts/deprecated/bitmax.m scripts/deprecated/comma.m
	scripts/deprecated/delaunay3.m scripts/deprecated/dump_prefs.m
	scripts/deprecated/find_dir_in_path.m scripts/deprecated/finite.m
	scripts/deprecated/fmod.m scripts/deprecated/fnmatch.m
	scripts/deprecated/gmap40.m scripts/deprecated/isstr.m
	scripts/deprecated/loadaudio.m scripts/deprecated/luinc.m
	scripts/deprecated/mahalanobis.m scripts/deprecated/md5sum.m
	scripts/deprecated/mouse_wheel_zoom.m scripts/deprecated/nfields.m
	scripts/deprecated/octave_tmp_file_name.m
	scripts/deprecated/onenormest.m scripts/deprecated/paren.m
	scripts/deprecated/playaudio.m scripts/deprecated/saveaudio.m
	scripts/deprecated/semicolon.m scripts/deprecated/setaudio.m
	scripts/deprecated/sleep.m scripts/deprecated/syl.m
	scripts/deprecated/usage.m scripts/deprecated/usleep.m
	scripts/deprecated/wavread.m scripts/deprecated/wavwrite.m
	scripts/elfun/acosd.m scripts/elfun/acot.m scripts/elfun/acotd.m
	scripts/elfun/acoth.m scripts/elfun/acsc.m scripts/elfun/acscd.m
	scripts/elfun/acsch.m scripts/elfun/asec.m scripts/elfun/asecd.m
	scripts/elfun/asech.m scripts/elfun/asind.m scripts/elfun/atan2d.m
	scripts/elfun/atand.m scripts/elfun/cosd.m scripts/elfun/cot.m
	scripts/elfun/cotd.m scripts/elfun/coth.m scripts/elfun/csc.m
	scripts/elfun/cscd.m scripts/elfun/csch.m scripts/elfun/sec.m
	scripts/elfun/secd.m scripts/elfun/sech.m scripts/elfun/sind.m
	scripts/elfun/tand.m scripts/general/accumarray.m
	scripts/general/accumdim.m scripts/general/bincoeff.m
	scripts/general/bitcmp.m scripts/general/bitget.m
	scripts/general/bitset.m scripts/general/blkdiag.m
	scripts/general/cell2mat.m scripts/general/celldisp.m
	scripts/general/chop.m scripts/general/circshift.m
	scripts/general/common_size.m scripts/general/cplxpair.m
	scripts/general/cumtrapz.m scripts/general/curl.m
	scripts/general/dblquad.m scripts/general/deal.m
	scripts/general/deg2rad.m scripts/general/del2.m
	scripts/general/display.m scripts/general/divergence.m
	scripts/general/fieldnames.m scripts/general/flip.m
	scripts/general/flipdim.m scripts/general/fliplr.m
	scripts/general/flipud.m scripts/general/gradient.m
	scripts/general/idivide.m scripts/general/inputParser.m
	scripts/general/int2str.m scripts/general/interp1.m
	scripts/general/interp3.m scripts/general/interpft.m
	scripts/general/interpn.m scripts/general/isdir.m
	scripts/general/isequal.m scripts/general/isequaln.m
	scripts/general/loadobj.m scripts/general/logspace.m
	scripts/general/methods.m scripts/general/nargchk.m
	scripts/general/narginchk.m scripts/general/nargoutchk.m
	scripts/general/nextpow2.m scripts/general/nthargout.m
	scripts/general/num2str.m scripts/general/polyarea.m
	scripts/general/postpad.m scripts/general/prepad.m
	scripts/general/private/__isequal__.m
	scripts/general/private/__splinen__.m scripts/general/quadgk.m
	scripts/general/quadl.m scripts/general/quadv.m
	scripts/general/rad2deg.m scripts/general/randi.m
	scripts/general/rat.m scripts/general/repmat.m
	scripts/general/rot90.m scripts/general/rotdim.m
	scripts/general/saveobj.m scripts/general/shift.m
	scripts/general/shiftdim.m scripts/general/sortrows.m
	scripts/general/structfun.m scripts/general/subsindex.m
	scripts/general/trapz.m scripts/general/triplequad.m
	scripts/general/validateattributes.m scripts/geometry/convhull.m
	scripts/geometry/delaunay.m scripts/geometry/delaunayn.m
	scripts/geometry/dsearch.m scripts/geometry/dsearchn.m
	scripts/geometry/griddata.m scripts/geometry/griddata3.m
	scripts/geometry/griddatan.m scripts/geometry/rectint.m
	scripts/geometry/tsearchn.m scripts/geometry/voronoi.m
	scripts/geometry/voronoin.m scripts/gui/errordlg.m
	scripts/gui/guidata.m scripts/gui/guihandles.m scripts/gui/helpdlg.m
	scripts/gui/inputdlg.m scripts/gui/listdlg.m scripts/gui/msgbox.m
	scripts/gui/private/__file_filter__.m
	scripts/gui/private/__fltk_file_filter__.m
	scripts/gui/private/__get_funcname__.m
	scripts/gui/private/__is_function__.m
	scripts/gui/private/__uigetdir_fltk__.m
	scripts/gui/private/__uigetfile_fltk__.m
	scripts/gui/private/__uiobject_split_args__.m
	scripts/gui/private/__uiputfile_fltk__.m scripts/gui/questdlg.m
	scripts/gui/uicontextmenu.m scripts/gui/uicontrol.m
	scripts/gui/uigetdir.m scripts/gui/uigetfile.m scripts/gui/uimenu.m
	scripts/gui/uipanel.m scripts/gui/uipushtool.m
	scripts/gui/uiputfile.m scripts/gui/uiresume.m
	scripts/gui/uitoggletool.m scripts/gui/uitoolbar.m
	scripts/gui/uiwait.m scripts/gui/waitbar.m
	scripts/gui/waitforbuttonpress.m scripts/gui/warndlg.m
	scripts/help/__gripe_missing_component__.m
	scripts/help/__makeinfo__.m scripts/help/__unimplemented__.m
	scripts/help/ans.m scripts/help/doc.m
	scripts/help/doc_cache_create.m scripts/help/error_ids.m
	scripts/help/get_first_help_sentence.m scripts/help/help.m
	scripts/help/lookfor.m scripts/help/print_usage.m
	scripts/help/private/__additional_help_message__.m
	scripts/help/private/__strip_html_tags__.m scripts/help/type.m
	scripts/help/warning_ids.m scripts/help/which.m
	scripts/image/autumn.m scripts/image/bone.m scripts/image/brighten.m
	scripts/image/cmpermute.m scripts/image/cmunique.m
	scripts/image/colorcube.m scripts/image/colormap.m
	scripts/image/contrast.m scripts/image/cool.m scripts/image/copper.m
	scripts/image/cubehelix.m scripts/image/flag.m scripts/image/gray.m
	scripts/image/hot.m scripts/image/hsv.m scripts/image/hsv2rgb.m
	scripts/image/im2double.m scripts/image/image.m
	scripts/image/imagesc.m scripts/image/imfinfo.m
	scripts/image/imformats.m scripts/image/imread.m
	scripts/image/imshow.m scripts/image/imwrite.m
	scripts/image/ind2gray.m scripts/image/ind2rgb.m
	scripts/image/iscolormap.m scripts/image/jet.m scripts/image/lines.m
	scripts/image/ntsc2rgb.m scripts/image/ocean.m scripts/image/pink.m
	scripts/image/prism.m scripts/image/private/__imfinfo__.m
	scripts/image/private/__imread__.m
	scripts/image/private/__imwrite__.m
	scripts/image/private/colorspace_conversion_input_check.m
	scripts/image/private/colorspace_conversion_revert.m
	scripts/image/private/imageIO.m
	scripts/image/private/imwrite_filename.m
	scripts/image/private/ind2x.m scripts/image/rainbow.m
	scripts/image/rgb2hsv.m scripts/image/rgb2ind.m
	scripts/image/rgb2ntsc.m scripts/image/rgbplot.m
	scripts/image/spinmap.m scripts/image/spring.m
	scripts/image/summer.m scripts/image/viridis.m scripts/image/white.m
	scripts/image/winter.m scripts/io/beep.m scripts/io/csvread.m
	scripts/io/csvwrite.m scripts/io/dlmwrite.m scripts/io/fileread.m
	scripts/io/importdata.m scripts/io/is_valid_file_id.m
	scripts/io/strread.m scripts/io/textread.m scripts/java/javaArray.m
	scripts/java/java_get.m scripts/java/java_set.m
	scripts/java/javaaddpath.m scripts/java/javachk.m
	scripts/java/javaclasspath.m scripts/java/javamem.m
	scripts/java/javarmpath.m scripts/java/org/octave/ClassHelper.java
	scripts/java/org/octave/Matrix.java
	scripts/java/org/octave/OctClassLoader.java
	scripts/java/org/octave/Octave.java
	scripts/java/org/octave/OctaveReference.java scripts/java/usejava.m
	scripts/linear-algebra/bandwidth.m scripts/linear-
	algebra/commutation_matrix.m scripts/linear-algebra/cond.m scripts
	/linear-algebra/condeig.m scripts/linear-algebra/condest.m scripts
	/linear-algebra/cross.m scripts/linear-algebra/duplication_matrix.m
	scripts/linear-algebra/expm.m scripts/linear-algebra/housh.m scripts
	/linear-algebra/isbanded.m scripts/linear-algebra/isdefinite.m
	scripts/linear-algebra/isdiag.m scripts/linear-algebra/ishermitian.m
	scripts/linear-algebra/issymmetric.m scripts/linear-algebra/istril.m
	scripts/linear-algebra/istriu.m scripts/linear-algebra/krylov.m
	scripts/linear-algebra/linsolve.m scripts/linear-algebra/logm.m
	scripts/linear-algebra/normest.m scripts/linear-algebra/null.m
	scripts/linear-algebra/orth.m scripts/linear-algebra/planerot.m
	scripts/linear-algebra/qzhess.m scripts/linear-algebra/rank.m
	scripts/linear-algebra/rref.m scripts/linear-algebra/subspace.m
	scripts/linear-algebra/trace.m scripts/linear-algebra/vech.m
	scripts/miscellaneous/bug_report.m scripts/miscellaneous/bunzip2.m
	scripts/miscellaneous/cast.m scripts/miscellaneous/citation.m
	scripts/miscellaneous/compare_versions.m
	scripts/miscellaneous/computer.m scripts/miscellaneous/copyfile.m
	scripts/miscellaneous/debug.m scripts/miscellaneous/delete.m
	scripts/miscellaneous/desktop.m scripts/miscellaneous/dir.m
	scripts/miscellaneous/dos.m scripts/miscellaneous/edit.m
	scripts/miscellaneous/fact.m scripts/miscellaneous/fileattrib.m
	scripts/miscellaneous/fileparts.m scripts/miscellaneous/fullfile.m
	scripts/miscellaneous/genvarname.m
	scripts/miscellaneous/getappdata.m scripts/miscellaneous/getfield.m
	scripts/miscellaneous/gunzip.m scripts/miscellaneous/info.m
	scripts/miscellaneous/inputname.m scripts/miscellaneous/isappdata.m
	scripts/miscellaneous/isdeployed.m scripts/miscellaneous/ismac.m
	scripts/miscellaneous/ispc.m scripts/miscellaneous/isunix.m
	scripts/miscellaneous/license.m scripts/miscellaneous/list_primes.m
	scripts/miscellaneous/ls.m scripts/miscellaneous/ls_command.m
	scripts/miscellaneous/mex.m scripts/miscellaneous/mexext.m
	scripts/miscellaneous/mkoctfile.m scripts/miscellaneous/movefile.m
	scripts/miscellaneous/namelengthmax.m scripts/miscellaneous/news.m
	scripts/miscellaneous/open.m scripts/miscellaneous/orderfields.m
	scripts/miscellaneous/pack.m scripts/miscellaneous/parseparams.m
	scripts/miscellaneous/perl.m
	scripts/miscellaneous/private/__w2mpth__.m
	scripts/miscellaneous/private/display_info_file.m
	scripts/miscellaneous/python.m scripts/miscellaneous/recycle.m
	scripts/miscellaneous/rmappdata.m scripts/miscellaneous/run.m
	scripts/miscellaneous/setappdata.m scripts/miscellaneous/setfield.m
	scripts/miscellaneous/substruct.m scripts/miscellaneous/swapbytes.m
	scripts/miscellaneous/symvar.m scripts/miscellaneous/tar.m
	scripts/miscellaneous/tempdir.m scripts/miscellaneous/tmpnam.m
	scripts/miscellaneous/unix.m scripts/miscellaneous/unpack.m
	scripts/miscellaneous/untar.m scripts/miscellaneous/unzip.m
	scripts/miscellaneous/ver.m scripts/miscellaneous/version.m
	scripts/miscellaneous/what.m scripts/miscellaneous/xor.m
	scripts/miscellaneous/zip.m scripts/mk-pkg-add scripts/mkdoc.pl
	scripts/ode/ode23.m scripts/ode/ode45.m scripts/ode/odeget.m
	scripts/ode/odeplot.m scripts/ode/odeset.m
	scripts/ode/private/AbsRel_Norm.m
	scripts/ode/private/integrate_adaptive.m
	scripts/ode/private/integrate_const.m
	scripts/ode/private/integrate_n_steps.m scripts/ode/private/kahan.m
	scripts/ode/private/known_option_names.m
	scripts/ode/private/ode_event_handler.m
	scripts/ode/private/ode_struct_value_check.m
	scripts/ode/private/runge_kutta_23.m
	scripts/ode/private/runge_kutta_45_dorpri.m
	scripts/ode/private/runge_kutta_interpolate.m
	scripts/ode/private/starting_stepsize.m
	scripts/optimization/__all_opts__.m scripts/optimization/fminbnd.m
	scripts/optimization/fminsearch.m scripts/optimization/fminunc.m
	scripts/optimization/fsolve.m scripts/optimization/fzero.m
	scripts/optimization/glpk.m scripts/optimization/lsqnonneg.m
	scripts/optimization/optimget.m scripts/optimization/optimset.m
	scripts/optimization/pqpnonneg.m
	scripts/optimization/private/__fdjac__.m scripts/optimization/qp.m
	scripts/optimization/sqp.m scripts/path/matlabroot.m
	scripts/path/pathdef.m scripts/path/private/getsavepath.m
	scripts/path/savepath.m scripts/pkg/pkg.m
	scripts/pkg/private/configure_make.m
	scripts/pkg/private/default_prefix.m scripts/pkg/private/describe.m
	scripts/pkg/private/dirempty.m scripts/pkg/private/get_description.m
	scripts/pkg/private/get_forge_download.m
	scripts/pkg/private/get_forge_pkg.m
	scripts/pkg/private/get_unsatisfied_deps.m
	scripts/pkg/private/getarch.m scripts/pkg/private/getarchdir.m
	scripts/pkg/private/install.m
	scripts/pkg/private/installed_packages.m
	scripts/pkg/private/list_forge_packages.m
	scripts/pkg/private/load_packages.m
	scripts/pkg/private/load_packages_and_dependencies.m
	scripts/pkg/private/rebuild.m scripts/pkg/private/save_order.m
	scripts/pkg/private/uninstall.m
	scripts/pkg/private/unload_packages.m
	scripts/plot/appearance/__clabel__.m
	scripts/plot/appearance/__getlegenddata__.m
	scripts/plot/appearance/annotation.m scripts/plot/appearance/axis.m
	scripts/plot/appearance/box.m scripts/plot/appearance/caxis.m
	scripts/plot/appearance/clabel.m scripts/plot/appearance/daspect.m
	scripts/plot/appearance/datetick.m scripts/plot/appearance/diffuse.m
	scripts/plot/appearance/grid.m scripts/plot/appearance/gtext.m
	scripts/plot/appearance/hidden.m scripts/plot/appearance/legend.m
	scripts/plot/appearance/orient.m scripts/plot/appearance/pbaspect.m
	scripts/plot/appearance/private/__axis_label__.m
	scripts/plot/appearance/private/__axis_limits__.m
	scripts/plot/appearance/shading.m scripts/plot/appearance/specular.m
	scripts/plot/appearance/text.m scripts/plot/appearance/title.m
	scripts/plot/appearance/view.m scripts/plot/appearance/whitebg.m
	scripts/plot/appearance/xlabel.m scripts/plot/appearance/xlim.m
	scripts/plot/appearance/ylabel.m scripts/plot/appearance/ylim.m
	scripts/plot/appearance/zlabel.m scripts/plot/appearance/zlim.m
	scripts/plot/draw/area.m scripts/plot/draw/bar.m
	scripts/plot/draw/barh.m scripts/plot/draw/colorbar.m
	scripts/plot/draw/comet.m scripts/plot/draw/comet3.m
	scripts/plot/draw/compass.m scripts/plot/draw/contour.m
	scripts/plot/draw/contour3.m scripts/plot/draw/contourc.m
	scripts/plot/draw/contourf.m scripts/plot/draw/cylinder.m
	scripts/plot/draw/ellipsoid.m scripts/plot/draw/errorbar.m
	scripts/plot/draw/ezcontour.m scripts/plot/draw/ezcontourf.m
	scripts/plot/draw/ezmesh.m scripts/plot/draw/ezmeshc.m
	scripts/plot/draw/ezplot.m scripts/plot/draw/ezplot3.m
	scripts/plot/draw/ezpolar.m scripts/plot/draw/ezsurf.m
	scripts/plot/draw/ezsurfc.m scripts/plot/draw/feather.m
	scripts/plot/draw/fill.m scripts/plot/draw/fplot.m
	scripts/plot/draw/hist.m scripts/plot/draw/isocolors.m
	scripts/plot/draw/isonormals.m scripts/plot/draw/line.m
	scripts/plot/draw/loglog.m scripts/plot/draw/loglogerr.m
	scripts/plot/draw/mesh.m scripts/plot/draw/meshc.m
	scripts/plot/draw/meshz.m scripts/plot/draw/pareto.m
	scripts/plot/draw/patch.m scripts/plot/draw/pcolor.m
	scripts/plot/draw/peaks.m scripts/plot/draw/pie.m
	scripts/plot/draw/pie3.m scripts/plot/draw/plot.m
	scripts/plot/draw/plot3.m scripts/plot/draw/plotmatrix.m
	scripts/plot/draw/plotyy.m scripts/plot/draw/polar.m
	scripts/plot/draw/private/__add_datasource__.m
	scripts/plot/draw/private/__bar__.m
	scripts/plot/draw/private/__contour__.m
	scripts/plot/draw/private/__errplot__.m
	scripts/plot/draw/private/__ezplot__.m
	scripts/plot/draw/private/__interp_cube__.m
	scripts/plot/draw/private/__line__.m
	scripts/plot/draw/private/__marching_cube__.m
	scripts/plot/draw/private/__patch__.m
	scripts/plot/draw/private/__pie__.m
	scripts/plot/draw/private/__plt__.m
	scripts/plot/draw/private/__quiver__.m
	scripts/plot/draw/private/__rotate_around_axis__.m
	scripts/plot/draw/private/__scatter__.m
	scripts/plot/draw/private/__stem__.m scripts/plot/draw/quiver.m
	scripts/plot/draw/quiver3.m scripts/plot/draw/rectangle.m
	scripts/plot/draw/ribbon.m scripts/plot/draw/rose.m
	scripts/plot/draw/scatter.m scripts/plot/draw/scatter3.m
	scripts/plot/draw/semilogx.m scripts/plot/draw/semilogxerr.m
	scripts/plot/draw/semilogy.m scripts/plot/draw/semilogyerr.m
	scripts/plot/draw/shrinkfaces.m scripts/plot/draw/slice.m
	scripts/plot/draw/sombrero.m scripts/plot/draw/sphere.m
	scripts/plot/draw/stairs.m scripts/plot/draw/stem.m
	scripts/plot/draw/stem3.m scripts/plot/draw/stemleaf.m
	scripts/plot/draw/surf.m scripts/plot/draw/surface.m
	scripts/plot/draw/surfc.m scripts/plot/draw/surfl.m
	scripts/plot/draw/surfnorm.m scripts/plot/draw/tetramesh.m
	scripts/plot/draw/trimesh.m scripts/plot/draw/triplot.m
	scripts/plot/draw/trisurf.m scripts/plot/draw/waterfall.m
	scripts/plot/util/__actual_axis_position__.m
	scripts/plot/util/__default_plot_options__.m
	scripts/plot/util/__gnuplot_drawnow__.m
	scripts/plot/util/__next_line_color__.m
	scripts/plot/util/__next_line_style__.m
	scripts/plot/util/__plt_get_axis_arg__.m
	scripts/plot/util/__pltopt__.m scripts/plot/util/allchild.m
	scripts/plot/util/ancestor.m scripts/plot/util/axes.m
	scripts/plot/util/cla.m scripts/plot/util/clf.m
	scripts/plot/util/close.m scripts/plot/util/closereq.m
	scripts/plot/util/colstyle.m scripts/plot/util/copyobj.m
	scripts/plot/util/figure.m scripts/plot/util/findall.m
	scripts/plot/util/findfigs.m scripts/plot/util/findobj.m
	scripts/plot/util/frame2im.m scripts/plot/util/gca.m
	scripts/plot/util/gcbf.m scripts/plot/util/gcbo.m
	scripts/plot/util/gcf.m scripts/plot/util/gco.m
	scripts/plot/util/ginput.m scripts/plot/util/gnuplot_binary.in.m
	scripts/plot/util/graphics_toolkit.m scripts/plot/util/hdl2struct.m
	scripts/plot/util/hggroup.m scripts/plot/util/hgload.m
	scripts/plot/util/hgsave.m scripts/plot/util/hold.m
	scripts/plot/util/im2frame.m scripts/plot/util/isaxes.m
	scripts/plot/util/isfigure.m scripts/plot/util/ishghandle.m
	scripts/plot/util/ishold.m scripts/plot/util/isprop.m
	scripts/plot/util/linkaxes.m scripts/plot/util/linkprop.m
	scripts/plot/util/meshgrid.m scripts/plot/util/ndgrid.m
	scripts/plot/util/newplot.m scripts/plot/util/pan.m
	scripts/plot/util/print.m scripts/plot/util/printd.m
	scripts/plot/util/private/__add_default_menu__.m
	scripts/plot/util/private/__ghostscript__.m
	scripts/plot/util/private/__gnuplot_draw_axes__.m
	scripts/plot/util/private/__gnuplot_draw_figure__.m
	scripts/plot/util/private/__gnuplot_get_var__.m
	scripts/plot/util/private/__gnuplot_ginput__.m
	scripts/plot/util/private/__gnuplot_has_feature__.m
	scripts/plot/util/private/__gnuplot_has_terminal__.m
	scripts/plot/util/private/__gnuplot_open_stream__.m
	scripts/plot/util/private/__gnuplot_print__.m
	scripts/plot/util/private/__gnuplot_version__.m
	scripts/plot/util/private/__opengl_print__.m
	scripts/plot/util/private/__print_parse_opts__.m
	scripts/plot/util/refresh.m scripts/plot/util/refreshdata.m
	scripts/plot/util/rotate.m scripts/plot/util/rotate3d.m
	scripts/plot/util/saveas.m scripts/plot/util/shg.m
	scripts/plot/util/struct2hdl.m scripts/plot/util/subplot.m
	scripts/plot/util/zoom.m scripts/polynomial/compan.m
	scripts/polynomial/conv.m scripts/polynomial/deconv.m
	scripts/polynomial/mkpp.m scripts/polynomial/mpoles.m
	scripts/polynomial/padecoef.m scripts/polynomial/pchip.m
	scripts/polynomial/poly.m scripts/polynomial/polyaffine.m
	scripts/polynomial/polyder.m scripts/polynomial/polyeig.m
	scripts/polynomial/polyfit.m scripts/polynomial/polygcd.m
	scripts/polynomial/polyint.m scripts/polynomial/polyout.m
	scripts/polynomial/polyreduce.m scripts/polynomial/polyval.m
	scripts/polynomial/polyvalm.m scripts/polynomial/ppder.m
	scripts/polynomial/ppint.m scripts/polynomial/ppjumps.m
	scripts/polynomial/ppval.m scripts/polynomial/residue.m
	scripts/polynomial/roots.m scripts/polynomial/spline.m
	scripts/polynomial/splinefit.m scripts/polynomial/unmkpp.m
	scripts/prefs/addpref.m scripts/prefs/getpref.m
	scripts/prefs/ispref.m scripts/prefs/prefdir.m
	scripts/prefs/preferences.m scripts/prefs/private/loadprefs.m
	scripts/prefs/private/prefsfile.m scripts/prefs/private/saveprefs.m
	scripts/prefs/rmpref.m scripts/prefs/setpref.m
	scripts/profiler/profexplore.m scripts/profiler/profile.m
	scripts/profiler/profshow.m scripts/set/intersect.m
	scripts/set/ismember.m scripts/set/powerset.m
	scripts/set/private/validsetargs.m scripts/set/setdiff.m
	scripts/set/setxor.m scripts/set/union.m scripts/set/unique.m
	scripts/signal/arch_fit.m scripts/signal/arch_rnd.m
	scripts/signal/arch_test.m scripts/signal/arma_rnd.m
	scripts/signal/autoreg_matrix.m scripts/signal/bartlett.m
	scripts/signal/blackman.m scripts/signal/detrend.m
	scripts/signal/diffpara.m scripts/signal/durbinlevinson.m
	scripts/signal/fftconv.m scripts/signal/fftfilt.m
	scripts/signal/fftshift.m scripts/signal/filter2.m
	scripts/signal/fractdiff.m scripts/signal/freqz.m
	scripts/signal/freqz_plot.m scripts/signal/hamming.m
	scripts/signal/hanning.m scripts/signal/hurst.m
	scripts/signal/ifftshift.m scripts/signal/periodogram.m
	scripts/signal/private/rectangle_lw.m
	scripts/signal/private/rectangle_sw.m
	scripts/signal/private/triangle_lw.m
	scripts/signal/private/triangle_sw.m scripts/signal/sinc.m
	scripts/signal/sinetone.m scripts/signal/sinewave.m
	scripts/signal/spectral_adf.m scripts/signal/spectral_xdf.m
	scripts/signal/spencer.m scripts/signal/stft.m
	scripts/signal/synthesis.m scripts/signal/unwrap.m
	scripts/signal/yulewalker.m scripts/sparse/bicg.m
	scripts/sparse/bicgstab.m scripts/sparse/cgs.m
	scripts/sparse/colperm.m scripts/sparse/eigs.m
	scripts/sparse/etreeplot.m scripts/sparse/gmres.m
	scripts/sparse/gplot.m scripts/sparse/ichol.m scripts/sparse/ilu.m
	scripts/sparse/nonzeros.m scripts/sparse/pcg.m scripts/sparse/pcr.m
	scripts/sparse/private/__sprand__.m scripts/sparse/qmr.m
	scripts/sparse/spaugment.m scripts/sparse/spconvert.m
	scripts/sparse/spdiags.m scripts/sparse/speye.m
	scripts/sparse/spfun.m scripts/sparse/spones.m
	scripts/sparse/sprand.m scripts/sparse/sprandn.m
	scripts/sparse/sprandsym.m scripts/sparse/spstats.m
	scripts/sparse/spy.m scripts/sparse/svds.m
	scripts/sparse/treelayout.m scripts/sparse/treeplot.m
	scripts/specfun/bessel.m scripts/specfun/beta.m
	scripts/specfun/betaln.m scripts/specfun/ellipke.m
	scripts/specfun/expint.m scripts/specfun/factor.m
	scripts/specfun/factorial.m scripts/specfun/isprime.m
	scripts/specfun/lcm.m scripts/specfun/legendre.m
	scripts/specfun/nchoosek.m scripts/specfun/nthroot.m
	scripts/specfun/perms.m scripts/specfun/pow2.m
	scripts/specfun/primes.m scripts/specfun/reallog.m
	scripts/specfun/realpow.m scripts/specfun/realsqrt.m scripts
	/special-matrix/gallery.m scripts/special-matrix/hadamard.m scripts
	/special-matrix/hankel.m scripts/special-matrix/hilb.m scripts
	/special-matrix/invhilb.m scripts/special-matrix/magic.m scripts
	/special-matrix/pascal.m scripts/special-matrix/rosser.m scripts
	/special-matrix/toeplitz.m scripts/special-matrix/vander.m scripts
	/special-matrix/wilkinson.m scripts/startup/__finish__.m
	scripts/statistics/base/center.m scripts/statistics/base/cloglog.m
	scripts/statistics/base/corr.m scripts/statistics/base/cov.m
	scripts/statistics/base/gls.m scripts/statistics/base/histc.m
	scripts/statistics/base/iqr.m scripts/statistics/base/kendall.m
	scripts/statistics/base/kurtosis.m scripts/statistics/base/logit.m
	scripts/statistics/base/lscov.m scripts/statistics/base/mean.m
	scripts/statistics/base/meansq.m scripts/statistics/base/median.m
	scripts/statistics/base/mode.m scripts/statistics/base/moment.m
	scripts/statistics/base/ols.m scripts/statistics/base/ppplot.m
	scripts/statistics/base/prctile.m scripts/statistics/base/probit.m
	scripts/statistics/base/qqplot.m scripts/statistics/base/quantile.m
	scripts/statistics/base/range.m scripts/statistics/base/ranks.m
	scripts/statistics/base/run_count.m
	scripts/statistics/base/runlength.m
	scripts/statistics/base/skewness.m
	scripts/statistics/base/spearman.m
	scripts/statistics/base/statistics.m scripts/statistics/base/std.m
	scripts/statistics/base/table.m scripts/statistics/base/var.m
	scripts/statistics/base/zscore.m
	scripts/statistics/distributions/betacdf.m
	scripts/statistics/distributions/betainv.m
	scripts/statistics/distributions/betapdf.m
	scripts/statistics/distributions/betarnd.m
	scripts/statistics/distributions/binocdf.m
	scripts/statistics/distributions/binoinv.m
	scripts/statistics/distributions/binopdf.m
	scripts/statistics/distributions/binornd.m
	scripts/statistics/distributions/cauchy_cdf.m
	scripts/statistics/distributions/cauchy_inv.m
	scripts/statistics/distributions/cauchy_pdf.m
	scripts/statistics/distributions/cauchy_rnd.m
	scripts/statistics/distributions/chi2cdf.m
	scripts/statistics/distributions/chi2inv.m
	scripts/statistics/distributions/chi2pdf.m
	scripts/statistics/distributions/chi2rnd.m
	scripts/statistics/distributions/discrete_cdf.m
	scripts/statistics/distributions/discrete_inv.m
	scripts/statistics/distributions/discrete_pdf.m
	scripts/statistics/distributions/discrete_rnd.m
	scripts/statistics/distributions/empirical_cdf.m
	scripts/statistics/distributions/empirical_inv.m
	scripts/statistics/distributions/empirical_pdf.m
	scripts/statistics/distributions/empirical_rnd.m
	scripts/statistics/distributions/expcdf.m
	scripts/statistics/distributions/expinv.m
	scripts/statistics/distributions/exppdf.m
	scripts/statistics/distributions/exprnd.m
	scripts/statistics/distributions/fcdf.m
	scripts/statistics/distributions/finv.m
	scripts/statistics/distributions/fpdf.m
	scripts/statistics/distributions/frnd.m
	scripts/statistics/distributions/gamcdf.m
	scripts/statistics/distributions/gaminv.m
	scripts/statistics/distributions/gampdf.m
	scripts/statistics/distributions/gamrnd.m
	scripts/statistics/distributions/geocdf.m
	scripts/statistics/distributions/geoinv.m
	scripts/statistics/distributions/geopdf.m
	scripts/statistics/distributions/geornd.m
	scripts/statistics/distributions/hygecdf.m
	scripts/statistics/distributions/hygeinv.m
	scripts/statistics/distributions/hygepdf.m
	scripts/statistics/distributions/hygernd.m
	scripts/statistics/distributions/kolmogorov_smirnov_cdf.m
	scripts/statistics/distributions/laplace_cdf.m
	scripts/statistics/distributions/laplace_inv.m
	scripts/statistics/distributions/laplace_pdf.m
	scripts/statistics/distributions/laplace_rnd.m
	scripts/statistics/distributions/logistic_cdf.m
	scripts/statistics/distributions/logistic_inv.m
	scripts/statistics/distributions/logistic_pdf.m
	scripts/statistics/distributions/logistic_rnd.m
	scripts/statistics/distributions/logncdf.m
	scripts/statistics/distributions/logninv.m
	scripts/statistics/distributions/lognpdf.m
	scripts/statistics/distributions/lognrnd.m
	scripts/statistics/distributions/nbincdf.m
	scripts/statistics/distributions/nbininv.m
	scripts/statistics/distributions/nbinpdf.m
	scripts/statistics/distributions/nbinrnd.m
	scripts/statistics/distributions/normcdf.m
	scripts/statistics/distributions/norminv.m
	scripts/statistics/distributions/normpdf.m
	scripts/statistics/distributions/normrnd.m
	scripts/statistics/distributions/poisscdf.m
	scripts/statistics/distributions/poissinv.m
	scripts/statistics/distributions/poisspdf.m
	scripts/statistics/distributions/poissrnd.m
	scripts/statistics/distributions/stdnormal_cdf.m
	scripts/statistics/distributions/stdnormal_inv.m
	scripts/statistics/distributions/stdnormal_pdf.m
	scripts/statistics/distributions/stdnormal_rnd.m
	scripts/statistics/distributions/tcdf.m
	scripts/statistics/distributions/tinv.m
	scripts/statistics/distributions/tpdf.m
	scripts/statistics/distributions/trnd.m
	scripts/statistics/distributions/unidcdf.m
	scripts/statistics/distributions/unidinv.m
	scripts/statistics/distributions/unidpdf.m
	scripts/statistics/distributions/unidrnd.m
	scripts/statistics/distributions/unifcdf.m
	scripts/statistics/distributions/unifinv.m
	scripts/statistics/distributions/unifpdf.m
	scripts/statistics/distributions/unifrnd.m
	scripts/statistics/distributions/wblcdf.m
	scripts/statistics/distributions/wblinv.m
	scripts/statistics/distributions/wblpdf.m
	scripts/statistics/distributions/wblrnd.m
	scripts/statistics/distributions/wienrnd.m
	scripts/statistics/models/logistic_regression.m
	scripts/statistics/models/private/logistic_regression_derivatives.m
	scripts/statistics/models/private/logistic_regression_likelihood.m
	scripts/statistics/tests/anova.m
	scripts/statistics/tests/bartlett_test.m
	scripts/statistics/tests/chisquare_test_homogeneity.m
	scripts/statistics/tests/chisquare_test_independence.m
	scripts/statistics/tests/cor_test.m
	scripts/statistics/tests/f_test_regression.m
	scripts/statistics/tests/hotelling_test.m
	scripts/statistics/tests/hotelling_test_2.m
	scripts/statistics/tests/kolmogorov_smirnov_test.m
	scripts/statistics/tests/kolmogorov_smirnov_test_2.m
	scripts/statistics/tests/kruskal_wallis_test.m
	scripts/statistics/tests/manova.m
	scripts/statistics/tests/mcnemar_test.m
	scripts/statistics/tests/prop_test_2.m
	scripts/statistics/tests/run_test.m
	scripts/statistics/tests/sign_test.m
	scripts/statistics/tests/t_test.m
	scripts/statistics/tests/t_test_2.m
	scripts/statistics/tests/t_test_regression.m
	scripts/statistics/tests/u_test.m
	scripts/statistics/tests/var_test.m
	scripts/statistics/tests/welch_test.m
	scripts/statistics/tests/wilcoxon_test.m
	scripts/statistics/tests/z_test.m
	scripts/statistics/tests/z_test_2.m scripts/strings/base2dec.m
	scripts/strings/bin2dec.m scripts/strings/blanks.m
	scripts/strings/cstrcat.m scripts/strings/dec2base.m
	scripts/strings/dec2bin.m scripts/strings/dec2hex.m
	scripts/strings/findstr.m scripts/strings/hex2dec.m
	scripts/strings/index.m scripts/strings/isletter.m
	scripts/strings/isstrprop.m scripts/strings/mat2str.m
	scripts/strings/ostrsplit.m scripts/strings/regexptranslate.m
	scripts/strings/rindex.m scripts/strings/str2num.m
	scripts/strings/strcat.m scripts/strings/strchr.m
	scripts/strings/strjoin.m scripts/strings/strjust.m
	scripts/strings/strmatch.m scripts/strings/strsplit.m
	scripts/strings/strtok.m scripts/strings/strtrim.m
	scripts/strings/strtrunc.m scripts/strings/substr.m
	scripts/strings/untabify.m scripts/strings/validatestring.m
	scripts/testfun/__have_feature__.m
	scripts/testfun/__printf_assert__.m
	scripts/testfun/__prog_output_assert__.m
	scripts/testfun/__run_test_suite__.m scripts/testfun/assert.m
	scripts/testfun/demo.m scripts/testfun/example.m
	scripts/testfun/fail.m scripts/testfun/private/compare_plot_demos.m
	scripts/testfun/private/dump_demos.m
	scripts/testfun/private/html_compare_plot_demos.m
	scripts/testfun/rundemos.m scripts/testfun/runtests.m
	scripts/testfun/speed.m scripts/testfun/test.m
	scripts/time/addtodate.m scripts/time/asctime.m
	scripts/time/calendar.m scripts/time/clock.m scripts/time/ctime.m
	scripts/time/date.m scripts/time/datenum.m scripts/time/datestr.m
	scripts/time/datevec.m scripts/time/eomday.m scripts/time/etime.m
	scripts/time/is_leap_year.m scripts/time/now.m
	scripts/time/weekday.m src/display-available.c src/display-
	available.h src/main-cli.cc src/main-gui.cc src/main.in.cc
	src/mkoctfile.in.cc src/octave-config.in.cc src/shared-fcns.h
	test/args.tst test/build-bc-overload-tests.sh test/build-sparse-
	tests.sh test/classdef/classdef.tst test/classes/classes.tst
	test/colormaps.tst test/complex.tst test/ctor-vs-method/ctor-vs-
	method.tst test/diag-perm.tst test/error.tst test/eval-catch.tst
	test/fcn-handle-derived-resolution/fcn-handle-derived-resolution.tst
	test/fntests.m test/for.tst test/func.tst test/global.tst
	test/if.tst test/index.tst test/io.tst test/jit.tst test/line-
	continue.tst test/logical-index.tst test/nest/nest.tst test/null-
	assign.tst test/parser.tst test/prefer.tst test/range.tst
	test/recursion.tst test/return.tst test/slice.tst test/struct.tst
	test/switch.tst test/system.tst test/transpose.tst test/try.tst
	test/unwind.tst test/while.tst

	move most f77 function decls to separate header files

	* liboctave/numeric/lo-amos-proto.h,
	liboctave/numeric/lo-arpack-proto.h,
	liboctave/numeric/lo-blas-proto.h,
	liboctave/numeric/lo-fftpack-proto.h,
	liboctave/numeric/lo-lapack-proto.h,
	liboctave/numeric/lo-qrupdate-proto.h,
	liboctave/numeric/lo-ranlib-proto.h,
	liboctave/numeric/lo-slatec-proto.h: New files.

	* liboctave/numeric/module.mk: Update.

	* __pchip_deriv__.cc, dot.cc, interpreter.cc, ordschur.cc, qz.cc,
	CColVector.cc, CMatrix.cc, CNDArray.cc, CRowVector.cc, CSparse.cc,
	dColVector.cc, dMatrix.cc, dNDArray.cc, dRowVector.cc, dSparse.cc,
	fCColVector.cc, fCMatrix.cc, fCNDArray.cc, fCRowVector.cc,
	fColVector.cc, fMatrix.cc, fNDArray.cc, fRowVector.cc, EIG.cc,
	aepbalance.cc, chol.cc, eigs-base.cc, fEIG.cc, gepbalance.cc, gsvd.cc,
	hess.cc, lo-specfun.cc, lu.cc, oct-rand.cc, qr.cc, qrp.cc,
	randpoisson.cc, schur.cc, sparse-qr.cc, svd.cc:
	Use new header files.

	Files: libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/dot.cc
	libinterp/corefcn/interpreter.cc libinterp/corefcn/ordschur.cc
	libinterp/corefcn/qz.cc liboctave/array/CColVector.cc
	liboctave/array/CMatrix.cc liboctave/array/CNDArray.cc
	liboctave/array/CRowVector.cc liboctave/array/CSparse.cc
	liboctave/array/dColVector.cc liboctave/array/dMatrix.cc
	liboctave/array/dNDArray.cc liboctave/array/dRowVector.cc
	liboctave/array/dSparse.cc liboctave/array/fCColVector.cc
	liboctave/array/fCMatrix.cc liboctave/array/fCNDArray.cc
	liboctave/array/fCRowVector.cc liboctave/array/fColVector.cc
	liboctave/array/fMatrix.cc liboctave/array/fNDArray.cc
	liboctave/array/fRowVector.cc liboctave/numeric/EIG.cc
	liboctave/numeric/aepbalance.cc liboctave/numeric/chol.cc
	liboctave/numeric/eigs-base.cc liboctave/numeric/fEIG.cc
	liboctave/numeric/gepbalance.cc liboctave/numeric/gsvd.cc
	liboctave/numeric/hess.cc liboctave/numeric/lo-amos-proto.h
	liboctave/numeric/lo-arpack-proto.h liboctave/numeric/lo-blas-
	proto.h liboctave/numeric/lo-fftpack-proto.h liboctave/numeric/lo-
	lapack-proto.h liboctave/numeric/lo-qrupdate-proto.h
	liboctave/numeric/lo-ranlib-proto.h liboctave/numeric/lo-slatec-
	proto.h liboctave/numeric/lo-specfun.cc liboctave/numeric/lu.cc
	liboctave/numeric/module.mk liboctave/numeric/oct-rand.cc
	liboctave/numeric/qr.cc liboctave/numeric/qrp.cc
	liboctave/numeric/randpoisson.cc liboctave/numeric/schur.cc
	liboctave/numeric/sparse-qr.cc liboctave/numeric/svd.cc

2016-08-16  Rik  <rik@octave.org>

	gsvd.cc: Clean up to follow Octave coding standards.

	* gsvd.cc: Rewrite docstring.  Don't check nargout for print_usage().
	Dont use 'return retval' after print_usage() or error().
	Follow Octave coding convetions in BIST tests.

	Files: libinterp/corefcn/gsvd.cc

	annotation.m: Fix %!demo #3 to work with dump_plots.m

	annotation.m: Don't try and place headstyle in double quotes.

	Files: scripts/plot/appearance/annotation.m

2016-08-16  Markus Mützel  <markus.muetzel@gmx.de>

	Add support for setting "(xy)axislocation" to "origin" (bug #48562).

	* graphics.in.h: Add "origin" to the list of accepted values for
	"(xy)axislocation". Deprecate "zero" (for Octave 4.6).
	* __gnuplot_draw_axes__.m: Add "origin" as a synonym for "zero".

	pushed by Andreas Weber <andy.weber.aw@gmail.com>

	Files: NEWS libinterp/corefcn/graphics.in.h
	scripts/plot/util/private/__gnuplot_draw_axes__.m

2016-08-16  Rik  <rik@octave.org>

	dump_demos.m: Replace 'x = y = XXX' and 'x = y = z = XXX' assignments.

	* dump_demos.m: Replace 'x = y = XXX' and 'x = y = z = XXX' assignments.

	Files: scripts/testfun/private/dump_demos.m

2016-08-16  John W. Eaton  <jwe@octave.org>

	move some new numeric classes to namespace octave::math

	* aepbalance.cc, aepbalance.h, chol.cc, chol.h, gepbalance.cc,
	gepbalance.h, hess.cc, hess.h, lu.cc, lu.h, qr.cc, qr.h, qrp.cc,
	qrp.h, schur.cc, schur.h, sparse-chol.cc, sparse-chol.h,
	sparse-dmsolve.cc,sparse-lu.cc, sparse-lu.h, sparse-qr.cc,
	sparse-qr.h, svd.cc, svd.h: Move classes to namespace octave::math.

	* __luinc__.cc, __qp__.cc, balance.cc, hess.cc, lu.cc, qz.cc,
	schur.cc, sqrtm.cc, svd.cc, chol.cc, dmperm.cc, qr.cc, lex.h,
	CMatrix.cc, CSparse.cc, dMatrix.cc, dSparse.cc, fCMatrix.cc,
	fMatrix.cc, eigs-base.cc, oct-norm.cc: Update for new namespaces.

	Files: libinterp/corefcn/__luinc__.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/balance.cc libinterp/corefcn/hess.cc
	libinterp/corefcn/lu.cc libinterp/corefcn/qz.cc
	libinterp/corefcn/schur.cc libinterp/corefcn/sqrtm.cc
	libinterp/corefcn/svd.cc libinterp/dldfcn/chol.cc
	libinterp/dldfcn/dmperm.cc libinterp/dldfcn/qr.cc libinterp/parse-
	tree/lex.h liboctave/array/CMatrix.cc liboctave/array/CSparse.cc
	liboctave/array/dMatrix.cc liboctave/array/dSparse.cc
	liboctave/array/fCMatrix.cc liboctave/array/fMatrix.cc
	liboctave/numeric/aepbalance.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h liboctave/numeric
	/eigs-base.cc liboctave/numeric/gepbalance.cc
	liboctave/numeric/gepbalance.h liboctave/numeric/hess.cc
	liboctave/numeric/hess.h liboctave/numeric/lu.cc
	liboctave/numeric/lu.h liboctave/numeric/oct-norm.cc
	liboctave/numeric/qr.cc liboctave/numeric/qr.h
	liboctave/numeric/qrp.cc liboctave/numeric/qrp.h
	liboctave/numeric/schur.cc liboctave/numeric/schur.h
	liboctave/numeric/sparse-chol.cc liboctave/numeric/sparse-chol.h
	liboctave/numeric/sparse-dmsolve.cc liboctave/numeric/sparse-lu.cc
	liboctave/numeric/sparse-lu.h liboctave/numeric/sparse-qr.cc
	liboctave/numeric/sparse-qr.h liboctave/numeric/svd.cc
	liboctave/numeric/svd.h

2016-08-16  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos.m: Replace # not inside single quotes

	Files: scripts/testfun/private/dump_demos.m

2016-08-16  Rik  <rik@octave.org>

	isocaps.m: use size (..., 1) instead of rows in %!demos.

	* isocaps.m: use size (..., 1) instead of rows in %!demos.

	Files: scripts/plot/draw/isocaps.m

	dump_demos.m: Remove dummy assert function.

	* imshow.m: Add missing quote to title().

	* dump_demos.m: Remove dummy assert function.

	Files: scripts/image/imshow.m scripts/testfun/private/dump_demos.m

	dump_demos.m: Handle in-place operators like += for Matlab.

	* dump_demos.m: Use regexprep to replace "A OP= B" with "A = A OP B".

	Files: scripts/testfun/private/dump_demos.m

	Add titles to more of the graphic demos.

	* imagesc.m, imshow.m, axis.m, daspect.m, datetick.m, material.m, camlight.m,
	compass.m, isocaps.m, isonormals.m, isosurface.m, light.m, loglog.m, patch.m,
	plot.m, plotyy.m, semilogx.m, semilogy.m, surfnorm.m, trisurf.m, hold.m:
	Add titles to more of the graphic demos.

	Files: scripts/image/imagesc.m scripts/image/imshow.m
	scripts/plot/appearance/axis.m scripts/plot/appearance/daspect.m
	scripts/plot/appearance/datetick.m
	scripts/plot/appearance/material.m scripts/plot/draw/camlight.m
	scripts/plot/draw/compass.m scripts/plot/draw/isocaps.m
	scripts/plot/draw/isonormals.m scripts/plot/draw/isosurface.m
	scripts/plot/draw/light.m scripts/plot/draw/loglog.m
	scripts/plot/draw/patch.m scripts/plot/draw/plot.m
	scripts/plot/draw/plotyy.m scripts/plot/draw/semilogx.m
	scripts/plot/draw/semilogy.m scripts/plot/draw/surfnorm.m
	scripts/plot/draw/trisurf.m scripts/plot/util/hold.m

2016-08-16  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos.m: Move demo outside try/catch and ctrl block (Matlab comp.)

	In Matlab it's not possible to define a function inside a try/catch
	or demo block. Error message:
	invalid use of function (a nested function cannot be used inside a control statement)

	One example which triggered this is "isofinish" defined in "isonormals"

	Files: scripts/testfun/private/dump_demos.m

	dump_demos.m: Replace rows with size ( ,1) for Matlab compatibility

	Files: scripts/testfun/private/dump_demos.m

2016-08-16  Rik  <rik@octave.org>

	__ezplot__.m: Add 'r = ' to the title string for ezpolar plots.

	* __ezplot__.m: Add 'r = ' to the title string for ezpolar plots.

	Files: scripts/plot/draw/private/__ezplot__.m

	__ezplot__.m: Fix Matlab incompatibilities.

	* __ezplot__.m: Use space after comma in generated titles.
	Plot all lines from the same 2-D plot in the same color (ezplot demo 4).

	Files: scripts/plot/draw/private/__ezplot__.m

2016-08-16  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	publish.m: math formatting prevention for more than nine formulas.

	Files: scripts/general/publish.m

	publish.m: prevent formatting of inline and block math.

	Files: scripts/general/publish.m

2016-08-16  Barbara Locsi  <locsi.barbara@gmail.com>

	eig: new options for choice of algorithm, balancing, and output (patch #8960)

	* libinterp/corefcn/eig.cc: add preliminary balancing option, computation of
	left eigenvectors as a third output, choosing among generalized eigenvalue
	algorithms (chol or qz), and choosing among return value formats of the
	eigenvalues (vector or matrix).  Expand documentation for new options and
	add several new tests (and remove duplicated code in existing tests).
	* liboctave/numeric/EIG.cc, liboctave/numeric/fEIG.cc: change dgeev, zgeev,
	sgeev, and cgeev, to dgeevx, zgeevx, sgeevx, and cgeevx respectively which
	allow for more control over thr solution process.  Add new flags to the
	functions to support the new options added to the interpreter's eig.
	* liboctave/numeric/EIG.h, liboctave/numeric/fEIG.h: fix function declaration
	to include the new options.

	Files: libinterp/corefcn/__qp__.cc libinterp/corefcn/eig.cc
	libinterp/corefcn/xpow.cc liboctave/numeric/EIG.cc
	liboctave/numeric/EIG.h liboctave/numeric/fEIG.cc
	liboctave/numeric/fEIG.h

2016-08-15  John W. Eaton  <jwe@octave.org>

	strip header from op-kw-docs when generating libinterp/DOCSTRINGS

	* libinterp/module.mk (libinterp/DOCSTRINGS): Strip header from
	op-kw-docs file.

	Files: libinterp/module.mk

2016-08-03  Ernst Reissner  <rei3ner@arcor.de>

	style fixes (patch #9059)

	* ov-java.cc: Style fixes.  Attempt to keep lines less than 80
	characters wide.

	Files: libinterp/octave-value/ov-java.cc

2016-08-15  Rik  <rik@octave.org>

	Use Octave syntax in graphics demos.

	* inputdlg.m, listdlg.m, waitbar.m, autumn.m, bone.m, cool.m, copper.m,
	cubehelix.m, flag.m, gray.m, hot.m, hsv.m, jet.m, lines.m, ocean.m, pink.m,
	prism.m, rainbow.m, rgbplot.m, spring.m, summer.m, viridis.m, white.m,
	winter.m, annotation.m, axis.m, clabel.m, daspect.m, datetick.m, grid.m,
	legend.m, lighting.m, material.m, pbaspect.m, shading.m, text.m, xlim.m,
	ylim.m, zlim.m, area.m, bar.m, barh.m, camlight.m, colorbar.m, comet.m,
	comet3.m, contour.m, contour3.m, contourf.m, cylinder.m, ellipsoid.m,
	errorbar.m, ezcontour.m, ezcontourf.m, ezmesh.m, ezmeshc.m, ezplot.m,
	ezplot3.m, ezsurf.m, ezsurfc.m, feather.m, fill.m, fplot.m, isocaps.m,
	isonormals.m, isosurface.m, light.m, line.m, loglog.m, loglogerr.m, mesh.m,
	meshc.m, meshz.m, pareto.m, patch.m, pcolor.m, pie.m, pie3.m, plot.m, plot3.m,
	plotmatrix.m, plotyy.m, polar.m, quiver.m, quiver3.m, rectangle.m, ribbon.m,
	rose.m, scatter.m, scatter3.m, semilogx.m, semilogxerr.m, semilogy.m,
	semilogyerr.m, shrinkfaces.m, slice.m, smooth3.m, sombrero.m, stairs.m, stem.m,
	stem3.m, stemleaf.m, surf.m, surfc.m, surfl.m, surfnorm.m, tetramesh.m,
	trimesh.m, triplot.m, trisurf.m, waterfall.m, copyobj.m, hold.m, linkaxes.m,
	linkprop.m, printd.m, refreshdata.m, subplot.m, zoom.m, pcr.m, dump_demos.m:
	Use Octave syntax in graphics demos.

	Files: scripts/gui/inputdlg.m scripts/gui/listdlg.m scripts/gui/waitbar.m
	scripts/image/autumn.m scripts/image/bone.m scripts/image/cool.m
	scripts/image/copper.m scripts/image/cubehelix.m
	scripts/image/flag.m scripts/image/gray.m scripts/image/hot.m
	scripts/image/hsv.m scripts/image/jet.m scripts/image/lines.m
	scripts/image/ocean.m scripts/image/pink.m scripts/image/prism.m
	scripts/image/rainbow.m scripts/image/rgbplot.m
	scripts/image/spring.m scripts/image/summer.m
	scripts/image/viridis.m scripts/image/white.m scripts/image/winter.m
	scripts/plot/appearance/annotation.m scripts/plot/appearance/axis.m
	scripts/plot/appearance/clabel.m scripts/plot/appearance/daspect.m
	scripts/plot/appearance/datetick.m scripts/plot/appearance/grid.m
	scripts/plot/appearance/legend.m scripts/plot/appearance/lighting.m
	scripts/plot/appearance/material.m
	scripts/plot/appearance/pbaspect.m scripts/plot/appearance/shading.m
	scripts/plot/appearance/text.m scripts/plot/appearance/xlim.m
	scripts/plot/appearance/ylim.m scripts/plot/appearance/zlim.m
	scripts/plot/draw/area.m scripts/plot/draw/bar.m
	scripts/plot/draw/barh.m scripts/plot/draw/camlight.m
	scripts/plot/draw/colorbar.m scripts/plot/draw/comet.m
	scripts/plot/draw/comet3.m scripts/plot/draw/contour.m
	scripts/plot/draw/contour3.m scripts/plot/draw/contourf.m
	scripts/plot/draw/cylinder.m scripts/plot/draw/ellipsoid.m
	scripts/plot/draw/errorbar.m scripts/plot/draw/ezcontour.m
	scripts/plot/draw/ezcontourf.m scripts/plot/draw/ezmesh.m
	scripts/plot/draw/ezmeshc.m scripts/plot/draw/ezplot.m
	scripts/plot/draw/ezplot3.m scripts/plot/draw/ezsurf.m
	scripts/plot/draw/ezsurfc.m scripts/plot/draw/feather.m
	scripts/plot/draw/fill.m scripts/plot/draw/fplot.m
	scripts/plot/draw/isocaps.m scripts/plot/draw/isonormals.m
	scripts/plot/draw/isosurface.m scripts/plot/draw/light.m
	scripts/plot/draw/line.m scripts/plot/draw/loglog.m
	scripts/plot/draw/loglogerr.m scripts/plot/draw/mesh.m
	scripts/plot/draw/meshc.m scripts/plot/draw/meshz.m
	scripts/plot/draw/pareto.m scripts/plot/draw/patch.m
	scripts/plot/draw/pcolor.m scripts/plot/draw/pie.m
	scripts/plot/draw/pie3.m scripts/plot/draw/plot.m
	scripts/plot/draw/plot3.m scripts/plot/draw/plotmatrix.m
	scripts/plot/draw/plotyy.m scripts/plot/draw/polar.m
	scripts/plot/draw/quiver.m scripts/plot/draw/quiver3.m
	scripts/plot/draw/rectangle.m scripts/plot/draw/ribbon.m
	scripts/plot/draw/rose.m scripts/plot/draw/scatter.m
	scripts/plot/draw/scatter3.m scripts/plot/draw/semilogx.m
	scripts/plot/draw/semilogxerr.m scripts/plot/draw/semilogy.m
	scripts/plot/draw/semilogyerr.m scripts/plot/draw/shrinkfaces.m
	scripts/plot/draw/slice.m scripts/plot/draw/smooth3.m
	scripts/plot/draw/sombrero.m scripts/plot/draw/stairs.m
	scripts/plot/draw/stem.m scripts/plot/draw/stem3.m
	scripts/plot/draw/stemleaf.m scripts/plot/draw/surf.m
	scripts/plot/draw/surfc.m scripts/plot/draw/surfl.m
	scripts/plot/draw/surfnorm.m scripts/plot/draw/tetramesh.m
	scripts/plot/draw/trimesh.m scripts/plot/draw/triplot.m
	scripts/plot/draw/trisurf.m scripts/plot/draw/waterfall.m
	scripts/plot/util/copyobj.m scripts/plot/util/hold.m
	scripts/plot/util/linkaxes.m scripts/plot/util/linkprop.m
	scripts/plot/util/printd.m scripts/plot/util/refreshdata.m
	scripts/plot/util/subplot.m scripts/plot/util/zoom.m
	scripts/sparse/pcr.m scripts/testfun/private/dump_demos.m

	isosurface.m: Use camlight for default lighting for Matlab compatibility.

	* isosurface.m: Switch from light() to camlight().

	Files: scripts/plot/draw/isosurface.m

2016-08-15  John W. Eaton  <jwe@octave.org>

	doc fix

	* oct-parse.in.yy (feval): Fix doc strings.
	Style fix.

	Files: libinterp/parse-tree/oct-parse.in.yy

2016-08-15  Rik  <rik@octave.org>

	doc: grammarcheck documentation for 4.2 release.

	* container.txi, contrib.txi, diagperm.txi, errors.txi, external.txi,
	func.txi, image.txi, nonlin.txi, numbers.txi, plot.txi, quad.txi, sparse.txi,
	strings.txi, tips.txi, var.txi, vectorize.txi, __dispatch__.cc, cellfun.cc,
	file-io.cc, gsvd.cc, load-path.cc, regexp.cc, __init_gnuplot__.cc,
	__osmesa_print__.cc, qr.cc, xzip.cc, ov-classdef.cc, octave_config_info.m,
	grabcode.m, publish.m, dialog.m, condest.m, normest1.m, mkdir.m, ode23.m,
	ode45.m, odeplot.m, AbsRel_Norm.m, integrate_adaptive.m, integrate_const.m,
	integrate_n_steps.m, axis.m, isocaps.m, isocolors.m, isosurface.m, light.m,
	__calc_isovalue_from_data__.m, __marching_cube__.m, cov.m, median.m:
	doc: grammarcheck documentation for 4.2 release.

	Files: doc/interpreter/container.txi doc/interpreter/contrib.txi
	doc/interpreter/diagperm.txi doc/interpreter/errors.txi
	doc/interpreter/external.txi doc/interpreter/func.txi
	doc/interpreter/image.txi doc/interpreter/nonlin.txi
	doc/interpreter/numbers.txi doc/interpreter/plot.txi
	doc/interpreter/quad.txi doc/interpreter/sparse.txi
	doc/interpreter/strings.txi doc/interpreter/tips.txi
	doc/interpreter/var.txi doc/interpreter/vectorize.txi
	libinterp/corefcn/__dispatch__.cc libinterp/corefcn/cellfun.cc
	libinterp/corefcn/file-io.cc libinterp/corefcn/gsvd.cc
	libinterp/corefcn/load-path.cc libinterp/corefcn/regexp.cc
	libinterp/dldfcn/__init_gnuplot__.cc
	libinterp/dldfcn/__osmesa_print__.cc libinterp/dldfcn/qr.cc
	libinterp/dldfcn/xzip.cc libinterp/octave-value/ov-classdef.cc
	scripts/deprecated/octave_config_info.m scripts/general/grabcode.m
	scripts/general/publish.m scripts/gui/dialog.m scripts/linear-
	algebra/condest.m scripts/linear-algebra/normest1.m
	scripts/miscellaneous/mkdir.m scripts/ode/ode23.m
	scripts/ode/ode45.m scripts/ode/odeplot.m
	scripts/ode/private/AbsRel_Norm.m
	scripts/ode/private/integrate_adaptive.m
	scripts/ode/private/integrate_const.m
	scripts/ode/private/integrate_n_steps.m
	scripts/plot/appearance/axis.m scripts/plot/draw/isocaps.m
	scripts/plot/draw/isocolors.m scripts/plot/draw/isosurface.m
	scripts/plot/draw/light.m
	scripts/plot/draw/private/__calc_isovalue_from_data__.m
	scripts/plot/draw/private/__marching_cube__.m
	scripts/statistics/base/cov.m scripts/statistics/base/median.m

2016-08-15  Ernst Reissner  <rei3ner@arcor.de>

	doc: improve documentation on oct-parse.in.yy(feval) (patch #9082)

	Files: doc/interpreter/contributors.in libinterp/parse-tree/oct-parse.in.yy

2016-08-15  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	Resolve compile time issues, when octave_idx_type is long int.

	* libinterp/octave-value/ov-classdef.cc: static_cast of ambiguous constants.

	* libinterp/octave-value/ov-typeinfo.cc: static_cast of ambiguous constants.

	* liboctave/numeric/gsvd.cc: use F77_INT* rather than int*.

	* liboctave/numeric/svd.cc: static_cast of ambiguous constants.

	Files: libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	typeinfo.cc liboctave/numeric/gsvd.cc liboctave/numeric/svd.cc

2016-08-15  John W. Eaton  <jwe@octave.org>

	revamp double, single, int type conversions

	* ov-type-conv.h: Delete.
	* libinterp/octave-value/module.mk: Update.

	* op-double-conv.cc, op-float-conv.cc, op-int-conv.cc: Delete.
	* libinterp/operators/module.mk: Update.

	* ov.h, ov.cc, ov-base.h, ov-base.cc (octave_value::as_double,
	octave_value::as_single, octave_value:as_int8, octave_value:as_int16,
	octave_value:as_int32, octave_value:as_int64, octave_value:as_uint8,
	octave_value:as_uint16, octave_value:as_uint32,
	octave_value:as_uint64): New functions.

	* ov.cc (Fdouble, Fsingle, Fint8, Fint16, Fint32, Fint64, Fuint8,
	Fuint16, Fuint32, Fuint64): Move here.  Simply call as_double,
	as_single, etc. member functions.

	* ov-base-int.cc, ov-base-int.h, ov-base-scalar.cc, ov-bool-mat.cc,
	ov-bool-mat.h, ov-bool-sparse.cc, ov-bool-sparse.h, ov-bool.cc,
	ov-bool.h, ov-ch-mat.cc, ov-ch-mat.h, ov-complex.cc, ov-complex.h,
	ov-cx-diag.cc, ov-cx-diag.h, ov-cx-mat.cc, ov-cx-mat.h,
	ov-cx-sparse.cc, ov-cx-sparse.h, ov-float.cc, ov-float.h,
	ov-flt-complex.cc, ov-flt-complex.h, ov-flt-cx-diag.cc,
	ov-flt-cx-diag.h, ov-flt-cx-mat.cc, ov-flt-cx-mat.h,
	ov-flt-re-diag.cc, ov-flt-re-diag.h, ov-flt-re-mat.cc,
	ov-flt-re-mat.h, ov-int16.cc, ov-int32.cc, ov-int64.cc, ov-int8.cc,
	ov-perm.cc, ov-perm.h, ov-range.cc, ov-range.h, ov-re-diag.cc,
	ov-re-diag.h, ov-re-mat.cc, ov-re-mat.h, ov-re-sparse.cc,
	ov-re-sparse.h, ov-scalar.cc, ov-scalar.h, ov-uint16.cc, ov-uint32.cc,
	ov-uint64.cc, ov-uint8.cc:
	Define as_double, as_single, etc. member functions as appropriate.

	* ov-typeinfo.h, ov-typeinfo.cc
	(octave_value_typeinfo::type_conv_ops): Delete data member.  Remove
	all uses.
	(octave_value_typeinfo::register_type_conv_op): Delete.
	(octave_value_typeinfo::do_register_type_conv_op): Delete.
	(octave_value_typeinfo::do_lookup_type_conv_op): Delete.

	* ops.h (INSTALL_CONVOP, CONVDECLX, DEFCONVFNX, DEFCONVFNX2, DEFDBLCONVFN,
	DEFFLTCONVFN, DEFSTRINTCONVFN, DEFSTRDBLCONVFN, DEFSTRFLTCONVFN,
	DEFCONVFN, DEFCONVFN2): Delete obsolete macros.

	* op-bm-bm.cc, op-cdm-cdm.cc, op-cm-cm.cc, op-cs-cs.cc, op-dm-dm.cc,
	op-fcdm-fcdm.cc, op-fcm-fcm.cc, op-fcs-fcs.cc, op-fdm-fdm.cc,
	op-fm-fm.cc, op-fs-fs.cc, op-m-m.cc, op-pm-pm.cc, op-s-s.cc,
	op-sbm-sbm.cc: Delete unused type conversion functions.

	Files: libinterp/octave-value/module.mk libinterp/octave-value/ov-base-
	int.cc libinterp/octave-value/ov-base-int.h libinterp/octave-value
	/ov-base-scalar.cc libinterp/octave-value/ov-base.cc libinterp
	/octave-value/ov-base.h libinterp/octave-value/ov-bool-mat.cc
	libinterp/octave-value/ov-bool-mat.h libinterp/octave-value/ov-bool-
	sparse.cc libinterp/octave-value/ov-bool-sparse.h libinterp/octave-
	value/ov-bool.cc libinterp/octave-value/ov-bool.h libinterp/octave-
	value/ov-ch-mat.cc libinterp/octave-value/ov-ch-mat.h libinterp
	/octave-value/ov-complex.cc libinterp/octave-value/ov-complex.h
	libinterp/octave-value/ov-cx-diag.cc libinterp/octave-value/ov-cx-
	diag.h libinterp/octave-value/ov-cx-mat.cc libinterp/octave-value
	/ov-cx-mat.h libinterp/octave-value/ov-cx-sparse.cc libinterp
	/octave-value/ov-cx-sparse.h libinterp/octave-value/ov-float.cc
	libinterp/octave-value/ov-float.h libinterp/octave-value/ov-flt-
	complex.cc libinterp/octave-value/ov-flt-complex.h libinterp/octave-
	value/ov-flt-cx-diag.cc libinterp/octave-value/ov-flt-cx-diag.h
	libinterp/octave-value/ov-flt-cx-mat.cc libinterp/octave-value/ov-
	flt-cx-mat.h libinterp/octave-value/ov-flt-re-diag.cc libinterp
	/octave-value/ov-flt-re-diag.h libinterp/octave-value/ov-flt-re-
	mat.cc libinterp/octave-value/ov-flt-re-mat.h libinterp/octave-value
	/ov-int16.cc libinterp/octave-value/ov-int32.cc libinterp/octave-
	value/ov-int64.cc libinterp/octave-value/ov-int8.cc libinterp
	/octave-value/ov-perm.cc libinterp/octave-value/ov-perm.h libinterp
	/octave-value/ov-range.cc libinterp/octave-value/ov-range.h
	libinterp/octave-value/ov-re-diag.cc libinterp/octave-value/ov-re-
	diag.h libinterp/octave-value/ov-re-mat.cc libinterp/octave-value
	/ov-re-mat.h libinterp/octave-value/ov-re-sparse.cc libinterp
	/octave-value/ov-re-sparse.h libinterp/octave-value/ov-scalar.cc
	libinterp/octave-value/ov-scalar.h libinterp/octave-value/ov-type-
	conv.h libinterp/octave-value/ov-typeinfo.cc libinterp/octave-value
	/ov-typeinfo.h libinterp/octave-value/ov-uint16.cc libinterp/octave-
	value/ov-uint32.cc libinterp/octave-value/ov-uint64.cc libinterp
	/octave-value/ov-uint8.cc libinterp/octave-value/ov.cc libinterp
	/octave-value/ov.h libinterp/operators/module.mk libinterp/operators
	/op-bm-bm.cc libinterp/operators/op-cdm-cdm.cc libinterp/operators
	/op-cm-cm.cc libinterp/operators/op-cs-cs.cc libinterp/operators/op-
	dm-dm.cc libinterp/operators/op-double-conv.cc libinterp/operators
	/op-fcdm-fcdm.cc libinterp/operators/op-fcm-fcm.cc
	libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fdm-fdm.cc
	libinterp/operators/op-float-conv.cc libinterp/operators/op-fm-fm.cc
	libinterp/operators/op-fs-fs.cc libinterp/operators/op-int-conv.cc
	libinterp/operators/op-m-m.cc libinterp/operators/op-pm-pm.cc
	libinterp/operators/op-s-s.cc libinterp/operators/op-sbm-sbm.cc
	libinterp/operators/ops.h

2016-08-14  Rik  <rik@octave.org>

	maint: Remove trailing spaces from code.

	* graphics.cc, help.cc, ov-oncleanup.cc, material.m, __axis_label__.m,
	title.m, isocaps.m, reducepatch.m, reducevolume.m:
	Remove trailing spaces from code.

	Files: libinterp/corefcn/graphics.cc libinterp/corefcn/help.cc libinterp
	/octave-value/ov-oncleanup.cc scripts/plot/appearance/material.m
	scripts/plot/appearance/private/__axis_label__.m
	scripts/plot/appearance/title.m scripts/plot/draw/isocaps.m
	scripts/plot/draw/reducepatch.m scripts/plot/draw/reducevolume.m

	Change default axes color to (0.15, 0.15, 0.15).

	* graphics.in.h: Change xcolor, ycolor, zcolor default value to
	(0.15, 0.15, 0.15).

	* graphics.cc (axes::proerties::set_defaults): Change xcolor, ycolor, zcolor
	default value to (0.15, 0.15, 0.15).  Alphabetize most properties.  Add
	defaults for all properties (some were not initialized).

	Files: libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h

	NEWS: Announce implementation of TitleFontSizeMultiplier, TitleFontWeight,
	LabelFontSizeMultiplier properties.

	* NEWS: Announce implementation of TitleFontSizeMultiplier, TitleFontWeight,
	LabelFontSizeMultiplier properties.

	Files: NEWS

	Implement TitleFontSizeMultiplier, LabelFontSizeMultiplier, TitleFontWeight props.


	* title.m: Don't call __axis_label__.  Set properties of title text
	object directly from title.m.  Set FontSize equal to
	TitleFontSizeMultiplier * AxesFontSize.  Set FontWeight equal to
	TitleFontWeight.

	* xlabel.m, ylabel.m, zlabel.m: Expand BIST tests to check
	LabelFontSizeMultiplier.

	* __axis_label__.m: Set FontSize equal to
	TitleFontSizeMultiplier * AxesFontSize.  Add listener on [xyz]color
	property of axes to change label color when property is changed.

	Files: scripts/plot/appearance/private/__axis_label__.m
	scripts/plot/appearance/title.m scripts/plot/appearance/xlabel.m
	scripts/plot/appearance/ylabel.m scripts/plot/appearance/zlabel.m

2016-08-14  Carnë Draug  <carandraug@octave.org>

	validateattributes: do not set a unique error_id for each test (bug #48439)

	* validateattributes.m: Octave does not have a class system for exceptions so
	too many error ids actually decrease their value.  So throw with the more
	general and documented "invalid-input-arg" error id.  Still use a unique
	error id for an incorrect call to validateattributes in case it's ever
	necessary to distinguish between the two.  Reduce extreme code duplication
	in test unit with %!function.

	Files: scripts/general/validateattributes.m

2016-08-14  Rik  <rik@octave.org>

	build: Fix wrong private/ directory for __rotate_around_axis__.m (cset 57fded74ee22).

	* scripts/plot/draw/module.mk: Add private/ to directory for
	__rotate_around_axis__.m.

	Files: scripts/plot/draw/module.mk

	__unimplemented__.m: Add moving statistics functions to list (bug #48774).

	* __unimplemented__.m: Add moving statistics functions to list (bug #48774).

	Files: scripts/help/__unimplemented__.m

2016-07-11  Colin Macdonald  <cbm@m.fsf.org>

	Add camlight function (patch #9014).

	* scripts/plot/draw/camlight.m: New function.

	* scripts/plot/draw/private/__rotate_around_axis__.m: New function, split from
	rotate.m

	* NEWS: Announce new function.

	* __unimplemented__.m: Remove camlight from list.

	* scripts/plot/draw/module.mk: Update build system.

	* plot.txi: Add docstring to manual.

	Files: NEWS doc/interpreter/plot.txi scripts/help/__unimplemented__.m
	scripts/plot/draw/camlight.m scripts/plot/draw/module.mk
	scripts/plot/draw/private/__rotate_around_axis__.m

2016-08-14  Carnë Draug  <carandraug@octave.org>

	sylvester.cc: fix function name in help text.

	Files: libinterp/corefcn/sylvester.cc

2016-08-13  Mike Miller  <mtmiller@octave.org>

	build: improve QScintilla detection to work with distro naming schemes (bug #48773)

	* acinclude.m4 (OCTAVE_CHECK_QT_VERSION): Improve detection of the QScintilla
	library to work with multiple library naming schemes on different distros.
	Use correct capitalization of QScintilla in comments and output.

	Files: m4/acinclude.m4

	* parse.h (eval_string): Fix typo of "nargout" in parameter list.

	Files: libinterp/parse-tree/parse.h

2016-08-13  John W. Eaton  <jwe@octave.org>

	new tests for type conversions

	* test/build-conv-tests.sh: New file
	* test/module.mk: Update.

	Files: test/build-conv-tests.sh test/module.mk

	move single and double type conversion functions to ov.cc

	* ov.h, ov.cc (octave_value::as_double, octave_value::as_double): New
	functions.
	(Fdouble): Move here from ov-re-mat.cc.
	(Fsingle): Move here from ov-flt-re-mat.cc.

	* ov-type-conv.h (octave_type_conv): New template function, replaces
	OCTAVE_TYPE_CONV_BODY3 macro.  Change all uses.
	(OCTAVE_TYPE_CONV_BODY): Simplify.

	Files: libinterp/octave-value/ov-flt-re-mat.cc libinterp/octave-value/ov-
	re-mat.cc libinterp/octave-value/ov-type-conv.h libinterp/octave-
	value/ov.cc libinterp/octave-value/ov.h

	new type conversion functions

	* op-float-conv.cc: Convert range to float array.  Convert float
	scalar to float array.
	(install_float_conv_ops): Install float scalar to float matrix
	conversion function for correct types.
	* op-fs-fs.cc (float_to_matrix): Rename conversion function from
	float_to_scalar.
	(install_fs_fs_ops): Update for new name.
	* op-s-s.cc (double_to_float_matrix): New conversion function.
	(install_s_s_ops): Install new conversion function.

	Files: libinterp/operators/op-float-conv.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-s-s.cc

	new function __dump_typeinfo__

	* ov-typeinfo.h, ov-typeinfo.cc (F__dump_typeinfo__): New function.
	(octave_value_typeinfo::do_installed_type_names): Now const.
	(as_bool_nd_array, as_nd_array): New static functions.
	(octave_value_typeinfo::unary_ops_map,
	octave_value_typeinfo::non_const_unary_ops_map,
	octave_value_typeinfo::binary_ops_map,
	octave_value_typeinfo::compound_binary_ops_map,
	octave_value_typeinfo::assign_ops_map,
	octave_value_typeinfo::assignany_ops_map,
	octave_value_typeinfo::do_installed_type_info,
	octave_value_typeinfo::installed_type_info): New member functions.

	Files: libinterp/octave-value/ov-typeinfo.cc libinterp/octave-value/ov-
	typeinfo.h

2016-08-13  Carnë Draug  <carandraug@octave.org>

	New string utility functions to replace caseless_str for liboctave (bug #48726)

	* oct-string.h, oct-string.cc: new files that implement strcmp, strcmpi,
	strncmp, and strncmpi functions in the new octave::string namespace.  This
	functions behave like the ones available in the Octave interpreter.
	* libinterp/corefcn/strfns.cc: make use of the new functions in liboctave.
	* libgui/graphics/QtHandlesUtils.cc, libgui/graphics/QtHandlesUtils.h,
	libinterp/corefcn/cellfun.cc, libinterp/dldfcn/chol.cc: make use of the
	new functions instead of caseless_str.
	* liboctave/util/module.mk: add new files to build system.

	Files: libgui/graphics/QtHandlesUtils.cc libgui/graphics/QtHandlesUtils.h
	libinterp/corefcn/cellfun.cc libinterp/corefcn/strfns.cc
	libinterp/dldfcn/chol.cc liboctave/util/module.mk liboctave/util
	/oct-string.cc liboctave/util/oct-string.h

	Array: new typedef size_type and value_type, and new method size(dimension).

	* liboctave/array/Array.h: new typedefs value_type and size_type for better
	STL compatibility.  Add new method size(dimension) that behaves like Octave's
	size function.  Expand doxygen docs.

	Files: liboctave/array/Array.h

2016-08-10  Markus Mützel  <markus.muetzel@gmx.de>

	Add function "isocaps" (patch #8872)

	* scripts/plot/draw/isocaps.m: New function.

	* scripts/plot/draw/module.mk: Add isocaps.m to build system.

	* isosurface.m: Add "isocaps" to @seealso. Ignore empty strings in input.

	* NEWS: Announce new functions.

	* __unimplemented__.m: Remove "isocaps" from list.

	* doc/interpreter/plot.txi: Add to documentation.

	Files: NEWS doc/interpreter/plot.txi scripts/help/__unimplemented__.m
	scripts/plot/draw/isocaps.m scripts/plot/draw/isosurface.m
	scripts/plot/draw/module.mk

2016-08-11  Carnë Draug  <carandraug@octave.org>

	dim_vector: fix type deduction in constructor with parameter pack (patch #9030)

	* liboctave/array/dim-vector.h: recent rewrite of the multiple constructor
	changed rules of implicit conversion if arguments were not octave_idx_type
	(comment #3 on patch #9030).  This is because mixed types between the
	arguments and parameter pack prevented deduction for the implicit initializer
	list.  Fix it by making it explicit.

	Files: liboctave/array/dim-vector.h

2016-08-12  Carnë Draug  <carandraug@octave.org>

	doc: fix indexing note on doxygen docs for Array<T>.

	Files: liboctave/array/Array.h

2016-08-11  John W. Eaton  <jwe@octave.org>

	* MatrixType.cc: Instantiate template constructors we need.

	Files: liboctave/array/MatrixType.cc

	don't rely on std:: overloads of arg, conj, imag, and real for real args

	* lo-mappers.h (arg, conj, imag, real): Provide overloads for real
	arguments in octave::math namespace instead of importing them from
	std namespace.

	* __ichol__.cc, ls-mat4.cc, ls-mat5.cc, __eigs__.cc, ov-complex.cc,
	ov-complex.h, ov-cx-mat.cc, ov-cx-sparse.cc, ov-flt-complex.cc,
	ov-flt-complex.h, ov-flt-cx-mat.cc, CMatrix.cc, CNDArray.cc,
	CSparse.cc, MatrixType.cc, dMatrix.cc, dSparse.cc, fCMatrix.cc,
	fCNDArray.cc, fMatrix.cc, chol.cc, eigs-base.cc, lo-mappers.cc,
	lo-specfun.cc, sparse-qr.cc: Update for arg, conj, imag, and real
	functions in octave::math namespace.  Prefer member function versions
	of real and imag for simple variables.  Use std:: namespace versions
	directly for known complex values.  Use octave::math namespace
	versions otherwise

	Files: libinterp/corefcn/__ichol__.cc libinterp/corefcn/ls-mat4.cc
	libinterp/corefcn/ls-mat5.cc libinterp/dldfcn/__eigs__.cc libinterp
	/octave-value/ov-complex.cc libinterp/octave-value/ov-complex.h
	libinterp/octave-value/ov-cx-mat.cc libinterp/octave-value/ov-cx-
	sparse.cc libinterp/octave-value/ov-flt-complex.cc libinterp/octave-
	value/ov-flt-complex.h libinterp/octave-value/ov-flt-cx-mat.cc
	liboctave/array/CMatrix.cc liboctave/array/CNDArray.cc
	liboctave/array/CSparse.cc liboctave/array/MatrixType.cc
	liboctave/array/dMatrix.cc liboctave/array/dSparse.cc
	liboctave/array/fCMatrix.cc liboctave/array/fCNDArray.cc
	liboctave/array/fMatrix.cc liboctave/numeric/chol.cc
	liboctave/numeric/eigs-base.cc liboctave/numeric/lo-mappers.cc
	liboctave/numeric/lo-mappers.h liboctave/numeric/lo-specfun.cc
	liboctave/numeric/sparse-qr.cc

2016-08-12  Carnë Draug  <carandraug@octave.org>

	doc: doxygen explaining Array<T>.

	Files: liboctave/array/Array.h

2016-08-11  Rik  <rik@octave.org>

	doc: Don't escape " within @qcode macro (bug #48722).

	* qr.cc (Fqr), luinc.m: Don't escape " within @qcode macro.

	Files: libinterp/dldfcn/qr.cc scripts/deprecated/luinc.m

2016-08-11  Mike Miller  <mtmiller@octave.org>

	Add %!error test pattern matches for disabled optional features

	* fftw.cc: Add regex to failing %!error tests when FFTW is not enabled.
	* xzip.cc: Add regex to failing %!error tests when bzip2 is not enabled.

	Files: libinterp/dldfcn/fftw.cc libinterp/dldfcn/xzip.cc

	Conditionally disable tests that rely on optional features

	* chol.cc: Use %!testif HAVE_CHOLMOD for tests that rely on CHOLMOD.
	* unpack.m: Use %!testif HAVE_ZLIB for test that relies on zlib.

	Files: libinterp/dldfcn/chol.cc scripts/miscellaneous/unpack.m

	* xzip.cc (Fbzip2): Fix typo of "octave_unused_parameter".

	Files: libinterp/dldfcn/xzip.cc

2016-08-11  Rik  <rik@octave.org>

	Fix badly drawn 'o' and '.' markers at small and large sizes (OpenGL).

	* gl-render.cc (make_marker_list): For the '.' marker, ensure that something
	is drawn at markersizes below 3 by using a minimum size of 3.  For the '.' and
	'o' markers, calculate the number of angular divisions based on the size of the
	marker so smooth circles are drawn for every size.  Clean up code by removing
	unneccessary parentheses around tertiary operator expression.

	Files: libinterp/corefcn/gl-render.cc

2016-08-11  Carnë Draug  <carandraug@octave.org>

	comment-list.h: properly include "base-list.h".

	Files: libinterp/corefcn/comment-list.h

2016-08-11  John W. Eaton  <jwe@octave.org>

	* chol.cc (chol<T>::insert_sym): Use std::imag and std::conj.

	Files: liboctave/numeric/chol.cc

	eliminate unused parameter warnings

	* audioread.cc (Faudioformats): Mark args unused if ! HAVE_SNDFILE.
	* xzip.cc (Fgzip): Mark args unused if ! HAVE_Z.
	(Fbzip2): Mark args unused if ! HAVE_BZ2.

	Files: libinterp/dldfcn/audioread.cc libinterp/dldfcn/xzip.cc

	fix build failure for --without-z (bug #48757)

	* liboctave/wrappers/async-system-wrapper.h,
	liboctave/wrappers/async-system-wrapper.c: New files for function
	extracted from Fsystem.
	* liboctave/wrappers/module.mk: Update.

	* toplev.cc: Include async-system-wrapper.h.
	(Fsystem): Use new octave_async_system_wrapper for async case.

	* oct-procbuf.cc: Include unistd.h, reluctantly.  Use HAVE_UNISTD_H
	instead of HAVE_SYS_WAIT_H for conditional code.

	Files: libinterp/corefcn/oct-procbuf.cc libinterp/corefcn/toplev.cc
	liboctave/wrappers/async-system-wrapper.c liboctave/wrappers/async-
	system-wrapper.h liboctave/wrappers/module.mk

	use Q_GLOBAL_STATIC with Qt 5.1 or later (bug #48753)

	* KeyboardTranslator.h: Use Q_GLOBAL_STATIC for Qt 5.1 or later.

	Files: libgui/qterminal/libqterminal/unix/KeyboardTranslator.h

2016-08-11  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos.m: Backout a8a9c275e12d and fix filesep on non-unix

	Files: scripts/testfun/private/dump_demos.m

2016-08-10  Mike Miller  <mtmiller@octave.org>

	Use new macros for passing complex arguments to Fortran FFTPACK subroutines

	* CMatrix.cc, CNDArray.cc, dMatrix.cc, dNDArray.cc, fCMatrix.cc, fCNDArray.cc,
	fMatrix.cc, fNDArray.cc: Use new F77_CMPLX_ARG and F77_DBLE_CMPLX_ARG macros
	for passing complex array arguments to FFTPACK subroutines.

	Files: liboctave/array/CMatrix.cc liboctave/array/CNDArray.cc
	liboctave/array/dMatrix.cc liboctave/array/dNDArray.cc
	liboctave/array/fCMatrix.cc liboctave/array/fCNDArray.cc
	liboctave/array/fMatrix.cc liboctave/array/fNDArray.cc

2016-08-10  Rik  <rik@octave.org>

	material.m: Stop creation of blank figures until after input validation.

	* material.m: Don't call gca until after all input validation has occurred.

	Files: scripts/plot/appearance/material.m

2016-08-10  Mike Miller  <mtmiller@octave.org>

	Avoid displaying figures, ensure all figures are closed in BIST tests

	* __osmesa_print__.cc: Wrap BIST tests in unwind_protect blocks, ensure figures
	are closed and temporary files are deleted in cleanup section.
	* material.m: Make figures created by %!error tests invisible, ensure figures
	are closed.

	Files: libinterp/dldfcn/__osmesa_print__.cc
	scripts/plot/appearance/material.m

2016-08-09  Markus Mützel  <markus.muetzel@gmx.de>

	Fix compile error and warning with '--without-opengl' (bug #48724)

	* gl-render.cc (get_maxlights): Define conditionally on HAVE_OPENGL.
	(opengl_renderer::draw_all_lights): Add conditional on HAVE_OPENGL.

	Files: libinterp/corefcn/gl-render.cc

2016-08-10  Mike Miller  <mtmiller@octave.org>

	build: fix configure --without-qt or --with-qt

	* configure.ac (AC_ARG_WITH([qt])): Rewrite to handle --with-qt case.
	Display two help strings for --with-qt=N and --without-qt options.
	(QT_VERSIONS): Set to empty on --without-qt.  (check_qt): Delete.
	(OCTAVE_CHECK_QT) Call unconditionally to ensure AM_CONDITIONALs are set.

	* acinclude.m4 (OCTAVE_CHECK_QT): Ensure build_qt_gui, build_qt_graphics,
	use_qscintilla, and win32_terminal are defined even if no Qt versions are
	checked.

	Files: configure.ac m4/acinclude.m4

2016-08-10  John W. Eaton  <jwe@octave.org>

	maint: pass objects by const reference

	* shortcut-manager.h, shortcut-manager.cc (sortcut_manager::init):
	Pass QString and QKeySequence arguments by const reference.

	Files: libgui/src/shortcut-manager.cc libgui/src/shortcut-manager.h

	improve checks for Qt when Qt 5 is not installed

	* acinclude.m4 (OCTAVE_CHECK_QT): Always perform checks.
	(OCTAVE_CHECK_QT_VERSION): Use build_qt_gui variable instead of
	check_qt to decide whether to continue checking for more features.
	Initialize it at beggining of macro to yes.  Don't define HAVE_QT
	unless everything checks out.  Invalidate cache variable
	octave_cv_func_qabstractitemmodel_beginresetmodel if corresponding
	function is not found.

	Files: m4/acinclude.m4

2016-08-10  Rik  <rik@octave.org>

	Silence unused parameter warning when compiling with Qt5.

	* main-window.cc (create_default_editor): Use octave_unused_parameter()
	in #else branch when HAVE_QSCINTILLA is false.

	Files: libgui/src/main-window.cc

2015-10-06  Olaf Till  <olaf.till@uni-jena.de>

	More informative messages for errors in anonymous functions (bug #46136).

	* ov-usr-fcn.cc (octave_user_function::do_multi_index_op ()): If tree evaluator
	is bypassed for (is_special_expr ()), set location here.

	* call-stack.cc (octave_call_stack::stack_frame::fcn_name ()): Append
	octave_fcn_handle::anonymous to function name for anonymous functions.

	Files: libinterp/corefcn/call-stack.cc libinterp/octave-value/ov-usr-fcn.cc

2016-08-10  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	deblank.m: Matlab compatible behavior for empty input (bug #48725)

	Files: scripts/strings/deblank.m

2016-08-10  John W. Eaton  <jwe@octave.org>

	Check for Qt 5, then Qt 4.

	* configure.ac (QT_VERSIONS): Set default to "5 4".

	Files: configure.ac

	allow building with Qt5 (bug #40252)

	* acinclude.m4 (OCTAVE_CHECK_QT_VERSION): Define HAVE_QT4 or HAVE_QT5.
	Also check for Qt5PrintSupport when using Qt5.

	* Canvas.cc, Object.cc, QTerminal.cc, TerminalView.cpp,
	Vt102Emulation.cpp, konsole_wcwidth.h, find-files-dialog.cc,
	file-editor-tab.cc, file-editor.cc, find-dialog.cc, octave-gui.cc,
	resource-manager.cc, shortcut-manager.cc, workspace-model.cc,
	workspace-view.cc: Adapt to Qt5 API changes.

	Files: libgui/graphics/Canvas.cc libgui/graphics/Object.cc
	libgui/qterminal/libqterminal/QTerminal.cc
	libgui/qterminal/libqterminal/unix/TerminalView.cpp
	libgui/qterminal/libqterminal/unix/Vt102Emulation.cpp
	libgui/qterminal/libqterminal/unix/konsole_wcwidth.h libgui/src
	/find-files-dialog.cc libgui/src/m-editor/file-editor-tab.cc
	libgui/src/m-editor/file-editor.cc libgui/src/m-editor/find-
	dialog.cc libgui/src/octave-gui.cc libgui/src/resource-manager.cc
	libgui/src/shortcut-manager.cc libgui/src/workspace-model.cc
	libgui/src/workspace-view.cc m4/acinclude.m4

2016-08-10  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	maint: properly include <vector> in svd classes.

	* liboctave/numeric/gsvd.cc: insert missing include.

	* liboctave/numeric/svd.h: use <> rather than "".

	* liboctave/numeric/svd.cc: remove include, done in the header already.

	Files: liboctave/numeric/gsvd.cc liboctave/numeric/svd.cc
	liboctave/numeric/svd.h

2016-08-10  Carnë Draug  <carandraug@octave.org>

	svd: use std::vector instead of Matrix when a std::vector is enough.

	* liboctave/numeric/svd.cc, liboctave/numeric/svd.h: Matrix<T> was
	being used only to create an array for work by the fortran subroutines.
	Use std::vector which is lighter but still provides RIIA idiom.

	Files: liboctave/numeric/svd.cc liboctave/numeric/svd.h

2016-07-18  Markus Muetzel  <markus.muetzel@gmx.de>

	Add function material. (patch #9013)

	* scripts/plot/appearance/material.m: New function.

	* scripts/plot/appearance/module.mk: Update build system.

	* NEWS: Announce new function.

	* __unimplemented__.m: Remove "material" from list.

	* doc/interpreter/plot.txi: Add doc string.

	* light.m: Add "material" to "see also".

	Files: NEWS doc/interpreter/plot.txi scripts/help/__unimplemented__.m
	scripts/plot/appearance/material.m scripts/plot/appearance/module.mk
	scripts/plot/draw/light.m

2016-08-10  Carnë Draug  <carandraug@octave.org>

	MatrixType: remove duplicate code for SparseMatrix and ComplexSparseMatrix.

	* liboctave/array/MatrixType.cc: constructor for SparseMatrix and
	ComplexSparseMatrix is exactly the same.  With C++11, we have conj,
	norm, real, and imag functions overloaded for double and float that
	behave as we would want them to.

	Files: liboctave/array/MatrixType.cc liboctave/array/MatrixType.h

2016-08-09  Rik  <rik@octave.org>

	doc: Clarify that reducepatch only works on patches, not surfaces.

	* reducepatch.m: Remove language that says function works on surfaces.

	Files: scripts/plot/draw/reducepatch.m

	__unimplemented__.m: Don't print backtrace when issuing warning.

	* __unimplemented__.m: Add "\n" to call to warning to stop backtrace.

	Files: scripts/help/__unimplemented__.m

2016-07-18  Markus Muetzel  <markus.muetzel@gmx.de>

	Add function "reducepatch" (patch #8912)

	* scripts/plot/draw/reducepatch.m: New function.

	* scripts/plot/draw/module.mk: Add reducepath.m to build system.

	* NEWS: Announce new function.

	* isosurface.m: Add "reducepatch" to @seealso.

	* __unimplemented__.m: Remove "reducepatch" from list.

	* plot.txi: Add to documentation.

	Files: NEWS doc/interpreter/plot.txi scripts/help/__unimplemented__.m
	scripts/plot/draw/isosurface.m scripts/plot/draw/module.mk
	scripts/plot/draw/reducepatch.m

2016-08-09  Barbara Locsi  <locsi.barbara@gmail.com>

	chol2inv: "inv (Y'*Y)" instead of "(inv(Y))' * inv(Y)" (bug #36437)

	* liboctave/numeric/sparse-chol.cc (chol2inv): compute "inv (Y'*Y)"
	instead of "(inv(Y))' * inv(Y)".

	Files: liboctave/numeric/sparse-chol.cc

2016-08-06  Barbara Locsi  <locsi.barbara@gmail.com>

	chol2inv: fix support for sparse matrices by fixing MatrixType (bug #36437)

	* liboctave/array/MatrixType.cc: a Banded matrix can also be Upper or Lower.
	In such case, set type to Lower/Upper and not to Banded.  The check for
	Banded matrix does not exist when input is non-sparse, which is why this
	only affected sparse matrices.
	* libinterp/dldfcn/chol.cc: add tests for sparse matrices.

	Files: libinterp/dldfcn/chol.cc liboctave/array/MatrixType.cc

2016-08-09  Markus Mützel  <markus.muetzel@gmx.de>

	isosurface.m: Rework %!demos (bug #48626).

	* isosurface.m: Add demo with one sphere for check of color range
	computation in graphics toolkits.  Change to Matlab syntax in demo 3 and
	rotate view.

	Files: scripts/plot/draw/isosurface.m

2016-07-30  Daniel J Sebald  <daniel.sebald@ieee.org>

	For gnuplot toolkit patch case, broadcast single color values (bug #48626).

	* __gnuplot_draw_axes__.m: For the case of a "patch" object, if the color
	  value is only one-dimensional, broadcast its value to the same dimension
	  as the z-coordinate vector rather than use the z values.

	Files: scripts/plot/util/private/__gnuplot_draw_axes__.m

2016-08-09  Carnë Draug  <carandraug@octave.org>

	libinterp/corefcn/gsvd.cc: clean up #include's removing what's not needed.

	Files: libinterp/corefcn/gsvd.cc

	gsvd: replace deprecated gripe_wrong_type_arg with err_wrong_type_arg.

	Files: libinterp/corefcn/gsvd.cc

2016-08-09  Barbara Locsi  <locsi.barbara@gmail.com>

	gsvd: reduce code duplication with templates.

	* CmplxGSVD.cc, CmplxGSVD.h, dbleGSVD.cc, dbleGSVD.h: Remove files for
	no longer existing classes.  Replaced by gsvd template class.  This
	classes never existed in an Octave release, this was freshly imported
	from Octave Forge so backwards compatibility is not an issue.
	* liboctave/numeric/gsvd.h, liboctave/numeric/gsvd.cc: New files for gsvd
	class template generated from CmplxGSVD.cc, CmplxGSVD.h, dbleGSVD.cc, and
	dbleGSVD.h and converted to template.  Removed unused << operator, unused
	constructor with &info, and commented code.  Only instantiated for Matrix
	and ComplexMatrix, providing interface to DGGSVD and ZGGSVD.
	* liboctave/numeric/module.mk: Update.
	* mx-defs.h, mx-ext.h: Use new classes.

	Files: libinterp/corefcn/gsvd.cc liboctave/numeric/CmplxGSVD.cc
	liboctave/numeric/CmplxGSVD.h liboctave/numeric/dbleGSVD.cc
	liboctave/numeric/dbleGSVD.h liboctave/numeric/gsvd.cc
	liboctave/numeric/gsvd.h liboctave/numeric/module.mk
	liboctave/operators/mx-defs.h liboctave/operators/mx-ext.h

2016-08-04  Barbara Locsi  <locsi.barbara@gmail.com>

	gsvd: new function imported from Octave-Forge linear-algebra package.

	* libinterp/corefcn/gsvd.cc: New function to the interpreter. Imported
	from the linear-algebra package.
	* CmplxGSVD.cc, CmplxGSVD.h, dbleGSVD.cc, dbleGSVD.h: new classes
	imported from the linear-algebra package to compute gsvd of Matrix
	and ComplexMatrix.
	* liboctave/operators/mx-defs.h, liboctave/operators/mx-ext.h: use new
	classes.
	* libinterp/corefcn/module.mk, liboctave/numeric/module.mk: Add to the
	* scripts/help/__unimplemented__.m: Remove "gsvd" from list.
	* doc/interpreter/linalg.txi: Add to manual.
	build system.
	* NEWS: Add function to list of new functions for 4.2.

	Files: NEWS doc/interpreter/linalg.txi libinterp/corefcn/gsvd.cc
	libinterp/corefcn/module.mk liboctave/numeric/CmplxGSVD.cc
	liboctave/numeric/CmplxGSVD.h liboctave/numeric/dbleGSVD.cc
	liboctave/numeric/dbleGSVD.h liboctave/numeric/module.mk
	liboctave/operators/mx-defs.h liboctave/operators/mx-ext.h
	scripts/help/__unimplemented__.m

2016-08-09  John W. Eaton  <jwe@octave.org>

	allow configure to select Qt version

	* Makefile.am (AM_FFLAGS): Include FPICFLAG in definition.
	(AM_CFLAGS): Include CPICFLAG in definition.
	(AM_CXXFLAGS): Include CXXPICFLAG in definition.

	* libgui/module.mk: Use MOCFLAGS, UICFLAGS, RCCFLAGS, and
	LRELEASEFLAGS in MOC, UIC, RCC, and LRELEASE commands.

	* acinclude.m4: Add CXXPICFLAG to CXXFLAGS in Qt tests.
	(OCTAVE_CHECK_QSCINTILLA_VERSION): Rename from
	OCTAVE_CHECK_VERSION_2_6_0.
	(OCTAVE_CHECK_QT_VERSION, OCTAVE_CHECK_QT): New macros extracted from
	configure.ac.

	* configure.ac: Move checks for shared vs. static libraries earlier in
	file.  Allow checking for multiple versions of Qt libraries.  Report
	MOC, UIC, RCC, and LRELEASE in summary.

	Files: Makefile.am configure.ac libgui/module.mk m4/acinclude.m4

2016-08-08  John W. Eaton  <jwe@octave.org>

	don't use -Wshadow for GCC 4

	* configure.ac: Omit -Wshadow from list of extra warning flags when
	using GCC 4.

	Files: configure.ac

2016-08-09  Rik  <rik@octave.org>

	Overhaul isosurface.m and associated functions.

	* isosurface.m: Rewrite docstring and examples.  Don't validate nargout.
	Wrap long lines to < 80 characters.  Use names from docstring in code.
	Use "EdgeColor", "none" for Matlab compatibility, but preserve exception
	for gnuplot.  Use blank lines between case statements for readability.
	Update demo #2 to properly show annotation textbox.  Rewrite %!error
	tests.

	* __calc_isovalue_from_data__.m: Give private function a docstring.
	Use '_' in numbers as thousands separator for readability.  Wrap
	long lines to < 80 characters.

	* __unite_shared_vertices__.m: Reformat docstring.  Use rows() rather
	than size (XXX, 1).  Wrap long lines to < 80 characters.  Use space
	after function name and before parenthesis.

	Files: scripts/plot/draw/isosurface.m
	scripts/plot/draw/private/__calc_isovalue_from_data__.m
	scripts/plot/draw/private/__unite_shared_vertices__.m

2016-07-18  Markus Muetzel  <markus.muetzel@gmx.de>

	Add function "reducevolume" (patch #8856).

	* scripts/plot/draw/reducevolume.m: New function.

	* scripts/plot/draw/module.mk: Add to build system.

	* __unimplemented__.m: Remove "reducevolume" from list.

	* NEWS: Announce new function.

	* doc/interpreter/plot.txi: Add to documentation.

	* scripts/plot/draw/isosurface.m: Add "reducevolume" to @seealso.

	Files: NEWS doc/interpreter/plot.txi scripts/help/__unimplemented__.m
	scripts/plot/draw/isosurface.m scripts/plot/draw/module.mk
	scripts/plot/draw/reducevolume.m

2016-08-09  Carnë Draug  <carandraug@octave.org>

	liboctave/numeric/svd.h: remove unused #include <iosfwd>.

	Files: liboctave/numeric/svd.h

	chol: return permutation vector as row vector instead of column vector.

	* libinterp/dldfcn/chol.cc: add tests for the vector option.  Also error
	if there's a "vector" option but input was not sparse.  Existing test
	for case sensitivity was also useless, since change is on the 3rd argument.
	* liboctave/numeric/sparse-chol.cc, liboctave/numeric/sparse-chol.h: use
	RowVector instead of ColumnVector for permutation vector, for Matlab
	compatibility.

	Files: libinterp/dldfcn/chol.cc liboctave/numeric/sparse-chol.cc
	liboctave/numeric/sparse-chol.h

	svd: do not shadow member variables with local variables.

	* liboctave/numeric/svd.cc, liboctave/numeric/svd.h: there was no issue
	with current code because member variables never change after construction.
	Still, it's not good practice and the compilers will warn about it.

	Files: liboctave/numeric/svd.cc liboctave/numeric/svd.h

2016-06-12  Lachlan Andrew  <lachlanbis@gmail.com>

	Document that "help OPERATOR" needs quotes around OPERATOR (bug #39349).

	* help.m (help, do_list_operators): State that quotes are required.

	* comma.m, paren.m, semicolon.m: Move do deprecated/ directory
	from help directory.

	* scripts/deprecated/module.mk: Add comma.m, paren.m, semicolon.m
	to deprecated directory.

	* scripts/help/module.mk: Remove comma.m, paren.m, semicolon.m
	from help directory.

	Files: scripts/deprecated/comma.m scripts/deprecated/module.mk
	scripts/deprecated/paren.m scripts/deprecated/semicolon.m
	scripts/help/comma.m scripts/help/help.m scripts/help/module.mk
	scripts/help/paren.m scripts/help/semicolon.m

2016-06-30  Lachlan Andrew  <lachlanbis@gmail.com>

	Calculate cov as Matlab does, not as its conjugate (bug #48315).

	* NEWS: Announce change.

	* cov.m: Remove "conj" from calculation of output.  Update compatibility note
	to explain what Matlab actually does.

	Files: NEWS scripts/statistics/base/cov.m

2016-08-08  Rik  <rik@octave.org>

	glpk.m: Style fixes for cset 20e0c0b8820c.

	* glpk.m: Use space between function name and opening parenthesis.

	Files: scripts/optimization/glpk.m

2016-02-27  Lachlan Andrew  <lachlanbis@gmail.com>

	Allow sequential quadratic programs with infeasible QPs (bug #36015).

	* qp.m: Use conformant sizes of temporary C and lower bound in call to glpk.

	* glpk.m: State size of A if its size doesn't match C and lb.

	* sqp.m: If the QP was infeasible, restore lambda to the correct size.

	Files: scripts/optimization/glpk.m scripts/optimization/qp.m
	scripts/optimization/sqp.m

2016-02-11  Lachlan Andrew  <lachlanbis@gmail.com>

	Prevent Octave:language-extension from becoming an error (bug #44336).

	* error.cc (Fwarning): Explicitly set Octave:language-extension=off
	  when setting warning ("error", "all").

	Files: libinterp/corefcn/error.cc

2016-08-08  Carnë Draug  <carandraug@octave.org>

	dim-vector.h: remove duplicated code.

	Files: liboctave/array/dim-vector.h

2016-08-08  Rik  <rik@octave.org>

	__opengl_info__.m: Tide code and fix to work with fltk toolkit.

	* __opengl_info__.m: Remove type specifier "Function File" from @deftypefn
	macro.  Use '##' as prefix for full-line comments.  Eliminate extra checks
	for "isempty (info)" in for loop.  Loop directly over available graphics
	handles rather than over index to graphics handle list.  Draw an axes object
	on blank figure in order to force FLTK toolkit to populate OpenGL fields.
	Use drawnow() rather than a 1 second waitfor() delay in order to force
	graphics system to populate OpenGL fields.

	Files: scripts/plot/util/__opengl_info__.m

2016-08-08  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos: remove duplicate default args

	The default args for directories, print format and so on
	are already set in compare_plot_demos.m which should be used to
	call dump_demos.m

	Files: scripts/testfun/private/dump_demos.m

	compare_plot_demos.m: Fix default path on Windows (Bug #48717)

	Files: scripts/testfun/private/compare_plot_demos.m

2016-08-07  Rik  <rik@octave.org>

	axis.m: Clean up formatting in %!error tests.

	* axis.m: Clean up formatting in %!error tests.

	Files: scripts/plot/appearance/axis.m

2016-08-07  Carnë Draug  <carandraug@octave.org>

	chol: make option passed as string case insensitive.

	* libinterp/dldfcn/chol.cc: make comparison of strings for options case
	insensitive.  Add tests.  Add missing include for <string> which is used
	elsewhere in the file.

	Files: libinterp/dldfcn/chol.cc

	maint: merge away accidental head.

	Files: 

	repmat.m: add test for input with zero length dimensions.

	Files: scripts/general/repmat.m

2016-08-06  Lachlan Andrew  <lachlanbis@gmail.com>

	mahalanobis: alternative for performance improvement (bug #45877)

	Files: scripts/deprecated/mahalanobis.m

2016-08-06  Carnë Draug  <carandraug@octave.org>

	dim-vector: add missing, and remove unecessary, #includes.

	Files: liboctave/array/dim-vector.cc liboctave/array/dim-vector.h

	dim-vector.h (ndims): do not return a reference to the rep.

	* dim-vector.h (ndims): this methods was only made public recently
	with dcee67d28570 and is not used anywhere else.  It would expose
	the rep for no gain, so always return the int by copy.
	* dim-vector.cc: access the ndims on rep directly.

	Files: liboctave/array/dim-vector.cc liboctave/array/dim-vector.h

2015-02-26  Sahil Badyal  <sbadyals@gmail.com>

	use contribute/donate consistently in GUI (bug #44335)

	* main-window.h, main-window.cc (main_window::open_contribute_page):
	Link to contribute.html instead of donate.html
	(main_window::open_donate_page): New function.

	Files: libgui/src/main-window.cc libgui/src/main-window.h

2016-08-05  Carnë Draug  <carandraug@octave.org>

	prepad, postpad: do nothing wen input is already of the right size.

	Files: scripts/general/postpad.m scripts/general/prepad.m

	qr.cc: make use of Texinfo macro @dots instead of ... (bug #46912)

	Files: libinterp/dldfcn/qr.cc

2014-02-21  Michael C. Grant  <mcg@cvxr.com>

	improvements to Qt & OpenGL linking on the Mac (bug #41574)

	* configure.ac: Remove -Wl, prefixes from "-framework Carbon".
	* acinclude.m4: Remove -Wl, prefixes from "-framework OpenGL".

	Files: configure.ac m4/acinclude.m4

2016-07-07  Lachlan Andrew  <lachlanbis@gmail.com>

	Reconcile qr docs with behaviour.  Fix qr(A,B,complex(0)). (bug #46912)

	* qr.cc (Fqr): Update docstring.
	  Change have_b to boolean, so B is always taken from the second position;
	  previously qr(A,B,complex(0)) would take B=complex(0).
	  Accept options 'vector' and 'matrix'.
	  Make diagnostics more informative.

	* qr.cc (Fqrinsert): Change x in docstring block matrices to X and U.

	Files: libinterp/dldfcn/qr.cc

2016-02-18  mfasi  <mogrob.sanit@gmail.com>

	Return C = Q'*B not Q when qr has two arguments (bug #41567, bug #46912)

	* qr.cc (Fqr): For full case, explicitly calculate Q.  Add 8 tests.

	Files: libinterp/dldfcn/qr.cc

2016-07-17  John Donoghue  <john.donoghue@ieee.org>

	provide single function to get OpenGL renderer info

	* scripts/plot/util/__opengl_info__.m: New file.

	* scripts/plot/util/module.mk: Update.

	Files: scripts/plot/util/__opengl_info__.m scripts/plot/util/module.mk

2016-08-04  Carnë Draug  <carandraug@octave.org>

	svd: reduce code duplication with more use of template and macro.

	* liboctave/numeric/svd.cc, liboctave/numeric/svd.h: remove unused
	constructor with reference for int (info).  This allows to move all
	of the constructor into a single template, so remove init().  Two
	new methods, gesvd and gesdd, are fully specialized but the main
	hunck of code are the long list of arguments.  Scope type and drive
	enums to the svd class for clarity, and rename member names.  Add
	a new member for the drive used.
	* libinterp/corefcn/svd.cc: fix typenames for the svd enums which
	are now scoped.
	* CMatrix.cc, dMatrix.cc, fCMatrix.cc, fMatrix.cc: fix typenames
	for the svd enums which are now scoped.

	Files: libinterp/corefcn/svd.cc liboctave/array/CMatrix.cc
	liboctave/array/dMatrix.cc liboctave/array/fCMatrix.cc
	liboctave/array/fMatrix.cc liboctave/numeric/oct-norm.cc
	liboctave/numeric/svd.cc liboctave/numeric/svd.h

2016-08-03  Mike Miller  <mtmiller@octave.org>

	Add tests for Java numeric type conversion (bug #48013)

	* ov-java.cc: Add %!tests for conversion of specific Java types to Octave
	numeric types.

	Files: libinterp/octave-value/ov-java.cc

2016-08-03  Ernst Reissner  <rei3ner@arcor.de>

	Only convert specific Java numeric objects to double for Matlab compatibility (bug #48013)

	* ov-java.cc (is_auto_convertible_number): New function to test for numeric
	object type.  (box): Use it to determine whether to return object's doubleValue.
	Add doxygen documentation.

	Files: libinterp/octave-value/ov-java.cc

2016-08-03  Mike Miller  <mtmiller@octave.org>

	Doxyfile.in: enable Java conditional code segments for doxygen

	* Doxyfile.in (PREDEFINED): Add HAVE_JAVA to the list.

	Files: doc/doxyhtml/Doxyfile.in

2016-08-03  Carnë Draug  <carandraug@octave.org>

	FCell: avoid repeating default value for a newly created Cell.

	* libinterp/octave-value/ov-cell.cc (FCell): default element values for
	a new Cell already is an 'octave_value (Matrix ())' so don't repeat that.

	Files: libinterp/octave-value/ov-cell.cc

2016-08-02  John W. Eaton  <jwe@octave.org>

	get help text for operators and keywords from docstrings file

	* help.cc (map_type, pair_type, map_iter): Delete typedefs.
	(size, names, raw_help_from_map): Delete functions.
	(operators, keywords): Now simple list of strings.  Store only name,
	not help text.
	(operators_map, keywords_map): Delete.
	(operator_names): New variable.
	(keyword_names): Simplify definition.
	(raw_help): Don't call raw_help_from_map to search for help text for
	operators or keywords.
	(F__operators__, F__keywords__): Simplify using operator_names and
	keyword_names.

	Files: libinterp/corefcn/help.cc

	search docstrings file for built-in and dld function help text (bug #48554)

	Load help text as needed from the built-in docstrings file for
	built-in and dynamically loaded .oct file functions.

	* help.h, help.cc (install_built_in_docstrings): Delete.
	(raw_help_from_docstrings_file): New static function.
	(raw_help): Call raw_help_from_docstrings_file if help text is not
	found or if it is marked as external.

	* mk-builtins.sh: Don't emit call to install_built_in_docstrings.

	Files: build-aux/mk-builtins.sh libinterp/corefcn/help.cc
	libinterp/corefcn/help.h

2016-08-01  John W. Eaton  <jwe@octave.org>

	refill multi-line macro definitions

	Use the Emacs C++ mode style for line continuation markers in
	multi-line macro definitions.

	* make_int.cc, __dsearchn__.cc, __magick_read__.cc, besselj.cc,
	bitfcns.cc, bsxfun.cc, cellfun.cc, data.cc, defun-dld.h, defun-int.h,
	defun.h, det.cc, error.h, find.cc, gcd.cc, graphics.cc, interpreter.h,
	jit-ir.h, jit-typeinfo.h, lookup.cc, ls-mat5.cc, max.cc, mexproto.h,
	mxarray.in.h, oct-stream.cc, ordschur.cc, pr-output.cc, profiler.h,
	psi.cc, regexp.cc, sparse-xdiv.cc, sparse-xpow.cc, tril.cc, txt-eng.h,
	utils.cc, variables.cc, variables.h, xdiv.cc, xpow.cc, __glpk__.cc,
	ov-base.cc, ov-base.h, ov-cell.cc, ov-ch-mat.cc, ov-classdef.cc,
	ov-complex.cc, ov-cx-mat.cc, ov-cx-sparse.cc, ov-float.cc, ov-float.h,
	ov-flt-complex.cc, ov-flt-cx-mat.cc, ov-flt-re-mat.cc,
	ov-int-traits.h, ov-lazy-idx.h, ov-perm.cc, ov-re-mat.cc,
	ov-re-sparse.cc, ov-scalar.cc, ov-scalar.h, ov-str-mat.cc,
	ov-type-conv.h, ov.cc, ov.h, op-class.cc, op-int-conv.cc, op-int.h,
	op-str-str.cc, ops.h, lex.ll, Array.cc, CMatrix.cc, CSparse.cc,
	MArray.cc, MArray.h, MDiagArray2.cc, MDiagArray2.h, MSparse.h,
	Sparse.cc, dMatrix.cc, dSparse.cc, fCMatrix.cc, fMatrix.cc,
	idx-vector.cc, f77-fcn.h, quit.h, bsxfun-decl.h, bsxfun-defs.cc,
	lo-specfun.cc, oct-convn.cc, oct-convn.h, oct-norm.cc, oct-norm.h,
	oct-rand.cc, Sparse-op-decls.h, Sparse-op-defs.h, mx-inlines.cc,
	mx-op-decl.h, mx-op-defs.h, mach-info.cc, oct-group.cc, oct-passwd.cc,
	oct-syscalls.cc, oct-time.cc, data-conv.cc, kpse.cc, lo-ieee.h,
	lo-macros.h, oct-cmplx.h, oct-glob.cc, oct-inttypes.cc,
	oct-inttypes.h, oct-locbuf.h, oct-sparse.h, url-transfer.cc,
	oct-conf-post.in.h, shared-fcns.h: Refill macro definitions.

	Files: examples/code/make_int.cc libinterp/corefcn/__dsearchn__.cc
	libinterp/corefcn/__magick_read__.cc libinterp/corefcn/besselj.cc
	libinterp/corefcn/bitfcns.cc libinterp/corefcn/bsxfun.cc
	libinterp/corefcn/cellfun.cc libinterp/corefcn/data.cc
	libinterp/corefcn/defun-dld.h libinterp/corefcn/defun-int.h
	libinterp/corefcn/defun.h libinterp/corefcn/det.cc
	libinterp/corefcn/error.h libinterp/corefcn/find.cc
	libinterp/corefcn/gcd.cc libinterp/corefcn/graphics.cc
	libinterp/corefcn/interpreter.h libinterp/corefcn/jit-ir.h
	libinterp/corefcn/jit-typeinfo.h libinterp/corefcn/lookup.cc
	libinterp/corefcn/ls-mat5.cc libinterp/corefcn/max.cc
	libinterp/corefcn/mexproto.h libinterp/corefcn/mxarray.in.h
	libinterp/corefcn/oct-stream.cc libinterp/corefcn/ordschur.cc
	libinterp/corefcn/pr-output.cc libinterp/corefcn/profiler.h
	libinterp/corefcn/psi.cc libinterp/corefcn/regexp.cc
	libinterp/corefcn/sparse-xdiv.cc libinterp/corefcn/sparse-xpow.cc
	libinterp/corefcn/tril.cc libinterp/corefcn/txt-eng.h
	libinterp/corefcn/utils.cc libinterp/corefcn/variables.cc
	libinterp/corefcn/variables.h libinterp/corefcn/xdiv.cc
	libinterp/corefcn/xpow.cc libinterp/dldfcn/__glpk__.cc libinterp
	/octave-value/ov-base.cc libinterp/octave-value/ov-base.h libinterp
	/octave-value/ov-cell.cc libinterp/octave-value/ov-ch-mat.cc
	libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	complex.cc libinterp/octave-value/ov-cx-mat.cc libinterp/octave-
	value/ov-cx-sparse.cc libinterp/octave-value/ov-float.cc libinterp
	/octave-value/ov-float.h libinterp/octave-value/ov-flt-complex.cc
	libinterp/octave-value/ov-flt-cx-mat.cc libinterp/octave-value/ov-
	flt-re-mat.cc libinterp/octave-value/ov-int-traits.h libinterp
	/octave-value/ov-lazy-idx.h libinterp/octave-value/ov-perm.cc
	libinterp/octave-value/ov-re-mat.cc libinterp/octave-value/ov-re-
	sparse.cc libinterp/octave-value/ov-scalar.cc libinterp/octave-value
	/ov-scalar.h libinterp/octave-value/ov-str-mat.cc libinterp/octave-
	value/ov-type-conv.h libinterp/octave-value/ov.cc libinterp/octave-
	value/ov.h libinterp/operators/op-class.cc libinterp/operators/op-
	int-conv.cc libinterp/operators/op-int.h libinterp/operators/op-str-
	str.cc libinterp/operators/ops.h libinterp/parse-tree/lex.ll
	liboctave/array/Array.cc liboctave/array/CMatrix.cc
	liboctave/array/CSparse.cc liboctave/array/MArray.cc
	liboctave/array/MArray.h liboctave/array/MDiagArray2.cc
	liboctave/array/MDiagArray2.h liboctave/array/MSparse.h
	liboctave/array/Sparse.cc liboctave/array/dMatrix.cc
	liboctave/array/dSparse.cc liboctave/array/fCMatrix.cc
	liboctave/array/fMatrix.cc liboctave/array/idx-vector.cc
	liboctave/cruft/misc/f77-fcn.h liboctave/cruft/misc/quit.h
	liboctave/numeric/bsxfun-decl.h liboctave/numeric/bsxfun-defs.cc
	liboctave/numeric/lo-specfun.cc liboctave/numeric/oct-convn.cc
	liboctave/numeric/oct-convn.h liboctave/numeric/oct-norm.cc
	liboctave/numeric/oct-norm.h liboctave/numeric/oct-rand.cc
	liboctave/operators/Sparse-op-decls.h liboctave/operators/Sparse-op-
	defs.h liboctave/operators/mx-inlines.cc liboctave/operators/mx-op-
	decl.h liboctave/operators/mx-op-defs.h liboctave/system/mach-
	info.cc liboctave/system/oct-group.cc liboctave/system/oct-passwd.cc
	liboctave/system/oct-syscalls.cc liboctave/system/oct-time.cc
	liboctave/util/data-conv.cc liboctave/util/kpse.cc liboctave/util
	/lo-ieee.h liboctave/util/lo-macros.h liboctave/util/oct-cmplx.h
	liboctave/util/oct-glob.cc liboctave/util/oct-inttypes.cc
	liboctave/util/oct-inttypes.h liboctave/util/oct-locbuf.h
	liboctave/util/oct-sparse.h liboctave/util/url-transfer.cc oct-conf-
	post.in.h src/shared-fcns.h

2016-07-12  John W. Eaton  <jwe@octave.org>

	put parser, lexer, and evaluator in namespace; interpreter now owns evaluator

	* oct-parse.in.yy, parse.h: Move parser classes to octave namespace.
	* lex.ll, lex.h: Move lexer classes to octave namespace.
	* pt-eval.h, pt-eval.cc:  Move evaluator class to octave namespace.
	Don't define global current evaluator pointer here.

	* debug.cc, error.cc, input.cc, input.h, ls-mat-ascii.cc, pt-jit.cc,
	sighandlers.cc, utils.cc, variables.cc, ov-usr-fcn.cc, pt-assign.cc,
	pt-exp.h, pt-id.cc: Update for namespaces.

	* interpreter.cc, interpreter.h (current_evaluator): New global var.
	(interpreter::m_evaluator): New data member.
	(interpreter::~interpreter): Delete evaluator.

	Files: libinterp/corefcn/debug.cc libinterp/corefcn/error.cc
	libinterp/corefcn/input.cc libinterp/corefcn/input.h
	libinterp/corefcn/interpreter.cc libinterp/corefcn/interpreter.h
	libinterp/corefcn/ls-mat-ascii.cc libinterp/corefcn/pt-jit.cc
	libinterp/corefcn/sighandlers.cc libinterp/corefcn/utils.cc
	libinterp/corefcn/variables.cc libinterp/octave-value/ov-usr-fcn.cc
	libinterp/parse-tree/lex.h libinterp/parse-tree/lex.ll libinterp
	/parse-tree/oct-parse.in.yy libinterp/parse-tree/parse.h libinterp
	/parse-tree/pt-assign.cc libinterp/parse-tree/pt-eval.cc libinterp
	/parse-tree/pt-eval.h libinterp/parse-tree/pt-exp.h libinterp/parse-
	tree/pt-id.cc

2016-08-01  Mike Miller  <mtmiller@octave.org>

	* condeig.m: fix Texinfo markup typo in condeig doc string (bug #48672)

	Files: scripts/linear-algebra/condeig.m

2016-07-31  Carnë Draug  <carandraug@octave.org>

	xzip.cc: modify tests for readability.

	Files: libinterp/dldfcn/xzip.cc

2016-07-30  Carnë Draug  <carandraug@octave.org>

	normest1: always return a column vector for IT output (patch #8837)

	* normest1.m: special code path returns a row vector for number of iterations
	while it returns a column vector for all others.  This is Matlab compatible
	but obviously a bug in Matlab.  Fix to always return a vector of same shape.
	Add tests.

	Files: scripts/linear-algebra/normest1.m

2016-07-23  Markus Mützel  <markus.muetzel@gmx.de>

	Update to light (patch #8943)

	* gl-render.h, gl-render.cc (get_maxlights): New static function.
	(opengl_renderer::max_lights): New data member.
	(opengl_renderer::opengl_renderer): Use get_maxlights to initialize
	max_lights data member.
	(opengl_renderer::draw_all_lights): New function.  Support local
	light sources.
	(opengl_renderer::draw_axes_children): Call draw_all_lights instead
	of doing the work here.
	(opengl_renderer::draw_surface): Remove warning for "phong".

	* scripts/plot/draw/light.m: Update docstring. Add and update demos.

	* doc/interpreter/genpropdoc.m: Update docstring.

	Files: doc/interpreter/genpropdoc.m libinterp/corefcn/gl-render.cc
	libinterp/corefcn/gl-render.h scripts/plot/draw/light.m

2016-07-28  John W. Eaton  <jwe@octave.org>

	make figures invisible in publish tests (bug #48556)

	* publish.tst: Set default figure visibility off for the duration of
	each test.

	Files: test/publish/publish.tst

	skip invalid objects in Qt graphics event handlers (bug #46501)

	* Container.cc (Container::resizeEvent): Avoid accessing properties
	from invalid graphics object.
	* Panel.cc (Panel::eventFilter): Likewise.

	* graphics.in.h (base_graphics_object:get_properties): Issue warning
	instead of error.

	Files: libgui/graphics/Container.cc libgui/graphics/Panel.cc
	libinterp/corefcn/graphics.in.h

2016-07-28  Andreas Weber  <andy.weber.aw@gmail.com>

	dump_demos.m: Change regex for replacement of double quotes, add dummy assert

	Files: scripts/testfun/private/dump_demos.m

2016-07-27  John W. Eaton  <jwe@octave.org>

	style fixes

	* ButtonGroup.cc, marker.h, xzip.cc, randmtzig.cc: Don't comment
	#else or #endif.  Prefer #if defined.

	Files: libgui/graphics/ButtonGroup.cc libgui/src/m-editor/marker.h
	libinterp/dldfcn/xzip.cc liboctave/numeric/randmtzig.cc

2016-07-27  Carnë Draug  <carandraug@octave.org>

	xzip.cc: replace throwing exceptions in destructors (bug #48640)

	* xzip.cc: we can't throw exceptions in destructors.  Replace them with
	a close method that can throw while destructor closes without throwing.
	If we want to close something cleanly, then we do want to know of any
	failure and catch failures.  If we are not closing it cleanly, then we
	either don't care or are already handling another expcetion, and either
	way we don't want to handle an exception.

	Files: libinterp/dldfcn/xzip.cc

2016-07-27  John W. Eaton  <jwe@octave.org>

	do system dependent and default variable inits early (bug #)

	Some global variables like Voct_locale_dir need to be available before
	the interpreter is intialized.  System dependent initialization
	should probably also happen early on in the startup process.

	* octave.cc (application::init): Call sysdep_init and install_defaults
	here.
	* interpreter.cc (interpreter::interpreter): Not here.

	Files: libinterp/corefcn/interpreter.cc libinterp/octave.cc

2016-07-26  John W. Eaton  <jwe@octave.org>

	* interpreter.cc (interpreter::interpreter): Fix typo in previous change.

	Files: libinterp/corefcn/interpreter.cc

	don't print startup message for --eval (bug #48620)

	* interpreter.cc (interpreter::interpreter): Don't attempt to modify
	command line options.
	(interpreter::execute): Avoid printing startup message if session is
	not interactive.

	Files: libinterp/corefcn/interpreter.cc

2016-07-25  Marco Caliari  <marco.caliari@univr.it>

	New function normest1 as replacement for onenormest (patch #8837)

	* scripts/linear-algebra/normest1.m: new function to replace onenormest
	so it's Matlab compatible.  It works as a drop-in replacement when
	input is a matrix.  Usage with functions as input is no longer supported
	as it is only a little useful.
	* scripts/linear-algebra/onenormest.m: moved to deprecated/.
	* scripts/linear-algebra/module.mk: add normest1, remove onenormest.
	* scripts/linear-algebra/condest.m: add normest1 syntax. It still accepts
	onenormest syntax but marked as deprecated.
	* scripts/deprecated/onenormest.m: moved from linear-algebra/, added
	deprecation warning.
	* scripts/deprecated/module.mk: add onenormest.
	* NEWS: Added normest1 to the list of new functions, made onenormest
	deprecated.
	* doc/interpreter/sparse.txi: replace onenormest with normest1.

	Files: NEWS doc/interpreter/sparse.txi scripts/deprecated/module.mk
	scripts/deprecated/onenormest.m scripts/linear-algebra/condest.m
	scripts/linear-algebra/module.mk scripts/linear-algebra/normest1.m
	scripts/linear-algebra/onenormest.m

2016-06-30  Lachlan Andrew  <lachlanbis@gmail.com>

	Fix assignment to an property of an element of classdef array (bug #46660)

	* ov-classdef.cc (cdef_object_array::subsasgn):
	  Pass at least two dimensions to Array<T>::index (Array<idx_vector>&, ...).

	Files: libinterp/octave-value/ov-classdef.cc

2016-07-25  Lachlan Andrew  <lachlanbis@gmail.com>

	Force reload of a function after it is saved in the editor (bug #46632)

	* file-editor-tab.h, file-editor-tab.cc (exit_debug_and_clear):
	New function.
	Clear function from symbol table.  If currently debugging, prompt
	whether to dbquit or to cancel the save.
	(execute_command_in_terminal_signal): New signal.
	(save_file): Call exit_debug_and_clear.
	(delete_debugger_pointer): Use marker class instead of removing
	QSciScintilla marker directly.

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor-tab.h

2016-06-30  Lachlan Andrew  <lachlanbis@gmail.com>

	Stop bookmarks being hidden by breakpoints / execution point (bug #48292)

	* marker.h (editor_markers): List marker types from biggest to
	smallest.

	* file-editor-tab.cc (file_Editor_tab::file_editor_tab):
	Give execution point a different shape from bookmarks.

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/marker.h

2016-05-28  Lachlan Andrew  <lachlanbis@gmail.com>

	Wrap search for "next bookmark" and "prev bookmark" (bug #48044)

	* file-editor-tab.cc (file_editor_tab::next_bookmark,
	file_editor_tab::previous_bookmark):
	Retry from start/end if next/previous was -1.

	* file-editor.cc (file_editor::construct):
	Put "Next Bookmark" before "Previous Bookmark" in the menu.

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor.cc

2016-03-14  Lachlan Andrew  <lachlanbis@gmail.com>

	Go to right editor line number, even with folding (bug #47414)

	* file-editor-tab.cc (center_current_line, handle_context_menu_edit):
	Expand current line, if it is folded.  Convert "document" line number
	to "visible" line number before calling SCI_SETFIRSTVISIBLELINE.

	Files: libgui/src/m-editor/file-editor-tab.cc

2016-07-25  Daniel J Sebald  <daniel.sebald@ieee.org>

	Save settings in Qt convention, delete all children in destructors (bug #45366)

	* QUnixTerminalImpl.cpp (QUnixTerminalImpl::~QUnixTerminalImpl): Delete
	dynamic objects pointed to by m_terminal (TerminalModel), m_kpty (KPty) and
	m_terminalView (TerminalView).  (bug fix)

	* files-dock-widget.cc: (files_dock_widget::~files_dock_widget): Rename to
	save_settings.  Return if variable 'settings' is not valid object pointer.
	(files_dock_widget::save_settings): Added.  Similar code as destructor was.
	Call base class octave_dock_widget::save_settings at end of routine.

	* files-dock-widget.h: (files_dock_widget::~files_dock_widget): Provide empty
	destructor.
	(files_dock_widget::save_settings): Added, public slot.

	* find-files-dialog.cc: (find_files_dialog::~find_files_dialog): Moved most
	of the code, except the statement deleting the directory iterator, to
	new routine save_settings.
	(find_files_dialog::save_settings): Added.  Large portion of the code that was
	in the destructor.  Return immediately if variable 'settings' is not valid
	object pointer.

	* find-files-dialog.h: (find_files_dialog::save_settings): Added, public slot.

	* history-dock-widget.cc: (history_dock_widget::~history_dock_widget): Rename
	to save_settings.  Return if variable 'settings' is not valid object pointer.
	(history_dock_widget::save_settings): Similar code as destructor was.  Call
	base class octave_dock_widget::save_settings at end of routine.

	* history-dock-widget.h: (history_dock_widget::~history_dock_widget): Provide
	empty destructor.
	(history_dock_widget::save_settings): Added, public slot.

	* main-window.cc (main_window::prepare_to_exit): If find_files_dlg is valid,
	call the object's save_settings routine.
	(main_window::construct): Connect appropriate slot of all objects that must
	save_settings information to the qApp aboutToQuit signal.  (Except for
	find_files_dlg, see above.)  At end of this sequence, connect aboutToQuit to
	the shortcut_manager and resource_manager function that deletes instance.

	* octave-dock-widget.cc: (octave_dock_widget::~octave_dock_widget): Rename to
	save_settings.  Return if variable 'settings' is not valid object pointer.
	(octave_dock_widget::save_settings): Similar code as destructor was.

	* octave-dock-widget.h: (octave_dock_widget::~octave_dock_widget): Provide
	empty destructor.
	(octave_dock_widget::save_settings): Added, public slot.

	* octave-qt-link.cc (octave_qt_link::do_prompt_new_edit_file): Check that
	'settings' pointer is valid before using.

	* resource-manager.cc: Remove "singleton-cleanup.h" header reference.
	(resource_manager::instance_ok): Do not add cleanup_instance to worker
	thread's exit cleanup procedure.

	* resource-manager.h (resource_manager::instance) Change variable to public for
	connecting.
	(resource_manager::cleanup_instance) Change to a public slot for connecting to
	qApp aboutToQuit signal.
	(resource_manager::resource_manager): Remove an unused variation of the
	constructor.
	(resource_manager::operator =) Removed.

	* settings-dialog.cc: Add QMessageBox to header file list.
	(settings_dialog::settings_dialog): If QSettings pointer settings is not valid
	return immediately.
	(settings_dialog::show_tab): Condition setting the current index on pointer
	'settings' being valid.
	(settings_dialog::write_changed_settings): Remove FIXME comment.  If the
	settings are not valid, display a dialog about missing file and return.

	* shortcut-manager.cc: Remove "singleton-cleanup.h" header reference.
	(shortcut_manager::instance_ok): Do not add cleanup_instance to worker
	thread's exit cleanup procedure.

	* shortcut-manager.h (shortcut_manager::instance) Change variable to public for
	connecting.
	(shortcut_manager::cleanup_instance) Change to a public slot for connecting to
	qApp aboutToQuit signal.
	(shortcut_manager::shortcut_manager): Remove an unused variation of the
	constructor.
	(shortcut_manager::operator =) Removed.

	* terminal-dock-widget.cc (terminal_dock_widget::~terminal_dock_widget): Added.
	Delete QTerminal terminal.  (bug fix)

	* terminal-dock-widget.h (terminal_dock_widget::~terminal_dock_widget): Added.

	* workspace-view.cc: (workspace_view::workspace_view): Place code hunk using
	QSettings pointer 'settings' within a conditional block.
	(workspace_view::~workspace_view): Rename to save_settings.  Return if
	variable 'settings' is not valid object pointer.
	(workspace_view::save_settings): Almost same code as destructor was.  Call base
	class octave_dock_widget::save_settings at end of routine.

	* workspace-view.h: (workspace_view::~workspace_view): Provide empty
	destructor.
	(workspace_view::save_settings): Added, public slot.

	Files: libgui/qterminal/libqterminal/unix/QUnixTerminalImpl.cpp libgui/src
	/files-dock-widget.cc libgui/src/files-dock-widget.h libgui/src
	/find-files-dialog.cc libgui/src/find-files-dialog.h libgui/src
	/history-dock-widget.cc libgui/src/history-dock-widget.h libgui/src
	/main-window.cc libgui/src/octave-dock-widget.cc libgui/src/octave-
	dock-widget.h libgui/src/octave-qt-link.cc libgui/src/resource-
	manager.cc libgui/src/resource-manager.h libgui/src/settings-
	dialog.cc libgui/src/shortcut-manager.cc libgui/src/shortcut-
	manager.h libgui/src/terminal-dock-widget.cc libgui/src/terminal-
	dock-widget.h libgui/src/workspace-view.cc libgui/src/workspace-
	view.h

2016-07-22  Carnë Draug  <carandraug@octave.org>

	mk-doc-cache.pl: some perl best practice changes.

	* doc/interpreter/mk-doc-cache.pl: enable strict and declare scope of all
	variables. Enclose code in subroutines for simplification.  Use File::Spec
	for OS without different filesep.  Avoid reading all DOCSTRINGS in memory,
	print them out to temporary file as they are processed.  Use backticks
	to run makeinfo and collect output.  Fix issue where @class private methods
	were not filtered out from doc-cache.  Avoid using $_ in large loops.
	* doc/interpreter/module.mk: do not pass unnecessary "-" as first argument
	(historically this was an Octave script and the first argument was the output
	file but now it's only STDOUT), and "--" (which was used to separate multiple
	macros file from DOCSTRINGS but now there is only one macros.texi).

	Files: doc/interpreter/mk-doc-cache.pl doc/interpreter/module.mk

2016-07-25  John W. Eaton  <jwe@octave.org>

	* mk-doc-cache.pl: Fix substitutions to escape block comment markers.

	Files: doc/interpreter/mk-doc-cache.pl

2016-07-24  John W. Eaton  <jwe@octave.org>

	fix test for profile (bug #46315)

	* Also check for "TotalTime" in hierarchical info struct.
	From Robert Jenssen.

	Files: scripts/profiler/profile.m

2016-07-24  Andreas Weber  <andy.weber.aw@gmail.com>

	doc: Fix "doubled words" typos (\b(\w+)\s+\1\b)

	Files: libgui/src/octave-qt-link.cc libinterp/corefcn/ft-text-renderer.cc
	libinterp/corefcn/interpreter.cc libinterp/corefcn/jit-typeinfo.cc
	libinterp/corefcn/load-save.cc libinterp/corefcn/pt-jit.cc
	libinterp/corefcn/quad.cc libinterp/corefcn/symtab.cc
	libinterp/dldfcn/audiodevinfo.cc libinterp/dldfcn/xzip.cc libinterp
	/octave-value/ov-usr-fcn.cc liboctave/numeric/oct-rand.cc
	scripts/geometry/inpolygon.m scripts/plot/util/newplot.m
	scripts/plot/util/subplot.m scripts/startup/__finish__.m

2016-07-23  Lachlan Andrew  <lachlanbis@gmail.com>

	Allow TAB autocompletion of local functions in debug mode (bug #48317)

	* help.cc (local_functions): New function.

	* help.cc (make_name_list): Include local function names in the list.

	Files: libinterp/corefcn/help.cc

2016-06-30  Lachlan Andrew  <lachlanbis@gmail.com>

	Allow tab completion of arrays of structures.

	* input.h, input.cc (find_indexed_expression): New function.  Parse a
	partial command line back, skipping () & {}, until a variable name
	is found.

	* variables.cc (generate_struct_completions): Call the above if prefix
	starts with ".".

	* input.cc (generate_completion): Handle manipulation of prefix by
	generate_struct_completions.

	Files: libinterp/corefcn/input.cc libinterp/corefcn/input.h
	libinterp/corefcn/variables.cc libinterp/corefcn/variables.h
	liboctave/util/cmd-edit.cc liboctave/util/cmd-edit.h liboctave/util
	/oct-rl-edit.c liboctave/util/oct-rl-edit.h

2016-07-23  John W. Eaton  <jwe@octave.org>

	avoid displaying plots in axis tests (bug #48602)

	* axis.m: Make figures genrated by "%!error" tests invisible.

	Files: scripts/plot/appearance/axis.m

2016-03-25  Lachlan Andrew  <lachlanbis@gmail.com>

	Enable shortcuts for find next / find previous

	* file-editor-tab.cc (find_next, find_previous): new function/slot

	* file-editor-tab.cc (find): connect signals to the above and add the
	  actions from the editor to the find dialog

	* file-editor-tab.h: New signals and slots

	* file-editor.cc (constructor): create list of actions for the editor tabs

	* file-editor.cc (request_find_next, request_find_previous):
	  new funciton/slot

	* file-editor.cc (request_find): emit find signal with action list to tab

	* file-editor.cc (add_file_editor_tab): connect signals to the above

	* file-editor.cc (construct): new actions: find next / find previous

	* file-editor.cc (set_shortcut): shortcuts for the above

	* file-editor.cc (check_actions): enable the above

	* file-editor.h: New slots, signals and members

	* shortcut-manager.cc: shortcuts for find-next and find-previous,
	  new default for Goto Line, which conflicts with find next in linux

	* find-dialog.cc (constructor): add new actions from the editor

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor-tab.h libgui/src/m-editor/file-editor.cc libgui/src/m-editor
	/file-editor.h libgui/src/m-editor/find-dialog.cc
	libgui/src/m-editor/find-dialog.h libgui/src/shortcut-manager.cc

2015-03-15  Torsten  <ttl@justmail.de>

	changeset:   19946:59385cda0598
	tag:         icons
	tag:         qbase
	tag:         qtip
	tag:         tip
	user:        Torsten <ttl@justmail.de>
	files:       libgui/src/icons/graphic_logo_DocumentationDockWidget.png libgui/src/icons/graphic_logo_DocumentationDockWidget.svg libgui/src/icons/graphic_logo_FileEditor.png libgui/src/icons/graphic_logo_FileEditor.svg libgui/src/icons/graphic_logo_FilesDockWidget.png libgui/src/icons/graphic_logo_FilesDockWidget.svg libgui/src/icons/graphic_logo_HistoryDockWidget.png libgui/src/icons/graphic_logo_HistoryDockWidget.svg libgui/src/icons/graphic_logo_NewsDockWidget.png libgui/src/icons/graphic_logo_NewsDockWidget.svg libgui/src/icons/graphic_logo_ReleaseWidget.png libgui/src/icons/graphic_logo_ReleaseWidget.svg libgui/src/icons/graphic_logo_TerminalDockWidget.png libgui/src/icons/graphic_logo_TerminalDockWidget.svg libgui/src/icons/graphic_logo_WorkspaceView.png libgui/src/icons/graphic_logo_WorkspaceView.svg libgui/src/icons/icons_license libgui/src/icons/letter_logo_DocumentationDockWidget.png libgui/src/icons/letter_logo_DocumentationDockWidget.svg libgui/src/icons/letter_logo_FileEditor.png libgui/src/icons/letter_logo_FileEditor.svg libgui/src/icons/letter_logo_FilesDockWidget.png libgui/src/icons/letter_logo_FilesDockWidget.svg libgui/src/icons/letter_logo_HistoryDockWidget.png libgui/src/icons/letter_logo_HistoryDockWidget.svg libgui/src/icons/letter_logo_NewsDockWidget.png libgui/src/icons/letter_logo_NewsDockWidget.svg libgui/src/icons/letter_logo_ReleaseWidget.png libgui/src/icons/letter_logo_ReleaseWidget.svg libgui/src/icons/letter_logo_TerminalDockWidget.png libgui/src/icons/letter_logo_TerminalDockWidget.svg libgui/src/icons/letter_logo_WorkspaceView.png libgui/src/icons/letter_logo_WorkspaceView.svg libgui/src/icons/logo.png libgui/src/module.mk
	description:
	new window icons in higher resolution
	* graphic_logo_DocumentationDockWidget.png,
	  graphic_logo_DocumentationDockWidget.svg,
	  graphic_logo_FileEditor.png, graphic_logo_FileEditor.svg,
	  graphic_logo_FilesDockWidget.png, graphic_logo_FilesDockWidget.svg,
	  graphic_logo_HistoryDockWidget.png, graphic_logo_HistoryDockWidget.svg,
	  graphic_logo_NewsDockWidget.png, graphic_logo_NewsDockWidget.svg,
	  graphic_logo_ReleaseWidget.png, graphic_logo_ReleaseWidget.svg,
	  graphic_logo_TerminalDockWidget.png, graphic_logo_TerminalDockWidget.svg,
	  graphic_logo_WorkspaceView.png, graphic_logo_WorkspaceView.svg,
	  letter_logo_DocumentationDockWidget.png,
	  letter_logo_DocumentationDockWidget.svg,
	  letter_logo_FileEditor.png, letter_logo_FileEditor.svg,
	  letter_logo_FilesDockWidget.png, letter_logo_FilesDockWidget.svg,
	  letter_logo_HistoryDockWidget.png, letter_logo_HistoryDockWidget.svg,
	  letter_logo_NewsDockWidget.png, letter_logo_NewsDockWidget.svg,
	  letter_logo_ReleaseWidget.png, letter_logo_ReleaseWidget.svg,
	  letter_logo_TerminalDockWidget.png, letter_logo_TerminalDockWidget.svg,
	  letter_logo_WorkspaceView.png, letter_logo_WorkspaceView.svg,
	  logo.png:
	  new icons files as svg and png-files

	* module.mk: new svg-files

	Files: libgui/src/icons/graphic_logo_DocumentationDockWidget.png
	libgui/src/icons/graphic_logo_DocumentationDockWidget.svg
	libgui/src/icons/graphic_logo_FileEditor.png
	libgui/src/icons/graphic_logo_FileEditor.svg
	libgui/src/icons/graphic_logo_FilesDockWidget.png
	libgui/src/icons/graphic_logo_FilesDockWidget.svg
	libgui/src/icons/graphic_logo_HistoryDockWidget.png
	libgui/src/icons/graphic_logo_HistoryDockWidget.svg
	libgui/src/icons/graphic_logo_NewsDockWidget.png
	libgui/src/icons/graphic_logo_NewsDockWidget.svg
	libgui/src/icons/graphic_logo_ReleaseWidget.png
	libgui/src/icons/graphic_logo_ReleaseWidget.svg
	libgui/src/icons/graphic_logo_TerminalDockWidget.png
